/* Generated by RuntimeBrowser.
   Image: /System/Library/PrivateFrameworks/AccountSettingsUI.framework/AccountSettingsUI
 */

@class NSArray, DeviceLocalAccount, UIView, NSString, UIProgressHUD, NSMutableDictionary;

@interface AccountSettingsUISyncController : AccountSettingsUIDetailController <UIActionSheetDelegate> {
    id _account;
    id _syncActionsAccount;
    DeviceLocalAccount *_deviceLocalAccount;
    BOOL _shouldSaveDeviceLocalAccount;
    BOOL _isFirstSetup;
    BOOL _isUpdateSetup;
    UIView *_confirmEnableSyncSheet;
    UIView *_reallyConfirmEnableSyncSheet;
    UIView *_reallyConfirmKeepLocalDataSheet;
    NSArray *_dataclassesToEnable;
    BOOL _didFinishFirstSetup;
    NSMutableDictionary *_syncSaveOperationsByDataclass;
    BOOL _isSavingSyncSettingsInBackground;
    UIProgressHUD *_hud;
    NSString *_hudText;
    BOOL _displayingHUD;
    UIView *_confirmDisableSyncSheet;
    BOOL _showsDeleteAccountButton;
    UIView *_confirmDeleteAccountSheet;
    BOOL _didDeleteAccount;
    BOOL _mergedDataOnAccountDelete;
    BOOL _creatingTheAccounts;
    BOOL _forceMailSetup;
    NSArray *_preEnabledDataclasses;
}

@property BOOL showsDeleteAccountButton;
@property BOOL didDeleteAccount;
@property BOOL didFinishFirstSetup;
@property(getter=isUpdateSetup) BOOL updateSetup;
@property(getter=isFirstSetup) BOOL firstSetup;
@property(retain) id account;
@property(retain) NSArray * preEnabledDataclasses;

+ (BOOL)shouldPresentAsModalSheet;
+ (BOOL)_doesSyncedDataExistForDataclass:(id)arg1;

- (void)deleteAccount;
- (void)setEnabled:(BOOL)arg1 forDataclass:(id)arg2;
- (void)confirmationView:(id)arg1 clickedButtonAtIndex:(int)arg2;
- (void)setShowsDeleteAccountButton:(BOOL)arg1;
- (BOOL)isFirstSetup;
- (BOOL)isUpdateSetup;
- (BOOL)shouldInitiallyEnableDataclass:(id)arg1;
- (id)otherSpecifiers;
- (Class)accountInfoControllerClass;
- (void)saveSyncSettings:(id)arg1 forAccount:(id)arg2;
- (BOOL)backgroundDeleteAccountData;
- (void)createAccounts;
- (void)cancelAccountsCreation;
- (id)specifiers;
- (void)loadView;
- (void)viewDidLoad;
- (void)viewWillAppear:(BOOL)arg1;
- (id)init;
- (void)dealloc;
- (id)newAccount;
- (void)doneButtonClicked:(id)arg1;
- (void)cancelButtonClicked:(id)arg1;
- (BOOL)isEnabledForDataclass:(id)arg1;
- (BOOL)didDeleteAccount;
- (void)setSwitchForDataclass:(id)arg1 to:(id)arg2;
- (BOOL)mergedDataOnAccountDelete;
- (id)accountInfoUsername:(id)arg1;
- (BOOL)accountInfoSpecifierEnabled;
- (id)_accountInfoSpecifier;
- (id)deleteButtonSpecifier;
- (id)_localizationKeyForDataclass:(id)arg1 withSuffix:(id)arg2;
- (id)iconForDataclass:(id)arg1;
- (id)specifiersForDataclasses:(id)arg1;
- (id)_navigationTitle;
- (void)syncDataclass:(id)arg1 withAction:(id)arg2;
- (BOOL)syncSaveOperationsHasDataclass:(id)arg1;
- (void)removeActionForSyncDataclass:(id)arg1;
- (void)saveSyncSettings;
- (id)otherSetupSpecifiers;
- (id)_viewForSheet;
- (void)_showModalProgress;
- (void)_showModalProgressWithText:(id)arg1 afterDelay:(double)arg2;
- (void)_hideModalProgressAfterDelay:(double)arg1;
- (void)_hideHUD;
- (void)showModalProgressWithText:(id)arg1;
- (void)hideModalProgress;
- (BOOL)showingModalProgress;
- (void)didConfirmSaveSyncSettings:(BOOL)arg1;
- (id)_modalProgressTextForDataclass:(id)arg1 enabled:(BOOL)arg2;
- (void)beginSaveSyncSettings;
- (void)_backgroundSaveSyncSettings:(id)arg1;
- (void)_setSyncActionsAccount:(id)arg1;
- (void)_mainThreadFinishedSaveSyncSettings;
- (id)titleForAccountSettingsAction:(id)arg1;
- (id)shortTitleForAccountSettingsAction:(id)arg1;
- (id)titleForAccountDeleteAction:(id)arg1 hasSyncDataclassesEnabled:(BOOL)arg2 supportsMerge:(BOOL)arg3;
- (void)_reallyFinishedFirstSetup;
- (id)firstSetupInitialSettings;
- (BOOL)_carrierBundleSaysHideFindMyiPhone;
- (id)isDataclassEnabled:(id)arg1;
- (BOOL)shouldAskForUserConfirmationToEnableDataclass:(id)arg1;
- (BOOL)shouldAskForUserConfirmationToDisableDataclass:(id)arg1;
- (void)setDataclassEnabled:(id)arg1 specifier:(id)arg2;
- (void)_enableDataclass:(id)arg1;
- (void)_disableDataclass:(id)arg1;
- (BOOL)preconditionNeedsToBeMetToEnableDataclass:(id)arg1;
- (void)ensurePreconditionIsMetToEnableDataclass:(id)arg1;
- (void)preconditionMetToEnableDataclass:(id)arg1;
- (void)preconditionNotMetToEnableDataclass:(id)arg1;
- (BOOL)preconditionNeedsToBeMetToDisableDataclass:(id)arg1;
- (void)ensurePreconditionIsMetToDisableDataclass:(id)arg1;
- (void)preconditionMetToDisableDataclass:(id)arg1;
- (id)confirmationTitleForDataclassToEnable:(id)arg1;
- (id)confirmationTextForDataclassToEnable:(id)arg1 userCanKeepCurrentData:(BOOL)arg2 localDataExists:(BOOL)arg3;
- (id)userActionsToEnableDataclass:(id)arg1;
- (void)confirmStartSyncingDataclass:(id)arg1;
- (id)confirmationTitleForDataclassToReallyEnable:(id)arg1;
- (id)confirmationTextForDataclassToReallyEnable:(id)arg1;
- (id)confirmationTitleForDataclassToReallyKeepLocalData:(id)arg1;
- (id)confirmationTextForDataclassToReallyKeepLocalData:(id)arg1;
- (void)reallyConfirmStartSyncingWithText:(id)arg1 title:(id)arg2 dataclass:(id)arg3;
- (void)reallyConfirmKeepLocalDataWithText:(id)arg1 title:(id)arg2 dataclass:(id)arg3;
- (void)didConfirmEnableSyncSettings:(id)arg1;
- (void)didReallyConfirmEnableSyncSettings:(id)arg1;
- (void)didReallyConfirmKeepLocalData:(id)arg1;
- (id)confirmationTitleForDataclassToDisable:(id)arg1;
- (id)confirmationTextForDataclassToDisable:(id)arg1 userCanKeepCurrentData:(BOOL)arg2;
- (id)userActionsToDisableDataclass:(id)arg1;
- (void)confirmStopSyncingData:(id)arg1;
- (void)didConfirmDisableSyncSettings:(id)arg1;
- (void*)_createDeviceLocalSyncDataSourceForDataclass:(id)arg1;
- (void)_saveDeviceLocalAccount;
- (void)_mergeLocalDataForDataclass:(id)arg1;
- (void)_removeLocalDataStoreForDataclass:(id)arg1;
- (void)_removeDataStoreForDataclass:(id)arg1;
- (void)_mergeSyncDataForDataclass:(id)arg1;
- (void)_createLocalDataSourceForDataclass:(id)arg1;
- (void)_enableTetheredSyncingForDataclass:(id)arg1;
- (void)_clearAnchorsForDataclass:(id)arg1;
- (void)_clearAnchorsForLocalDataclass:(id)arg1;
- (BOOL)showsDeleteAccountButton;
- (id)syncableDataclasses:(id)arg1;
- (id)_dataclassesTextForDeleteConfirmationIncludingMail:(BOOL)arg1;
- (BOOL)hasSyncDataclassesEnabled;
- (id)deleteActionsWithSyncDataclassesEnabled:(BOOL)arg1;
- (void)confirmDeleteAccount:(id)arg1;
- (void)didConfirmDeleteAccount:(id)arg1;
- (void)deleteAccountAndData:(id)arg1;
- (void)_backgroundDeleteAccountData:(id)arg1;
- (void)_mainThreadFinishedDeleteAccountDataWithSuccess:(id)arg1;
- (void)updateLocalStoresAfterRemovingAccountInformation;
- (void)_hideLocalStoreForDataclass:(id)arg1;
- (void)_showLocalStoreIfAppropriateForDataclass:(id)arg1;
- (void)setDidDeleteAccount:(BOOL)arg1;
- (BOOL)didFinishFirstSetup;
- (void)setDidFinishFirstSetup:(BOOL)arg1;
- (void)setUpdateSetup:(BOOL)arg1;
- (void)setFirstSetup:(BOOL)arg1;
- (id)_deviceLocalAccount;
- (id)_syncActionsAccount;
- (id)localizedTextForDataclasses:(id)arg1 willBeUsedAtBeginningOfSentence:(BOOL)arg2 includeMailDataclass:(BOOL)arg3;
- (id)localizedTextForDataclasses:(id)arg1 willBeUsedAtBeginningOfSentence:(BOOL)arg2;
- (id)titleStyleTextForDataclass:(id)arg1;
- (void)setPreEnabledDataclasses:(id)arg1;
- (id)preEnabledDataclasses;
- (void)forceMailSetup;
- (void)setAccount:(id)arg1;
- (id)account;

@end
