/* Generated by RuntimeBrowser.
   Image: /System/Library/PrivateFrameworks/AppleAccount.framework/AppleAccount
 */

@class NSOperationQueue, NSString, NSArray, NSLock, NSDictionary;

@interface AAAccount : BasicAccount <ASDynamicAccountClassLoader> {
    NSString *_cachedPassword;
    NSString *_cachedToken;
    NSString *_unsavedToken;
    NSString *_cachedCommerceToken;
    NSOperationQueue *_requesterQueue;
    NSLock *_tokenLock;
    NSLock *_passwordLock;
}

@property(copy) NSString * username;
@property(readonly) NSString * authToken;
@property(readonly) NSString * commerceToken;
@property(readonly) NSString * personID;
@property(readonly) NSString * firstName;
@property(readonly) NSString * lastName;
@property(readonly) NSString * primaryEmail;
@property(readonly) BOOL primaryEmailVerified;
@property(readonly) BOOL needsRegistration;
@property(readonly) NSArray * provisionedDataclasses;
@property(readonly) NSDictionary * dataclassProperties;
@property(readonly) int mobileMeAccountStatus;
@property(copy) NSString * password;

+ (id)basicAccountProperties;
+ (BOOL)loadBundleForAccountWithProperties:(id)arg1;
+ (id)accountWithBasicAccount:(id)arg1;
+ (id)supportedDataclasses;
+ (id)propertiesWhichRequireValidation;
+ (id)accountTypeString;
+ (BOOL)doesConfiguredSyncAccountExist;
+ (id)configuredSyncAccountName;
+ (BOOL)isAOSEnabled;
+ (void)setAOSEnabled:(BOOL)arg1;
+ (id)dataclassesBoundToSyncAccount;

- (id)firstName;
- (id)lastName;
- (id)authToken;
- (id)provisionedDataclasses;
- (id)displayName;
- (id)initWithProperties:(id)arg1;
- (id)password;
- (void)dealloc;
- (id)description;
- (void)updateAccountPropertiesWithHandler:(id)arg1;
- (id)dataclassProperties;
- (BOOL)becomeConfiguredSyncAccount;
- (BOOL)isConfiguredSyncAccount;
- (void)setPassword:(id)arg1;
- (id)personID;
- (void)setUsername:(id)arg1;
- (id)username;
- (int)mobileMeAccountStatus;
- (id)syncStoreIdentifier;
- (void)resendVerificationEmail:(id)arg1;
- (void)removeTokensFromKeychain;
- (BOOL)needsRegistration;
- (id)primaryEmail;
- (id)propertiesForDataclass:(id)arg1;
- (BOOL)isProvisionedForDataclass:(id)arg1;
- (void)registerWithHandler:(id)arg1;
- (void)authenticateWithHandler:(id)arg1;
- (void)cancelNetworkActivity;
- (void)saveTokensInKeychain;
- (void)savePasswordInKeychain;
- (void)flushCachedTokens;
- (void)flushCachedPassword;
- (id)_deviceSpecificLocalizedString:(id)arg1;
- (void)_setToken:(id)arg1;
- (void)_downloadURLConfiguration:(id)arg1;
- (id)_mailChildAccountProperties;
- (id)_errorWithDescriptionForResponseError:(id)arg1;
- (void)addChildAccount:(id)arg1;
- (void)removeChildAccountWithIdentifier:(id)arg1;
- (id)commerceToken;
- (BOOL)primaryEmailVerified;
- (id)mobileMeAccountFooterText;
- (id)mobileMeAccountFooterButton;
- (id)mobileMeAccountFirstDisplayAlert;
- (void)removePasswordFromKeychain;

@end
