/* Generated by RuntimeBrowser.
   Image: /System/Library/PrivateFrameworks/Conference.framework/Conference
 */

@class CNFServiceHandler, NSURL, NSTimer, NSMutableArray, IMAVChat;

@interface CNFConferenceController : NSObject <IMAVControllerDelegate, IMAVInvitationControllerDelegate, IMAVChatDelegate> {
    BOOL _isConnected;
    BOOL _fullConferenceCapable;
    IMAVChat *_activeAVChat;
    NSMutableArray *_avChatList;
    CNFServiceHandler *_serviceHandler;
    NSTimer *_waitingForFirstRemoteFrameTimer;
    BOOL _waitingForFirstRemoteFrame;
    NSURL *_delayedInvitationURL;
}

@property(readonly) BOOL isFullConferenceCapable;
@property(readonly) IMAVChat * avChat;

+ (void)setConferencingEnabled:(BOOL)arg1;
+ (BOOL)conferencingIsEnabled;
+ (struct __CFPhoneNumber { }*)phoneNumberRefCopyForDestinationId:(id)arg1 useNetworkCountryCode:(BOOL)arg2;
+ (BOOL)conferencingIsRestricted;
+ (id)sharedFullConferenceInstance;
+ (id)sharedExistingInstance;
+ (BOOL)conferencingRegistrationIsSupported;
+ (BOOL)conferencingIsSupported;
+ (void)reconcileHarlequinAccountStatus;
+ (void)reconcileDaemonControllerConnection;
+ (id)registrationStatusSettingsString;
+ (BOOL)connect;
+ (id)sharedInstance;
+ (BOOL)isConnected;
+ (BOOL)disconnect;

- (void)_postSimpleNotificationName:(id)arg1;
- (id)_initFullConferenceCapable:(BOOL)arg1;
- (void)connectToService;
- (void)iChatAgentConnected;
- (void)iChatAgentDisconnected;
- (void)disconnectFromService;
- (BOOL)accountsAreLoggedIn;
- (void)setNeedsPushReliability:(BOOL)arg1;
- (id)_imHandleFromURL:(id)arg1;
- (void)_cleanUpAfterAVChat;
- (void)_fakeFirstRemoteFrameNotification:(id)arg1;
- (void)_setupWaitingForFirstRemoteFrameTimerForAVChat:(id)arg1;
- (void)_cancelWaitingForFirstRemoteFrameTimer;
- (void)_updateEnabledStatusChanged;
- (void)_handleInvitationFrom:(id)arg1 conferenceID:(id)arg2;
- (void)_handleMissedInvitationFrom:(id)arg1 conferenceID:(id)arg2;
- (void)_handleAVChatStateChangeFromState:(unsigned int)arg1 to:(unsigned int)arg2 withReason:(unsigned int)arg3;
- (void)_sendPresentConferenceNotification;
- (void)_handleInitiationOfAVConference;
- (void)_handleConferenceDidStart;
- (void)_handleEndConferenceWithReason:(unsigned int)arg1 error:(int)arg2;
- (void)_handleAccountNotRegisteredForURL:(id)arg1 registrationInProgress:(BOOL)arg2;
- (void)_handleChangeForRemoteIsMuted:(BOOL)arg1;
- (void)_handleChangeForRemoteIsPaused:(BOOL)arg1;
- (void)_presentCallScreenForIMAVChat:(id)arg1;
- (BOOL)_activeChatExists;
- (BOOL)canSendConferenceInvitationTo:(id)arg1;
- (void)sendConferenceInvitationTo:(id)arg1;
- (void)acceptConferenceInvitationFrom:(id)arg1 conferenceID:(id)arg2;
- (void)rejectConferenceInvitationFrom:(id)arg1 conferenceID:(id)arg2;
- (void)setConferenceMuted:(BOOL)arg1;
- (BOOL)conferencePaused;
- (void)setConferencePaused:(BOOL)arg1;
- (void)setIsSendingAudio:(BOOL)arg1;
- (void)setIsSendingVideo:(BOOL)arg1;
- (void)endConference;
- (BOOL)isInConference;
- (void)invitedToIMAVChat:(id)arg1;
- (void)inviteFailedFromIMHandle:(id)arg1 reason:(int)arg2;
- (void)conference:(id)arg1 receivedInvitationFromIMHandle:(id)arg2;
- (void)conference:(id)arg1 handleMissedInvitationFromIMHandle:(id)arg2;
- (void)conference:(id)arg1 receivedCancelledInvitationFromIMHandle:(id)arg2;
- (void)avChatStateChangedFrom:(unsigned int)arg1 to:(unsigned int)arg2 reason:(unsigned int)arg3;
- (void)_handleConferenceConnecting:(id)arg1;
- (void)_handleConferenceInviteSent:(id)arg1;
- (void)_handleConferenceConnected:(id)arg1;
- (void)_handleConferenceEnded:(id)arg1 withReason:(unsigned int)arg2 withError:(int)arg3;
- (void)avChat:(id)arg1 didSendInvitationForParticipant:(id)arg2;
- (void)avChat:(id)arg1 stateChanged:(unsigned int)arg2;
- (void)avChat:(id)arg1 remoteParticipant:(id)arg2 muteChanged:(BOOL)arg3;
- (void)avChat:(id)arg1 remoteParticipant:(id)arg2 pauseChanged:(BOOL)arg3;
- (void)receivedFirstPreviewForAVChat:(id)arg1;
- (void)receivedFirstRemoteFrameForAVChat:(id)arg1;
- (void)remoteCameraBeingChangedForAVChat:(id)arg1;
- (void)remoteCameraDidChangeForAVChat:(id)arg1 newCameraType:(unsigned int)arg2;
- (void)avChat:(id)arg1 remoteOrientationChanged:(unsigned int)arg2;
- (BOOL)canInitiateFaceTimeForPhoneNumber:(id)arg1;
- (BOOL)canInitiateFaceTimeForDestinationID:(id)arg1;
- (BOOL)canInitiateConferenceForPhoneNumber:(id)arg1;
- (BOOL)canInitiateConferenceForDestinationID:(id)arg1;
- (void)hangUpConference;
- (void)setHavePreviouslyConferenced:(BOOL)arg1 withID:(id)arg2;
- (BOOL)isFullConferenceCapable;
- (id)availableFaceTimeURLs;
- (int)activationState;
- (id)contactFaceTimeURLForABRecord:(void*)arg1;
- (BOOL)contactCanBeConferenced:(void*)arg1;
- (BOOL)_blockingIsInConference;
- (id)avChat;
- (BOOL)conferenceMuted;
- (id)init;
- (void)dealloc;
- (void)setCameraType:(int)arg1;
- (int)cameraType;
- (BOOL)conferencingIsAvailable;
- (BOOL)havePreviouslyConferencedWithID:(id)arg1;
- (id)faceTimeURLForPhoneNumber:(id)arg1;
- (id)faceTimeURLForDestinationID:(id)arg1;
- (id)conferenceURLForDestinationID:(id)arg1;
- (id)conferenceURLForPhoneNumber:(id)arg1;

@end
