/* Generated by RuntimeBrowser.
   Image: /System/Library/PrivateFrameworks/Conference.framework/Conference
 */

@class NSObject<CNFConferenceManagerDelegate>, AVController, NSURL, CNFDisplayController, CNFAudioPlayer, CNFAudioDeviceController;

@interface CNFConferenceManager : NSObject <UIApplicationDelegate, CNFDisplayControllerDelegate, CNFSoundPlayerDelegateProtocol, CNFAudioDeviceControllerProtocol> {
    NSObject<CNFConferenceManagerDelegate> *_delegate;
    AVController *_avController;
    CNFDisplayController *_displayController;
    CNFAudioDeviceController *_deviceController;
    BOOL _isOutgoingInvitation;
    BOOL _initialMuteState;
    BOOL _audioWasInterrupted;
    NSURL *_originationURL;
    CNFAudioPlayer *_player;
}

@property(retain) NSURL * originationURL;
@property BOOL initialMuteState;
@property BOOL isOutgoingInvitation;
@property NSObject<CNFConferenceManagerDelegate> * delegate;
@property(retain,readonly) CNFAudioDeviceController * deviceController;
@property(retain,readonly) CNFDisplayController * displayController;


- (void)audioPlayerDidStopPlaying:(id)arg1;
- (id)deviceController;
- (void)_fakeConferenceFirstLocalFrameNotification;
- (void)_fakeConferenceFirstRemoteFrameNotification;
- (void)_fakeConferenceConnectedNotification;
- (void)_fakeDeclinedNotification;
- (void)_fakeFailureNotification;
- (void)_fakeHangUp;
- (void)_ensureDisplayControllerExists;
- (void)_setupAudioPlayer;
- (void)_setupDeviceController;
- (void)_muteConference:(BOOL)arg1;
- (void)_setUpConferenceManager;
- (void)_tearDownConferenceManager;
- (id)initWithDelegate:(id)arg1 displayController:(id)arg2;
- (BOOL)isInPhoneCall;
- (void)setIsOutgoingInvitation:(BOOL)arg1;
- (void)setOriginationURL:(id)arg1;
- (void)_beginAudioInterruption;
- (void)_endAudioInterruption;
- (void)_handlePresentConference:(id)arg1;
- (void)_gracefullyTerminateAndReturnToLastApp;
- (void)_handleInvitationSent:(id)arg1;
- (void)_handleFirstRemoteFrame:(id)arg1;
- (void)_handleDismissConference:(id)arg1;
- (void)_handleAccountNotRegistered:(id)arg1;
- (void)_handleConferenceRemotePauseChanged:(id)arg1;
- (void)conferenceDisplayController:(id)arg1 endCallWithReason:(unsigned int)arg2;
- (void)conferenceDisplayController:(id)arg1 retryVideoConferenceInvitationWithReason:(unsigned int)arg2;
- (void)conferenceDisplayController:(id)arg1 cameraToggleWithReason:(unsigned int)arg2;
- (void)_delayedPlayOutgoingRingSound;
- (void)_playOutgoingRingSound;
- (void)_stopSounds;
- (void)startConferenceWithURL:(id)arg1;
- (void)hangUpConferenceOnScreenLock;
- (BOOL)muteButtonEnabled;
- (void)audioDeviceView:(id)arg1 selectedMute:(int)arg2;
- (BOOL)initialMuteState;
- (void)setInitialMuteState:(BOOL)arg1;
- (id)displayController;
- (void)audioDeviceView:(id)arg1 eventOccurred:(id)arg2;
- (BOOL)shouldDisplayMuteOption;
- (BOOL)audioIsMuted;
- (int)audioDeviceViewNumberOfDevices:(id)arg1;
- (id)audioDeviceView:(id)arg1 deviceAtIndex:(int)arg2 isActive:(BOOL*)arg3;
- (void)audioDeviceView:(id)arg1 selectedItem:(int)arg2;
- (void)_handleConferenceDidStart;
- (BOOL)isOutgoingInvitation;
- (void)conferenceDisplayController:(id)arg1 didFinishAnimatingCallEndWithReason:(unsigned int)arg2;
- (void)conferenceDisplayControllerEndedWhileSuspending:(id)arg1;
- (void)conferenceDisplayController:(id)arg1 endWithReason:(unsigned int)arg2;
- (id)originationURL;
- (BOOL)auxiliaryAudioRoutesAvailable;
- (void)conferenceDisplayController:(id)arg1 muteConferenceWithReason:(unsigned int)arg2;
- (void)conferenceDisplayController:(id)arg1 cancelCallFailureRecoveryWithReason:(unsigned int)arg2;
- (void)showCallBarsAnimated:(BOOL)arg1;
- (void)showAcceptCallBarsAnimated:(BOOL)arg1 wasLocked:(BOOL)arg2;
- (void)dealloc;
- (void)setDelegate:(id)arg1;
- (id)delegate;
- (id)initWithDelegate:(id)arg1;
- (void)audioDeviceControllerAudioRoutesChanged:(id)arg1;

@end
