/* Generated by RuntimeBrowser.
   Image: /System/Library/PrivateFrameworks/DataAccess.framework/DataAccess
 */

@class NSData, DASettingsTemplate, DAStatusReport, NSString, NSURL, NSMutableDictionary, NSArray;

@interface DAAccount : BasicAccount <AccountFullAccountProtocol, AccountCreationProtocol, BasicAccountSyncing> {
    int _dataclasses;
    BOOL _hasDirtyBits;
    BOOL _hasInitted;
    BOOL _shouldAutodiscoverPrincipalURL;
    BOOL _shouldPromptForPassword;
    BOOL _shouldFailAllTasks;
    int _originalDataclasses;
    struct __CFDictionary { } *_changeTypesByDataclass;
    NSMutableDictionary *_haveWarnedAboutCertDict;
    DASettingsTemplate *_settingsTemplate;
    DAStatusReport *_statusReport;
    NSString *_embargoedPassword;
    NSURL *_urlToRemoveFromKeychain;
    struct __CFDictionary { } *_consumers;
}

@property(setter=setDAAccountVersion:) int daAccountVersion;
@property(copy,readonly) NSString * tag;
@property(copy,readonly) NSString * persistentUUID;
@property(copy) NSString * accountDescription;
@property(copy) NSString * username;
@property(copy) NSString * user;
@property(copy) NSString * host;
@property int port;
@property(copy) NSString * password;
@property BOOL useSSL;
@property(readonly) BOOL isChildAccount;
@property(retain,readonly) NSString * scheduleIdentifier;
@property(copy) NSString * scheme;
@property(copy) NSURL * principalURL;
@property(copy) NSString * emailAddress;
@property(copy) NSArray * emailAddresses;
@property BOOL shouldPromptForPassword;
@property(copy) NSData * identityPersist;
@property BOOL shouldFailAllTasks;
@property(readonly) DAStatusReport * statusReport;
@property(retain) DASettingsTemplate * settingsTemplate;
@property BOOL shouldAutodiscoverPrincipalURL;
@property(readonly) int enabledDataclassesBitmask;

+ (id)basicAccountProperties;
+ (Class)classForAccountType:(id)arg1;
+ (Class)accountClassWithProperties:(id)arg1;
+ (Class)daemonClass;
+ (id)newAccountOfAccountType:(id)arg1;
+ (id)defaultProperties;
+ (Class)clientClass;
+ (Class)accountClass;

- (void)performSearchQuery:(id)arg1 consumer:(id)arg2;
- (id)inboxFolder;
- (id)sentItemsFolder;
- (id)deletedItemsFolder;
- (id)persistentUUID;
- (BOOL)enabledForDataclass:(int)arg1;
- (id)accountDescription;
- (int)supportsMailboxSearch;
- (BOOL)reattemptInvitationLinkageForMetaData:(id)arg1 inFolderWithId:(id)arg2;
- (void)cancelSearchQuery:(id)arg1;
- (BOOL)supportsDataclass:(int)arg1;
- (id)emailAddresses;
- (void)setEmailAddresses:(id)arg1;
- (void)setPort:(int)arg1;
- (void)getRootFolderWithConsumer:(id)arg1;
- (void)synchronizeBookmarkTreeWithConsumer:(id)arg1 hasRemoteChanges:(BOOL)arg2;
- (id)defaultNotesFolder;
- (id)notesFolders;
- (void)synchronizeNotesFolder:(id)arg1 noteContext:(id)arg2 previousTag:(id)arg3 actions:(id)arg4 changeSet:(id)arg5 notesToDeleteAfterSync:(id)arg6 isInitialUberSync:(BOOL)arg7 isResyncAfterConnectionFailed:(BOOL)arg8 consumer:(id)arg9;
- (void)synchronizeContactsFolder:(id)arg1 previousTag:(id)arg2 previousSyncToken:(id)arg3 actions:(id)arg4 highestIdContext:(struct { int x1; int x2; }*)arg5 isInitialUberSync:(BOOL)arg6 isResyncAfterConnectionFailed:(BOOL)arg7 consumer:(id)arg8;
- (void)synchronizeEventsFolder:(id)arg1 previousTag:(id)arg2 actions:(id)arg3 highestIdContext:(struct { int x1; int x2; int x3; int x4; }*)arg4 isInitialUberSync:(BOOL)arg5 isResyncAfterConnectionFailed:(BOOL)arg6 consumer:(id)arg7;
- (BOOL)sendEmailsForCalEvents:(id)arg1 consumer:(id)arg2;
- (int)enabledDataclassesBitmask;
- (void)_setPersistentUUID:(id)arg1;
- (BOOL)originallyEnabledForDataclass:(int)arg1;
- (int)accountChangeTypeForDataclass:(int)arg1;
- (void)stopMonitoringFolderWithID:(id)arg1;
- (void)takeValuesFromAccount:(id)arg1;
- (void)_removeHostsToTrust;
- (BOOL)_upgradeSelfFromPreKirkwood;
- (BOOL)shouldPromptForPassword;
- (void)_removePasswordFromKeychainKeepCache:(BOOL)arg1;
- (void)setShouldPromptForPassword:(BOOL)arg1;
- (BOOL)hasDirtyBits;
- (BOOL)monitorFoldersWithIDs:(id)arg1;
- (BOOL)monitorFolderWithID:(id)arg1;
- (void)stopMonitoringFoldersWithIDs:(id)arg1;
- (void)stopMonitoringFolders;
- (void)setP12Data:(id)arg1 password:(id)arg2;
- (void)removeClientCertificateData;
- (id)_exceptionsDict;
- (struct __CFData { }*)exceptionsForDigest:(id)arg1;
- (void)setExceptions:(struct __CFData { }*)arg1 forDigest:(id)arg2;
- (int)daAccountVersion;
- (void)setDAAccountVersion:(int)arg1;
- (BOOL)haveWarnedAboutCert:(id)arg1;
- (void)setHaveWarnedAboutCert:(id)arg1;
- (BOOL)resetCertWarnings;
- (void)resetStatusReport;
- (BOOL)isLDAPAccount;
- (BOOL)isCardDAVAccount;
- (id)settingsTemplate;
- (void)setSettingsTemplate:(id)arg1;
- (void)setShouldAutodiscoverPrincipalURL:(BOOL)arg1;
- (int)_actionForTrust:(struct __SecTrust { }*)arg1 host:(id)arg2 service:(id)arg3;
- (void)handleTrust:(struct __SecTrust { }*)arg1 forHost:(id)arg2 withCompletionBlock:(id)arg3;
- (void)_handlePasswordNotification:(struct __CFUserNotification { }*)arg1 response:(unsigned long)arg2 callback:(id)arg3;
- (id)initWithProperties:(id)arg1;
- (void)_setProperties:(id)arg1;
- (id)version;
- (int)port;
- (id)user;
- (id)tag;
- (id)password;
- (id)scheme;
- (id)host;
- (void)tearDown;
- (id)init;
- (void)dealloc;
- (id)description;
- (void)setVersion:(id)arg1;
- (BOOL)isDisabled;
- (BOOL)shouldAutodiscoverPrincipalURL;
- (void)saveChildAccountSettingsWithAccountsManager:(id)arg1;
- (id)scheduleIdentifier;
- (BOOL)isCalDAVChildAccount;
- (BOOL)shouldAllowTrust:(struct __SecTrust { }*)arg1 forHost:(id)arg2;
- (int)keychainAccessibilityType;
- (void)setAccountDescription:(id)arg1;
- (id)principalURL;
- (void)setPrincipalURL:(id)arg1;
- (BOOL)isCalDAVAccount;
- (id)accountID;
- (void)setHost:(id)arg1;
- (void)setPassword:(id)arg1;
- (void)setUsername:(id)arg1;
- (id)username;
- (void)setScheme:(id)arg1;
- (id)emailAddress;
- (id)syncStoreIdentifier;
- (void)setIdentityPersist:(id)arg1;
- (void)setUser:(id)arg1;
- (id)stateString;
- (BOOL)shouldFailAllTasks;
- (void)renewAccountCredentialsWithHandler:(id)arg1;
- (BOOL)handleTrustChallenge:(id)arg1;
- (id)statusReport;
- (BOOL)useSSL;
- (BOOL)accountContainsEmailAddress:(id)arg1;
- (id)usernameWithoutDomain;
- (void)setConsumer:(id)arg1 forTask:(id)arg2;
- (void)resumeMonitoringFoldersWithIDs:(id)arg1;
- (void)suspendMonitoringFoldersWithIDs:(id)arg1;
- (id)consumerForTask:(id)arg1;
- (void)removeConsumerForTask:(id)arg1;
- (BOOL)isChildAccount;
- (void)setEmbargoedPassword:(id)arg1;
- (void)removePasswordFromKeychain;
- (int)accountIntPropertyForKey:(id)arg1;
- (void)setAccountIntProperty:(int)arg1 forKey:(id)arg2;
- (BOOL)accountBoolPropertyForKey:(id)arg1;
- (void)setAccountBoolProperty:(BOOL)arg1 forKey:(id)arg2;
- (void)saveAccountProperties;
- (id)identityPersist;
- (void)saveAccountSettings;
- (void)cleanupAccountFiles;
- (void)checkValidityWithConsumer:(id)arg1;
- (BOOL)upgradeAccount;
- (BOOL)accountNeedsUpgrade;
- (void)setEnabled:(BOOL)arg1 forDataclass:(int)arg2 changeType:(int)arg3;
- (void)resetAccountID;
- (id)defaultContactsFolder;
- (id)contactsFolders;
- (id)defaultEventsFolder;
- (id)eventsFolders;
- (id)defaultContainerIdentifierForDADataclass:(int)arg1;
- (void)cancelAutodiscovery;
- (BOOL)autodiscoverAccountConfigurationWithConsumer:(id)arg1;
- (void)setUseSSL:(BOOL)arg1;
- (id)urlForKeychain;
- (BOOL)isActiveSyncAccount;
- (id)domainOnly;
- (BOOL)isEqualToAccount:(id)arg1;
- (id)localizedIdenticalAccountFailureMessage;
- (id)localizedInvalidPasswordMessage;
- (void)setEmailAddress:(id)arg1;
- (void)setShouldFailAllTasks:(BOOL)arg1;
- (void)cancelAllSearchQueries;
- (BOOL)searchQueriesRunning;
- (id)owningProfile;
- (BOOL)isOwnedByPayload:(id)arg1;

@end
