/* Generated by RuntimeBrowser.
   Image: /System/Library/PrivateFrameworks/GameKitServices.framework/GameKitServices
 */

@class NSObject<AVConferenceNotificationObserver>, NSTimer, NSObject<AVConferenceDelegate>, CALayer, NSMutableDictionary;

@interface AVConference : NSObject  {
    id opaqueConf;
    BOOL useServer;
    BOOL runningInServer;
    void *serverConnection;
    NSObject<AVConferenceDelegate> *delegate;
    NSObject<AVConferenceNotificationObserver> *genericObserver;
    struct dispatch_queue_s { } *notificationQueue;
    NSMutableDictionary *notificationDictionary;
    BOOL testIsRunning;
    BOOL shouldDisplayNetworkQualityGraph_;
    CALayer *networkQualityGraphLayer_;
    NSTimer *networkQualityUpdateTimer_;
}

@property(getter=isUsingViceroyBlobFormat) BOOL useViceroyBlobFormat;
@property(getter=isMicrophoneMuted) BOOL microphoneMuted;
@property(getter=isOutputMeteringEnabled) BOOL outputMeteringEnabled;
@property(getter=isInputMeteringEnabled) BOOL inputMeteringEnabled;
@property(readonly) float outputMeterLevel;
@property(readonly) float inputMeterLevel;
@property BOOL requiresWifi;
@property void* localVideoLayer;
@property void* localVideoBackLayer;
@property void* remoteVideoLayer;
@property void* remoteVideoBackLayer;
@property(getter=getLocalFramerate,readonly) double localFramerate;
@property(getter=getLocalBitrate,readonly) double localBitrate;
@property(getter=getRemoteFramerate,readonly) double remoteFramerate;
@property(getter=getRemoteBitrate,readonly) double remoteBitrate;
@property(readonly) double remotePacketLossRate;
@property(readonly) double localPacketLossRate;
@property(readonly) double roundTripTime;
@property(readonly) int localFrameHeight;
@property(readonly) int localFrameWidth;
@property(readonly) int remoteFrameHeight;
@property(readonly) int remoteFrameWidth;
@property(getter=isSpeakerPhoneEnabled) BOOL enableSpeakerPhone;
@property unsigned int cameraType;
@property unsigned int orientation;
@property(readonly) BOOL natType;
@property(retain) NSTimer * networkQualityUpdateTimer;
@property(retain) CALayer * networkQualityGraphLayer;
@property BOOL shouldDisplayNetworkQualityGraph;
@property NSObject<AVConferenceNotificationObserver> * genericObserver;
@property NSObject<AVConferenceDelegate> * delegate;

+ (short)addressPointerFromBlob:(id)arg1;
+ (id)externalAddressForSelfConnectionBlob:(id)arg1;
+ (void)startAudioSession;
+ (void)stopAudioSession;

- (BOOL)isUsingViceroyBlobFormat;
- (int)getLocalVideoSlot:(BOOL)arg1;
- (int)getRemoteVideoSlot:(BOOL)arg1;
- (double)getRemoteBitrate;
- (void)videoConference:(id)arg1 notificationEvent:(id)arg2;
- (void)videoConference:(id)arg1 updateInputMeterLevel:(float)arg2;
- (BOOL)startConnectionWithParticipantID:(id)arg1 callID:(int)arg2 usingBlob:(id)arg3 isCaller:(BOOL)arg4 capabilities:(id)arg5 error:(id*)arg6;
- (BOOL)isInputMeteringEnabled;
- (void)videoConference:(id)arg1 didStartSession:(BOOL)arg2 withCallID:(int)arg3 error:(id)arg4;
- (double)getLocalFramerate;
- (double)getLocalBitrate;
- (float)outputMeterLevel;
- (id)networkQualityGraphLayer;
- (id)networkQualityUpdateTimer;
- (void*)remoteVideoBackLayer;
- (void)listenForNotifications;
- (void)stopListeningForNotifications;
- (void)updateGKSConnectivitySettings;
- (void)handleGKSConnectivitySettingsUpdate:(id)arg1;
- (void)warmupForCall;
- (void)testIsPausedProc:(id)arg1;
- (id)initWithFlags:(int)arg1;
- (void)setSetSessionID:(id)arg1 forCallID:(int)arg2;
- (void)addGKSCallEvent:(id)arg1 sessionID:(id)arg2;
- (id)connectionBlobForParticipantID:(id)arg1 callID:(int*)arg2 error:(id*)arg3;
- (double)networkQualityForCallID:(int)arg1;
- (id)convertBlobtoOldBlob:(id)arg1;
- (id)convertBlobtoNewBlob:(id)arg1;
- (BOOL)startConnectionWithParticipantID:(id)arg1 callID:(int)arg2 connectionID:(id)arg3 usingBlob:(id)arg4 isCaller:(BOOL)arg5 capabilities:(id)arg6 error:(id*)arg7;
- (void)receivedRealTimeData:(id)arg1 fromParticipantID:(id)arg2;
- (BOOL)isOutputMeteringEnabled;
- (void)setOutputMeteringEnabled:(BOOL)arg1;
- (BOOL)updateNetworkQualityGraph;
- (void)startNetworkQualityUpdateTimer;
- (void)stopNetworkQualityUpdateTimer;
- (int)remoteFrameWidth;
- (id)statsForCallID:(int)arg1;
- (BOOL)isSpeakerPhoneEnabled;
- (BOOL)startPreview:(BOOL)arg1 withError:(id*)arg2;
- (void)applyServerInfo:(id)arg1;
- (BOOL)setPauseVideo:(BOOL)arg1 callID:(int)arg2 error:(id*)arg3;
- (BOOL)setServerInfo:(id)arg1;
- (unsigned int)doBlockingConnectionCheck;
- (void)videoConference:(id)arg1 didStopWithCallID:(int)arg2 error:(id)arg3;
- (void)videoConference:(id)arg1 updateOutputMeterLevel:(float)arg2;
- (void)processRelayUpdate:(int)arg1 updateDict:(id)arg2 didOriginateRequest:(BOOL)arg3;
- (void)processCancelRelayRequest:(int)arg1 cancelDict:(id)arg2 didOriginateRequest:(BOOL)arg3;
- (void)setNetworkQualityUpdateTimer:(id)arg1;
- (void)setNetworkQualityGraphLayer:(id)arg1;
- (void)setShouldDisplayNetworkQualityGraph:(BOOL)arg1;
- (void)processServerSideApplicationQuery:(id)arg1 responseDict:(id*)arg2;
- (void)processApplicationQuery:(id)arg1 responseDict:(id*)arg2;
- (void)addTransaction:(id)arg1 outputDictionary:(id*)arg2;
- (BOOL)shouldDisplayNetworkQualityGraph;
- (BOOL)requiresWifi;
- (void)remoteCancelledCallID:(int)arg1;
- (id)localDisplayNameForCallID:(int)arg1;
- (id)remoteDisplayNameForCallID:(int)arg1;
- (void)setRequiresWifi:(BOOL)arg1;
- (double)roundTripTime;
- (float)networkQuality;
- (void*)localVideoLayer;
- (void*)remoteVideoLayer;
- (BOOL)natType;
- (void)setInputMeteringEnabled:(BOOL)arg1;
- (void)setUseViceroyBlobFormat:(BOOL)arg1;
- (BOOL)getIsVideoPaused:(BOOL*)arg1 callID:(int)arg2 error:(id*)arg3;
- (BOOL)getIsAudioPaused:(BOOL*)arg1 callID:(int)arg2 error:(id*)arg3;
- (BOOL)setPauseAudio:(BOOL)arg1 callID:(int)arg2 error:(id*)arg3;
- (void)setPeerCN:(id)arg1 callID:(int)arg2;
- (void)stopCallID:(int)arg1;
- (BOOL)isMicrophoneMuted;
- (void)setMicrophoneMuted:(BOOL)arg1;
- (void)setLocalVideoLayer:(void*)arg1;
- (void)setRemoteVideoLayer:(void*)arg1;
- (double)getRemoteFramerate;
- (int)localFrameHeight;
- (int)localFrameWidth;
- (int)remoteFrameHeight;
- (double)remotePacketLossRate;
- (double)localPacketLossRate;
- (void)setEnableSpeakerPhone:(BOOL)arg1;
- (void)processRelayRequestResponse:(int)arg1 responseDict:(id)arg2 didOriginateRequest:(BOOL)arg3;
- (void)setGenericObserver:(id)arg1;
- (void)setRemoteVideoBackLayer:(void*)arg1;
- (void)setLocalVideoBackLayer:(void*)arg1;
- (id)genericObserver;
- (void*)localVideoBackLayer;
- (float)inputMeterLevel;
- (BOOL)startPreviewWithError:(id*)arg1;
- (void)setOrientation:(unsigned int)arg1;
- (BOOL)setActive:(BOOL)arg1;
- (id)init;
- (unsigned int)orientation;
- (void)dealloc;
- (void)setDelegate:(id)arg1;
- (id)delegate;
- (void)setCameraType:(unsigned int)arg1;
- (unsigned int)cameraType;
- (void)stopPreview;

@end
