/* Generated by RuntimeBrowser.
   Image: /System/Library/PrivateFrameworks/GameKitServices.framework/GameKitServices
 */

@class <GKSessionDOOBReceiveHandler>, GKTable, GKConnection, GKAutoPeerIDTable, GKVoiceChatSessionListener, GKList, <GKSessionDelegate>, <GKSessionDataReceiveHandler>, GKSession, NSString, <GKSessionPrivateDelegate>;

@interface GKSessionInternal : NSObject  {
    GKSession *_session;
    NSString *domain;
    NSString *serviceType;
    unsigned int _port;
    NSString *_displayName;
    unsigned int _pid;
    unsigned int maxPeers;
    struct OpaqueGCKSession { } *sessionRef;
    struct OpaqueAGPSession { } *agpSessionRef;
    GKConnection *_connection;
    <GKSessionDelegate> *_delegate;
    <GKSessionPrivateDelegate> *_privateDelegate;
    <GKSessionDataReceiveHandler> *_dataReceiveHandler;
    void *_dataReceiveHandlerContext;
    <GKSessionDOOBReceiveHandler> *_doobReceiveHandler[2];
    void *_doobReceiveHandlerContext[2];
    GKTable *_peerInfoTable;
    GKTable *_peerNameTable;
    GKAutoPeerIDTable *_peerIDTable;
    GKList *_peersAvailable;
    GKList *_peersConnected;
    GKList *_peersForCleanup;
    GKList *_peersPendingIncomingInvitation;
    GKList *_peersPendingOutgoingInvitation;
    struct _opaque_pthread_mutex_t { 
        long __sig; 
        BOOL __opaque[40]; 
    } _lock;
    struct _opaque_pthread_mutex_t { 
        long __sig; 
        BOOL __opaque[40]; 
    } _delegateLock;
    BOOL _isSearching;
    BOOL _isPublishing;
    BOOL _sessionStarted;
    int _mode;
    BOOL _isBusy;
    NSString *sessionID;
    NSString *displayName;
    double disconnectTimeout;
    struct _DNSServiceRef_t { } *_dnsServiceConnection;
    struct _DNSServiceRef_t { } *_dnsServiceResolveConnection;
    int _sReset;
    struct _DNSServiceRef_t { } *_serviceBrowser;
    struct _DNSServiceRef_t { } *_service;
    struct _DNSServiceRef_t { } *_oldService;
    BOOL _handleEventsRunning;
    BOOL _stopHandlingEvents;
    BOOL _wifiEnabled;
    BOOL _shutdown;
    GKVoiceChatSessionListener *_voiceChatListener;
}

@property(readonly) NSString * displayName;
@property(readonly) NSString * peerID;
@property double disconnectTimeout;
@property(getter=isAvailable) BOOL available;
@property(getter=isBusy) BOOL busy;
@property BOOL wifiEnabled;
@property(retain,readonly) GKConnection * connection;
@property(readonly) int sessionMode;
@property(readonly) NSString * sessionID;
@property <GKSessionPrivateDelegate> * privateDelegate;
@property id dataReceiveHandler;
@property unsigned int port;
@property struct OpaqueAGPSession { }* agpSessionRef;
@property struct OpaqueGCKSession { }* sessionRef;
@property <GKSessionDelegate> * delegate;
@property unsigned int maxPeers;
@property(retain) NSString * serviceType;
@property(retain) NSString * domain;


- (BOOL)sendAudioData:(id)arg1 toPeers:(id)arg2 withDataMode:(int)arg3 error:(id*)arg4;
- (id)sessionID;
- (BOOL)isShuttingDown;
- (id)createNSErrorFromHRESULT:(int)arg1 description:(id)arg2 reason:(id)arg3;
- (id)createNSErrorFromGKSessionError:(int)arg1 description:(id)arg2 reason:(id)arg3;
- (void)printDictionaries;
- (void)setDisplayName:(id)arg1 forPeer:(unsigned int)arg2;
- (void)tellDelegate_sessionDidFailWithError:(id)arg1;
- (void)tellDelegate_didConnectPeer:(id)arg1;
- (void)tellDelegate_didDisconnectPeer:(id)arg1;
- (void)tellDelegate_isConnectingPeer:(id)arg1;
- (void)tellDelegate_peerDidBecomeAvailable:(id)arg1;
- (void)tellDelegate_peerDidBecomeUnavailable:(id)arg1;
- (void)tellDelegate_didReceiveBand_RetryICE:(id)arg1;
- (void)tellDelegate_didReceiveData:(id)arg1;
- (void)tellDelegate_gotInvited:(id)arg1;
- (void)tellDelegate_connectionRequestToPeerFailed:(id)arg1;
- (void)tellDelegate_peerDidBecomeBusy:(id)arg1;
- (void)tellDelegate_initiateRelay:(id)arg1;
- (void)tellDelegate_updateRelay:(id)arg1;
- (BOOL)parseServiceName:(const char *)arg1 intoDisplayName:(id*)arg2 pid:(unsigned int*)arg3 state:(id*)arg4;
- (void)stopResolvingAllPeers;
- (void)didPublishWithError:(int)arg1;
- (void)sendCallbacksToDelegate:(struct { int x1; char *x2; int x3; unsigned int x4; }*)arg1 remotePeer:(unsigned int)arg2;
- (id)serviceType;
- (struct OpaqueAGPSession { }*)agpSessionRef;
- (id)dataReceiveHandler;
- (void)setPrivateDelegate:(id)arg1;
- (id)initWithConnection:(id)arg1 session:(id)arg2 delegate:(id)arg3;
- (id)initWithSessionID:(id)arg1 displayName:(id)arg2 session:(id)arg3 sessionMode:(int)arg4;
- (id)displayNameForPeer:(id)arg1;
- (BOOL)passesSendDataSanityCheck:(id)arg1 toPeers:(id)arg2 withDataMode:(int)arg3 error:(id*)arg4;
- (BOOL)sendData:(id)arg1 toPeers:(id)arg2 withDataMode:(int)arg3 error:(id*)arg4;
- (BOOL)sendData:(id)arg1 toPeers:(id)arg2 withDataMode:(int)arg3 isAudio:(BOOL)arg4 error:(id*)arg5;
- (BOOL)sendDataToAllPeers:(id)arg1 withDataMode:(int)arg2 error:(id*)arg3;
- (void)receiveDOOB:(id)arg1 fromPeer:(id)arg2 inSession:(id)arg3 context:(void*)arg4;
- (void)setDOOBReceiveHandler:(id)arg1 withContext:(void*)arg2 inBand:(unsigned int)arg3;
- (void)setDataReceiveHandler:(id)arg1 withContext:(void*)arg2;
- (void)timeoutConnectToPeer:(id)arg1;
- (void)connectToPeer:(id)arg1 withTimeout:(double)arg2;
- (void)cancelConnectToPeer:(id)arg1;
- (BOOL)acceptConnectionFromPeer:(id)arg1 error:(id*)arg2;
- (void)denyConnectionFromPeer:(id)arg1;
- (void)disconnectPeerFromAllPeers:(id)arg1;
- (void)disconnectFromAllPeers;
- (void)setAvailable:(BOOL)arg1;
- (id)peersWithConnectionState:(int)arg1;
- (void)stopOldService;
- (BOOL)wifiEnabled;
- (void)setWifiEnabled:(BOOL)arg1;
- (BOOL)isPeerBusy:(id)arg1;
- (void)setDisconnectTimeout:(double)arg1;
- (void)handleEvents;
- (BOOL)checkDNSConnection;
- (BOOL)filterService:(const char *)arg1 withPID:(unsigned int)arg2;
- (void)cleanupExAvailablePeers;
- (void)processTXTRecordForPeer:(id)arg1 txtLen:(unsigned short)arg2 txtRecord:(const void*)arg3;
- (void)didUpdateTXTRecordForPeer:(id)arg1 fromIF:(const char *)arg2 txtLen:(unsigned short)arg3 txtRecord:(const void*)arg4 withError:(int)arg5 moreComing:(BOOL)arg6;
- (void)didFindService:(const char *)arg1 fromIF:(const char *)arg2 withError:(int)arg3 moreComing:(BOOL)arg4;
- (void)didRemoveService:(const char *)arg1 fromIF:(const char *)arg2 withError:(int)arg3 moreComing:(BOOL)arg4;
- (void)browse;
- (BOOL)tryConnectToPeer:(id)arg1;
- (void)didLookupHostname:(struct _DNSServiceRef_t { }*)arg1 forPeer:(id)arg2 hostName:(const char *)arg3 address:(const struct sockaddr_in { unsigned char x1; unsigned char x2; unsigned short x3; struct in_addr { unsigned int x_4_1_1; } x4; BOOL x5[8]; }*)arg4 interface:(unsigned int)arg5 withError:(int)arg6 moreComing:(BOOL)arg7;
- (void)didResolveService:(struct _DNSServiceRef_t { }*)arg1 forPeer:(id)arg2 hostName:(const char *)arg3 port:(unsigned short)arg4 interface:(unsigned int)arg5 txtLen:(unsigned short)arg6 txtRecord:(const void*)arg7 withError:(int)arg8 moreComing:(BOOL)arg9;
- (id)stringForGCKID:(unsigned int)arg1;
- (id)voiceChatSessionListener;
- (int)sessionMode;
- (id)privateDelegate;
- (void)setDataReceiveHandler:(id)arg1;
- (void)setPort:(unsigned int)arg1;
- (void)setAgpSessionRef:(struct OpaqueAGPSession { }*)arg1;
- (void)setSessionRef:(struct OpaqueGCKSession { }*)arg1;
- (void)setMaxPeers:(unsigned int)arg1;
- (void)setServiceType:(id)arg1;
- (void)setDomain:(id)arg1;
- (double)disconnectTimeout;
- (struct OpaqueGCKSession { }*)sessionRef;
- (unsigned int)maxPeers;
- (void)setBusy:(BOOL)arg1;
- (id)peerID;
- (id)displayName;
- (void)lock;
- (void)reset;
- (unsigned int)port;
- (void)unlock;
- (void)dealloc;
- (id)description;
- (void)setDelegate:(id)arg1;
- (id)delegate;
- (BOOL)isAvailable;
- (BOOL)isBusy;
- (id)domain;
- (id)connection;
- (void)publish;
- (id)serviceName;

@end
