/* Generated by RuntimeBrowser.
   Image: /System/Library/PrivateFrameworks/GameKitServices.framework/GameKitServices
 */

@class NSObject<VideoConferenceRealTimeChannel>, VCCallSession, NSLock, GKNATObserver, NSObject<VideoConferenceSpeakingDelegate>, VideoConferenceManager, NSObject<VideoConferenceDelegate>, NSArray, NSObject<VideoConferenceNotificationObserver>, NSString, NSMutableDictionary, NSObject<VideoConferenceChannelQualityDelegate>, CALayer;

@interface VideoConference : NSObject <VCCallSessionDelegate, GKNATObserverDelegate> {
    NSObject<VideoConferenceDelegate> *delegate;
    NSLock *delegateLock;
    VideoConferenceManager *manager;
    struct _opaque_pthread_rwlock_t { 
        long __sig; 
        BOOL __opaque[124]; 
    } stateLock;
    NSMutableDictionary *sessionDict;
    NSArray *sessionArray;
    BOOL outputMeteringEnabled;
    BOOL inputMeteringEnabled;
    float outputMeterLevel;
    float inputMeterLevel;
    BOOL microphoneMuted;
    NSObject<VideoConferenceRealTimeChannel> *rtChannel;
    struct tagHANDLE { int x1; } *hCMCapture;
    void *localVideoLayer;
    void *localVideoBackLayer;
    void *remoteVideoLayer;
    void *remoteVideoBackLayer;
    int localVideoSlot;
    int remoteVideoSlot;
    int localVideoSlotBack;
    int remoteVideoSlotBack;
    CALayer *localVideoSubLayer;
    CALayer *remoteVideoSubLayer;
    CALayer *localVideoSubLayerBack;
    CALayer *remoteVideoSubLayerBack;
    struct _CAImageQueue { } *localCAImageQueue;
    struct _CAImageQueue { } *localCAImageQueueBack;
    struct _CAImageQueue { } *remoteCAImageQueue;
    struct _CAImageQueue { } *remoteCAImageQueueBack;
    struct OpaqueFigImageQueue { } *localVideoImageQueue;
    struct OpaqueFigImageQueue { } *localVideoImageQueueBack;
    struct OpaqueFigImageQueue { } *remoteVideoImageQueue;
    struct OpaqueFigImageQueue { } *remoteVideoImageQueueBack;
    struct OpaqueVTPixelTransferSession { } *vtTransferSession;
    struct __CVPixelBufferPool { } *previewBufferPool;
    struct tagHANDLE { int x1; } *hVR;
    struct tagHANDLE { int x1; } *hVT;
    BOOL isRecvVideo;
    int iSoundBytes;
    double dAudioHostTime;
    struct _opaque_pthread_mutex_t { 
        long __sig; 
        BOOL __opaque[40]; 
    } xLocalLayer;
    struct _opaque_pthread_mutex_t { 
        long __sig; 
        BOOL __opaque[40]; 
    } xRemoteLayer;
    struct _opaque_pthread_mutex_t { 
        long __sig; 
        BOOL __opaque[40]; 
    } xAudioTS;
    unsigned int dwAudioTS;
    BOOL forceNoICE;
    BOOL useViceroyBlobFormat;
    int chatMode;
    BOOL isFocus;
    NSString *currentFocus;
    VCCallSession *currentFocusSession;
    BOOL hasMic;
    float conferenceVolume;
    NSArray *mutedPeers;
    NSArray *connectedPeers;
    unsigned int talkingPeersLimit;
    unsigned char speakingArray[16];
    NSObject<VideoConferenceSpeakingDelegate> *speakingDelegate;
    NSObject<VideoConferenceChannelQualityDelegate> *qualityDelegate;
    float longTerm;
    float shortTerm;
    BOOL isTalking;
    unsigned int talkTime;
    int packetsPerBundle;
    double recvRTPTimeStamp;
    int recvRTPBytes;
    BOOL disableVAD;
    BOOL forceHWICheck;
    BOOL receivedFirstRemoteFrame;
    BOOL receivedFirstPreviewFrame;
    BOOL isAttemptingRelay;
    BOOL requiresWifi;
    struct __CFString { } *forceHWI;
    struct __CFString { } *forceNOLOG;
    unsigned int preferredCodec;
    NSObject<VideoConferenceNotificationObserver> *genericObserver;
    int upstreamBandwidth;
    int downstreamBandwidth;
    struct tagCameraStatus { 
        unsigned char fValid; 
        unsigned char orientation; 
        unsigned char isBeingSwitched; 
        unsigned char facing; 
    } localCameraStatus;
    struct tagCameraStatus { 
        unsigned char fValid; 
        unsigned char orientation; 
        unsigned char isBeingSwitched; 
        unsigned char facing; 
    } remoteCameraStatus;
    BOOL useComplexRendering;
    BOOL useAFRC;
    BOOL isGKVoiceChat;
    BOOL isUsingSuppression;
    BOOL shouldTimeoutPackets;
    BOOL shouldSendEmptyPacket;
    unsigned char requestedCameraType;
    BOOL useCompressedConnectionData;
    int natType;
    struct _opaque_pthread_mutex_t { 
        long __sig; 
        BOOL __opaque[40]; 
    } natMutex;
    struct _opaque_pthread_cond_t { 
        long __sig; 
        BOOL __opaque[24]; 
    } natCond;
    unsigned int lastSentAudioSampleTime;
    GKNATObserver *natObserver;
    int mostRecentStartedCall;
    BOOL shouldStopPreviewOnClose;
}

@property BOOL setupAudioSession;
@property(getter=isSpeakerPhoneEnabled) BOOL enableSpeakerPhone;
@property(getter=isMicrophoneMuted) BOOL microphoneMuted;
@property(getter=isOutputMeteringEnabled) BOOL outputMeteringEnabled;
@property(getter=isInputMeteringEnabled) BOOL inputMeteringEnabled;
@property(readonly) float outputMeterLevel;
@property(readonly) float inputMeterLevel;
@property float conferenceVolume;
@property(getter=getLocalFramerate,readonly) double localFramerate;
@property(getter=getLocalBitrate,readonly) double localBitrate;
@property(getter=getRemoteFramerate,readonly) double remoteFramerate;
@property(getter=getRemoteBitrate,readonly) double remoteBitrate;
@property(readonly) double remotePacketLossRate;
@property(readonly) double localPacketLossRate;
@property(readonly) double roundTripTime;
@property(readonly) int localFrameHeight;
@property(readonly) int localFrameWidth;
@property(readonly) int remoteFrameHeight;
@property(readonly) int remoteFrameWidth;
@property unsigned int cameraType;
@property unsigned int orientation;
@property unsigned int talkingPeersLimit;
@property BOOL disableVAD;
@property BOOL requiresWifi;
@property BOOL isGKVoiceChat;
@property int natType;
@property BOOL useCompressedConnectionData;
@property BOOL shouldTimeoutPackets;
@property NSObject<VideoConferenceChannelQualityDelegate> * qualityDelegate;
@property BOOL useComplexRendering;
@property BOOL isUsingSuppression;
@property BOOL useViceroyBlobFormat;
@property NSObject<VideoConferenceSpeakingDelegate> * speakingDelegate;
@property int downstreamBandwidth;
@property int upstreamBandwidth;
@property NSObject<VideoConferenceNotificationObserver> * genericObserver;
@property BOOL hasMic;
@property unsigned int preferredCodec;
@property int packetsPerBundle;
@property(retain) NSString * currentFocus;
@property BOOL isFocus;
@property int chatMode;
@property void* remoteVideoBackLayer;
@property void* remoteVideoLayer;
@property void* localVideoBackLayer;
@property void* localVideoLayer;
@property(setter=setRTChannel:) NSObject<VideoConferenceRealTimeChannel> * rtChannel;
@property NSObject<VideoConferenceDelegate> * delegate;


- (double)getRemoteBitrate;
- (void)wrlock;
- (void)setHasMic:(BOOL)arg1;
- (void)setCurrentFocus:(id)arg1;
- (BOOL)hasMic;
- (void)rdlock;
- (void)cleanupProc:(id)arg1;
- (void)setTalkingPeersLimit:(unsigned int)arg1;
- (void)setPreferredCodec:(unsigned int)arg1;
- (void)setIsGKVoiceChat:(BOOL)arg1;
- (void)setUseCompressedConnectionData:(BOOL)arg1;
- (void)setRTChannel:(id)arg1;
- (BOOL)startConnectionWithParticipantID:(id)arg1 callID:(int)arg2 usingBlob:(id)arg3 isCaller:(BOOL)arg4 capabilities:(id)arg5 error:(id*)arg6;
- (void)setConferenceVolume:(float)arg1;
- (BOOL)isInputMeteringEnabled;
- (double)getLocalFramerate;
- (double)getLocalBitrate;
- (float)outputMeterLevel;
- (void)cleanupManager;
- (void*)remoteVideoBackLayer;
- (void)warmupForCall;
- (id)connectionBlobForParticipantID:(id)arg1 callID:(int*)arg2 error:(id*)arg3;
- (double)networkQualityForCallID:(int)arg1;
- (void)receivedRealTimeData:(id)arg1 fromParticipantID:(id)arg2;
- (BOOL)isOutputMeteringEnabled;
- (void)setOutputMeteringEnabled:(BOOL)arg1;
- (int)remoteFrameWidth;
- (id)statsForCallID:(int)arg1;
- (BOOL)isSpeakerPhoneEnabled;
- (BOOL)startPreview:(BOOL)arg1 withError:(id*)arg2;
- (BOOL)setPauseVideo:(BOOL)arg1 callID:(int)arg2 error:(id*)arg3;
- (void)processRelayUpdate:(int)arg1 updateDict:(id)arg2 didOriginateRequest:(BOOL)arg3;
- (BOOL)requiresWifi;
- (void)remoteCancelledCallID:(int)arg1;
- (void)setChatMode:(int)arg1;
- (id)localDisplayNameForCallID:(int)arg1;
- (id)currentFocus;
- (BOOL)matchesParticipantID:(id)arg1;
- (BOOL)setPauseAudio:(BOOL)arg1;
- (BOOL)isUsingSuppression;
- (id)remoteDisplayNameForCallID:(int)arg1;
- (bool)didDetectBandwidth:(BOOL)arg1 upstreamBandwidth:(int)arg2 downstreamBandwidth:(int)arg3;
- (void)session:(id)arg1 inititiateRelayRequest:(id)arg2;
- (void)setQualityDelegate:(id)arg1;
- (void)setRequiresWifi:(BOOL)arg1;
- (id)qualityDelegate;
- (double)roundTripTime;
- (void*)localVideoLayer;
- (void*)remoteVideoLayer;
- (int)upstreamBandwidth;
- (int)downstreamBandwidth;
- (BOOL)useCompressedConnectionData;
- (int)natType;
- (BOOL)isGKVoiceChat;
- (unsigned int)talkingPeersLimit;
- (double)packetLossRateForCallID:(int)arg1;
- (void)setIsFocus:(BOOL)arg1;
- (void)setUseComplexRendering:(BOOL)arg1;
- (void)setIsUsingSuppression:(BOOL)arg1;
- (void)setInputMeteringEnabled:(BOOL)arg1;
- (void)cleanupQueues;
- (void)setUseViceroyBlobFormat:(BOOL)arg1;
- (BOOL)getIsVideoPaused:(BOOL*)arg1 callID:(int)arg2 error:(id*)arg3;
- (BOOL)getIsAudioPaused:(BOOL*)arg1 callID:(int)arg2 error:(id*)arg3;
- (BOOL)shouldSendAudioForCallID:(int)arg1;
- (void)setSendAudio:(BOOL)arg1 forCallID:(int)arg2;
- (BOOL)setPauseAudio:(BOOL)arg1 callID:(int)arg2 error:(id*)arg3;
- (void)setPeerCN:(id)arg1 callID:(int)arg2;
- (void)updatedMutedPeers:(id)arg1 forParticipantID:(id)arg2;
- (void)updatedConnectedPeers:(id)arg1;
- (void)stopCallID:(int)arg1;
- (BOOL)isMicrophoneMuted;
- (void)setMicrophoneMuted:(BOOL)arg1;
- (int)localVideoSlot:(BOOL)arg1;
- (int)remoteVideoSlot:(BOOL)arg1;
- (void)setLocalVideoLayer:(void*)arg1;
- (void)setRemoteVideoLayer:(void*)arg1;
- (double)getRemoteFramerate;
- (int)localFrameHeight;
- (int)localFrameWidth;
- (int)remoteFrameHeight;
- (double)remotePacketLossRate;
- (double)localPacketLossRate;
- (void)forceNoICE:(BOOL)arg1;
- (void)setPacketsPerBundle:(int)arg1;
- (void)setEnableSpeakerPhone:(BOOL)arg1;
- (void)setSetupAudioSession:(BOOL)arg1;
- (BOOL)setupAudioSession;
- (void)processRelayRequestResponse:(int)arg1 responseDict:(id)arg2 didOriginateRequest:(BOOL)arg3;
- (void)setDisableVAD:(BOOL)arg1;
- (void)setNatType:(int)arg1;
- (void)setShouldTimeoutPackets:(BOOL)arg1;
- (void)setSpeakingDelegate:(id)arg1;
- (void)setDownstreamBandwidth:(int)arg1;
- (void)setUpstreamBandwidth:(int)arg1;
- (void)setGenericObserver:(id)arg1;
- (void)setRemoteVideoBackLayer:(void*)arg1;
- (void)setLocalVideoBackLayer:(void*)arg1;
- (BOOL)shouldTimeoutPackets;
- (id)genericObserver;
- (unsigned int)preferredCodec;
- (int)packetsPerBundle;
- (id)speakingDelegate;
- (float)conferenceVolume;
- (int)chatMode;
- (BOOL)useViceroyBlobFormat;
- (void*)localVideoBackLayer;
- (id)rtChannel;
- (float)inputMeterLevel;
- (unsigned char)powerFloatToInt:(float)arg1;
- (float)powerIntToFloat:(unsigned char)arg1;
- (bool)onCaptureSound:(char *)arg1 numBytes:(int)arg2 numSamples:(int)arg3 timeStamp:(unsigned int)arg4 timeStampDelta:(int)arg5 hostTime:(double)arg6 averagePower:(float)arg7 voiceActivity:(unsigned long)arg8;
- (BOOL)updateSpeaking:(unsigned long)arg1 timeStamp:(unsigned int)arg2;
- (unsigned int)pruneQuietestPeers:(unsigned int)arg1 talking:(unsigned int)arg2 mask:(unsigned int)arg3 meters:(char *)arg4;
- (unsigned int)calculateTalkingMaskAtTimeStamp:(unsigned int)arg1 samples:(short*)arg2 numSamples:(int)arg3;
- (void)calculateMixingArrays:(unsigned int*)arg1 talkingMask:(unsigned int)arg2;
- (int)captureAsFocus:(char *)arg1 numBytes:(int)arg2 numSamples:(int)arg3 timeStamp:(unsigned int)arg4 timeStampDelta:(int)arg5 averagePower:(unsigned char)arg6;
- (int)captureAsFocusClient:(char *)arg1 numBytes:(int)arg2 numSamples:(int)arg3 timeStamp:(unsigned int)arg4 timeStampDelta:(int)arg5 averagePower:(unsigned char)arg6;
- (int)captureMeshMode:(char *)arg1 numBytes:(int)arg2 numSamples:(int)arg3 timeStamp:(unsigned int)arg4 timeStampDelta:(int)arg5 hostTime:(double)arg6;
- (void)packMeters:(char *)arg1 forSession:(id)arg2 len:(char *)arg3;
- (int)sendBundle:(id)arg1 samples:(char *)arg2 numEncodedBytes:(int)arg3 timeStamp:(unsigned int)arg4 timeStampDelta:(int)arg5 hasNewSamples:(BOOL)arg6;
- (bool)onPlaySound:(char *)arg1 numBytes:(int)arg2 numSamples:(int)arg3 timeStamp:(unsigned int)arg4 averagePower:(float)arg5;
- (void)updateMeter:(unsigned char)arg1 forParticipant:(id)arg2 atIndex:(unsigned int)arg3;
- (void)updateMeters:(unsigned short)arg1;
- (BOOL)recvSamplesForSession:(id)arg1 samples:(short*)arg2 numSamples:(int)arg3 storeTimestamp:(unsigned int)arg4;
- (int)pullDecodedAsFocus:(short*)arg1 timestamp:(unsigned int)arg2 numBytes:(int)arg3 numSamples:(int)arg4;
- (int)pullDecodedAsFocusClient:(short*)arg1 timestamp:(unsigned int)arg2 numBytes:(int)arg3 numSamples:(int)arg4;
- (int)pullDecodedMeshMode:(short*)arg1 timestamp:(unsigned int)arg2 numBytes:(int)arg3 numSamples:(int)arg4;
- (int)sipCallbackNotification:(int)arg1 callID:(int)arg2 msgIn:(const char *)arg3 msgOut:(char *)arg4 optional:(void*)arg5 confIndex:(int*)arg6;
- (BOOL)matchesCallID:(int)arg1;
- (BOOL)matchesOpenSessionForParticipantID:(id)arg1;
- (int)callIDForOpenSessionWithParticipantID:(id)arg1;
- (id)openSessionForParticipant:(id)arg1;
- (id)sessionForParticipantID:(id)arg1;
- (BOOL)hasSessionWaitingForSIPInvite;
- (id)loopbackSessionWaitingForSIPInvite;
- (id)sessionForIncomingParticipantID:(id)arg1;
- (BOOL)matchesIncomingConnectionResult:(struct tagCONNRESULT { int x1; int x2; int x3; int x4; unsigned short x5; unsigned short x6; struct tagIPPORT { int x_7_1_1; BOOL x_7_1_2[16]; union { unsigned int x_3_2_1; unsigned char x_3_2_2[16]; } x_7_1_3; unsigned short x_7_1_4; } x7; struct tagIPPORT { int x_8_1_1; BOOL x_8_1_2[16]; union { unsigned int x_3_2_1; unsigned char x_3_2_2[16]; } x_8_1_3; unsigned short x_8_1_4; } x8; struct tagIPPORT { int x_9_1_1; BOOL x_9_1_2[16]; union { unsigned int x_3_2_1; unsigned char x_3_2_2[16]; } x_9_1_3; unsigned short x_9_1_4; } x9; struct tagIPPORT { int x_10_1_1; BOOL x_10_1_2[16]; union { unsigned int x_3_2_1; unsigned char x_3_2_2[16]; } x_10_1_3; unsigned short x_10_1_4; } x10; struct tagIPPORT { int x_11_1_1; BOOL x_11_1_2[16]; union { unsigned int x_3_2_1; unsigned char x_3_2_2[16]; } x_11_1_3; unsigned short x_11_1_4; } x11; struct tagIPPORT { int x_12_1_1; BOOL x_12_1_2[16]; union { unsigned int x_3_2_1; unsigned char x_3_2_2[16]; } x_12_1_3; unsigned short x_12_1_4; } x12; unsigned int x13; }*)arg1;
- (id)sessionForIncomingConnectionResult:(struct tagCONNRESULT { int x1; int x2; int x3; int x4; unsigned short x5; unsigned short x6; struct tagIPPORT { int x_7_1_1; BOOL x_7_1_2[16]; union { unsigned int x_3_2_1; unsigned char x_3_2_2[16]; } x_7_1_3; unsigned short x_7_1_4; } x7; struct tagIPPORT { int x_8_1_1; BOOL x_8_1_2[16]; union { unsigned int x_3_2_1; unsigned char x_3_2_2[16]; } x_8_1_3; unsigned short x_8_1_4; } x8; struct tagIPPORT { int x_9_1_1; BOOL x_9_1_2[16]; union { unsigned int x_3_2_1; unsigned char x_3_2_2[16]; } x_9_1_3; unsigned short x_9_1_4; } x9; struct tagIPPORT { int x_10_1_1; BOOL x_10_1_2[16]; union { unsigned int x_3_2_1; unsigned char x_3_2_2[16]; } x_10_1_3; unsigned short x_10_1_4; } x10; struct tagIPPORT { int x_11_1_1; BOOL x_11_1_2[16]; union { unsigned int x_3_2_1; unsigned char x_3_2_2[16]; } x_11_1_3; unsigned short x_11_1_4; } x11; struct tagIPPORT { int x_12_1_1; BOOL x_12_1_2[16]; union { unsigned int x_3_2_1; unsigned char x_3_2_2[16]; } x_12_1_3; unsigned short x_12_1_4; } x12; unsigned int x13; }*)arg1;
- (id)participantIDForCallID:(int)arg1;
- (int)stateForCallID:(int)arg1;
- (int)callIDForParticipantID:(id)arg1;
- (int)tryrdlock;
- (unsigned int)connectionResultCallbackForCallID:(int)arg1 result:(struct tagCONNRESULT { int x1; int x2; int x3; int x4; unsigned short x5; unsigned short x6; struct tagIPPORT { int x_7_1_1; BOOL x_7_1_2[16]; union { unsigned int x_3_2_1; unsigned char x_3_2_2[16]; } x_7_1_3; unsigned short x_7_1_4; } x7; struct tagIPPORT { int x_8_1_1; BOOL x_8_1_2[16]; union { unsigned int x_3_2_1; unsigned char x_3_2_2[16]; } x_8_1_3; unsigned short x_8_1_4; } x8; struct tagIPPORT { int x_9_1_1; BOOL x_9_1_2[16]; union { unsigned int x_3_2_1; unsigned char x_3_2_2[16]; } x_9_1_3; unsigned short x_9_1_4; } x9; struct tagIPPORT { int x_10_1_1; BOOL x_10_1_2[16]; union { unsigned int x_3_2_1; unsigned char x_3_2_2[16]; } x_10_1_3; unsigned short x_10_1_4; } x10; struct tagIPPORT { int x_11_1_1; BOOL x_11_1_2[16]; union { unsigned int x_3_2_1; unsigned char x_3_2_2[16]; } x_11_1_3; unsigned short x_11_1_4; } x11; struct tagIPPORT { int x_12_1_1; BOOL x_12_1_2[16]; union { unsigned int x_3_2_1; unsigned char x_3_2_2[16]; } x_12_1_3; unsigned short x_12_1_4; } x12; unsigned int x13; }*)arg2 didReceiveICEPacket:(BOOL)arg3 didUseRelay:(BOOL)arg4;
- (void)stopCallID:(int)arg1 didRemoteCancel:(BOOL)arg2;
- (void)cleanupSession:(id)arg1 withDelay:(unsigned int)arg2;
- (void)defaultCleanupSession:(id)arg1;
- (void)threadSafeCleanupSession:(id)arg1;
- (void)cleanupSession:(id)arg1 didRemoteCancel:(BOOL)arg2;
- (void)getNSError:(id*)arg1 code:(int)arg2 detailedCode:(int)arg3 filePath:(id)arg4 description:(id)arg5 hResult:(int)arg6;
- (void)getNSError:(id*)arg1 code:(int)arg2 detailedCode:(int)arg3 filePath:(id)arg4 description:(id)arg5 reason:(id)arg6;
- (BOOL)setPauseVideo:(BOOL)arg1;
- (void)session:(id)arg1 didStart:(BOOL)arg2 connectionType:(unsigned int)arg3 error:(id)arg4;
- (void)session:(id)arg1 didStopWithError:(id)arg2;
- (void)session:(id)arg1 didStopWithDelay:(int)arg2 error:(id)arg3;
- (void)session:(id)arg1 receivedNoPacketsForSeconds:(double)arg2;
- (void)startVideoProc:(id)arg1;
- (void)getVideoSettings:(int*)arg1 height:(int*)arg2 frameRate:(int*)arg3 bitRate:(int*)arg4 localIfName:(char *)arg5 useBFC:(BOOL*)arg6 enableBitstreamCapture:(BOOL*)arg7 enable2vuyCapture:(BOOL*)arg8 enableVPBLogging:(BOOL*)arg9;
- (bool)startVideoIO:(id*)arg1 rtpVideo:(struct tagHANDLE { int x1; }*)arg2 rtpAudio:(struct tagHANDLE { int x1; }*)arg3 actualVideoPayload:(int)arg4 enableUEP:(BOOL)arg5 enableControlByte:(BOOL)arg6 featuresListString:(char *)arg7;
- (bool)stopVideoIO:(BOOL)arg1 error:(id*)arg2;
- (void)remoteAudioDidPause:(BOOL)arg1 callID:(int)arg2;
- (void)remoteVideoDidPause:(BOOL)arg1 callID:(int)arg2;
- (void)session:(id)arg1 sendRelayResponse:(id)arg2;
- (void)session:(id)arg1 cancelRelayRequest:(id)arg2;
- (BOOL)startPreviewWithError:(id*)arg1;
- (bool)onCaptureVideo:(struct __CVBuffer { }*)arg1 frameTime:(struct { long long x1; int x2; unsigned int x3; long long x4; })arg2 preview:(bool)arg3 isSwitching:(bool)arg4 cameraType:(unsigned int)arg5;
- (bool)onPlayVideo:(struct __CVBuffer { }*)arg1 frameTime:(struct { long long x1; int x2; unsigned int x3; long long x4; })arg2 cameraStatus:(struct tagCameraStatus { unsigned char x1; unsigned char x2; unsigned char x3; unsigned char x4; }*)arg3;
- (void)NATTypeDidChange:(int)arg1;
- (BOOL)disableVAD;
- (BOOL)useComplexRendering;
- (BOOL)isFocus;
- (void)setOrientation:(unsigned int)arg1;
- (void)unlock;
- (BOOL)setActive:(BOOL)arg1;
- (id)init;
- (unsigned int)orientation;
- (void)dealloc;
- (void)setDelegate:(id)arg1;
- (id)delegate;
- (void)setCameraType:(unsigned int)arg1;
- (unsigned int)cameraType;
- (void)stopPreview;

@end
