/* Generated by RuntimeBrowser.
   Image: /System/Library/PrivateFrameworks/IMAVCore.framework/IMAVCore
 */

@class NSOperationQueue, IMAVChatParticipant, NSTimer, NSDictionary, NSString, IMAVChat, IMHandle, NSData;

@interface IMAVChatParticipant : NSObject  {
    IMHandle *_imHandle;
    IMHandle *_inviter;
    IMAVChat *_avChat;
    NSString *_vcPartyID;
    NSString *_rawErrorString;
    NSString *_errorString;
    NSDictionary *_properties;
    NSData *_localICEData;
    NSData *_remoteICEData;
    NSOperationQueue *_messagingQueue;
    NSTimer *_connectTimeoutTimer;
    NSDictionary *_preemptiveRelayRequest;
    NSDictionary *_preemptiveRelayUpdate;
    NSString *_conferenceID;
    struct __SecCertificate { } *_savedCertificate;
    unsigned int _state;
    int _avRelayStatus;
    unsigned int _chatEndedReason;
    int _chatError;
    unsigned int _cameraType;
    unsigned int _cameraOrientation;
    BOOL _inviteDelivered;
    BOOL _sendingAudio;
    BOOL _sendingVideo;
    BOOL _sendingAuxVideo;
    BOOL _audioMuted;
    BOOL _videoPaused;
    BOOL _networkStalled;
    BOOL _isInitiator;
    BOOL _isAOLInterop;
    BOOL _isRecording;
    BOOL _vcSecurityVerified;
    BOOL _usingICE;
    int _ardRole;
}

@property void* videoLayer;
@property void* videoBackLayer;
@property(setter=setSendingAuxVideo:) BOOL isSendingAuxVideo;
@property(readonly) BOOL isSendingVideo;
@property(readonly) BOOL isSendingAudio;
@property(setter=setVideoPaused:) BOOL isVideoPaused;
@property(setter=setAudioMuted:) BOOL isAudioMuted;
@property(readonly) struct __SecCertificate { }* certificate;
@property(readonly) BOOL vcSecurityVerified;
@property(retain,readonly) NSString * rawErrorString;
@property(retain,readonly) NSString * errorString;
@property(readonly) IMAVChatParticipant * remoteErrorParticipant;
@property(retain,readonly) NSString * name;
@property(readonly) BOOL isLocalParticipant;
@property NSData * remoteICEData;
@property(setter=_setPreemptiveRelayUpdate:,retain) NSDictionary * _preemptiveRelayUpdate;
@property(setter=_setPreemptiveRelayInitate:,retain) NSDictionary * _preemptiveRelayInitate;
@property(retain) NSDictionary * properties;
@property(setter=setARDRole:) int ardRole;
@property(readonly) int error;
@property(readonly) unsigned int reasonChatEnded;
@property(readonly) BOOL isInitiator;
@property(setter=setAVChat:) IMAVChat * avChat;
@property(retain,readonly) IMHandle * invitedBy;
@property(retain,readonly) IMHandle * imHandle;
@property(setter=_setCameraOrientation:) unsigned int cameraOrientation;
@property(setter=_setCameraType:) unsigned int cameraType;
@property(setter=setAVRelayStatus:) int avRelayStatus;
@property(setter=setVCSecurityVerified:) BOOL vcSecurityVerified;
@property(setter=setVCPartyID:,retain) NSString * vcPartyID;
@property(setter=setRecording:) BOOL isRecording;
@property(setter=setNetworkStalled:) BOOL isNetworkStalled;
@property(readonly) BOOL isUsingICE;
@property(setter=setAOLInterop:) BOOL isAOLInterop;
@property(setter=setVideoPaused:) BOOL isVideoPaused;
@property(setter=setAudioMuted:) BOOL isAudioMuted;
@property(setter=setSendingAuxVideo:) BOOL isSendingAuxVideo;
@property(readonly) BOOL isSendingVideo;
@property(readonly) BOOL isSendingAudio;
@property unsigned int state;


- (id)avChat;
- (void)setState:(unsigned int)arg1;
- (unsigned int)state;
- (id)name;
- (id)init;
- (void)dealloc;
- (id)description;
- (void*)videoLayer;
- (unsigned int)cameraType;
- (void)setProperties:(id)arg1;
- (id)properties;
- (void)_setError:(int)arg1;
- (struct __SecCertificate { }*)certificate;
- (unsigned int)cameraOrientation;
- (BOOL)isRecording;
- (void)_setCameraOrientation:(unsigned int)arg1;
- (void)_setPreemptiveRelayInitate:(id)arg1;
- (void)_setPreemptiveRelayUpdate:(id)arg1;
- (void)sendRelayProposal;
- (void)setAudioMuted:(BOOL)arg1;
- (void)setVideoPaused:(BOOL)arg1;
- (id)imHandle;
- (void)setVCSecurityVerified:(BOOL)arg1;
- (void)setVideoLayer:(void*)arg1;
- (void*)videoBackLayer;
- (void)setVideoBackLayer:(void*)arg1;
- (void)setSavedCertificate:(struct __SecCertificate { }*)arg1;
- (id)remoteErrorParticipant;
- (id)rawErrorString;
- (void)_getErrorString:(id*)arg1 rawString:(id*)arg2 forError:(int)arg3;
- (void)_generateErrorStrings;
- (id)errorString;
- (id)errorStringFor:(int)arg1;
- (void)_enqueueOperation:(id)arg1;
- (void)setStateToEndedWithReason:(unsigned int)arg1 andError:(int)arg2;
- (int)avRelayStatus;
- (void)setRemoteICEData:(id)arg1;
- (void)receivedRelayProposalAcceptWithConnectionData:(id)arg1;
- (void)resetWaitingToConnectTimer;
- (void)_connectTimeout:(id)arg1;
- (id)_preemptiveRelayUpdate;
- (BOOL)isSendingVideo;
- (BOOL)isSendingAuxVideo;
- (BOOL)isAOLInterop;
- (BOOL)isNetworkStalled;
- (BOOL)isInitiator;
- (id)_preemptiveRelayInitate;
- (id)_initAs:(id)arg1 invitedBy:(id)arg2 sendingAudio:(BOOL)arg3 sendingVideo:(BOOL)arg4 usingICE:(BOOL)arg5 toChat:(id)arg6 inState:(unsigned int)arg7 withError:(int)arg8 andReason:(unsigned int)arg9 andVCPartyID:(id)arg10 account:(id)arg11;
- (id)initWithStatusNugget:(id)arg1 andChat:(id)arg2 account:(id)arg3;
- (void)disconnectFromAVChat;
- (BOOL)isLocalParticipant;
- (void)requestIconIfNecessary;
- (id)rebuildLocalICEData;
- (void)_setState:(unsigned int)arg1 withReason:(unsigned int)arg2 andError:(int)arg3;
- (void)_switchToUseNewIMHandle:(id)arg1;
- (void)setARDRole:(int)arg1;
- (void)setAVChat:(id)arg1;
- (void)_setCameraType:(unsigned int)arg1;
- (BOOL)vcSecurityVerified;
- (void)setVCPartyID:(id)arg1;
- (void)setRecording:(BOOL)arg1;
- (void)setNetworkStalled:(BOOL)arg1;
- (BOOL)isVideoPaused;
- (BOOL)isAudioMuted;
- (void)setSendingAuxVideo:(BOOL)arg1;
- (BOOL)isSendingAudio;
- (void)setAVRelayStatus:(int)arg1;
- (void)_flushMessagesQueue;
- (void)_cancelMessagesQueue;
- (id)initAs:(id)arg1 invitedBy:(id)arg2 ARDRole:(int)arg3 toChat:(id)arg4 account:(id)arg5;
- (id)statusNugget;
- (void)sendInvitation;
- (void)sendVCUpdate;
- (id)initAs:(id)arg1 invitedBy:(id)arg2 toChat:(id)arg3 account:(id)arg4;
- (void)setAOLInterop:(BOOL)arg1;
- (void)sendResponse:(unsigned int)arg1;
- (id)remoteICEData;
- (id)getLocalICEData;
- (void)sendCounterProposal;
- (void)_handleIMAVResponse:(unsigned int)arg1;
- (void)setWaitingToConnect:(BOOL)arg1;
- (void)receivedRelayProposalRequestWithConnectionData:(id)arg1;
- (void)cancelInvitation;
- (void)_setConferenceID:(id)arg1;
- (unsigned int)reasonChatEnded;
- (id)vcPartyID;
- (BOOL)isUsingICE;
- (int)ardRole;
- (id)invitedBy;
- (void)_noteInviteDelivered;
- (int)error;

@end
