/* Generated by RuntimeBrowser.
   Image: /System/Library/PrivateFrameworks/IMCore.framework/IMCore
 */

@class IMDaemonListener, NSProtocolChecker, IMRemoteObject<FZDaemon>, NSMutableArray, NSLock, NSString, NSPort, IMLocalObject;

@interface IMDaemonController : NSObject  {
    id _delegate;
    IMRemoteObject<FZDaemon> *_remoteObject;
    IMLocalObject *_localObject;
    IMDaemonListener *_daemonListener;
    NSMutableArray *_services;
    NSProtocolChecker *_protocol;
    NSString *_listenerID;
    BOOL _hasCheckedForDaemon;
    BOOL _preventReconnect;
    BOOL _inBlockingConnect;
    NSLock *_blockingLock;
    BOOL _systemShuttingDown;
    BOOL _autoReconnect;
    unsigned int _gMyFZListenerCapabilities;
}

@property(readonly) NSPort * localPort;
@property unsigned int capabilities;
@property(readonly) BOOL isConnecting;
@property(readonly) BOOL isConnected;
@property(setter=_setCapabilities:) unsigned int _capabilities;
@property BOOL autoReconnect;
@property id delegate;
@property(readonly) IMDaemonListener * listener;

+ (id)sharedController;
+ (void)_blockUntilSendQueueIsEmpty;

- (BOOL)isConnecting;
- (void)setDaemonTerminatesWithoutListeners:(BOOL)arg1;
- (void)setDaemonLogsOutWithoutStatusListeners:(BOOL)arg1;
- (void)setAutoReconnect:(BOOL)arg1;
- (BOOL)connectToDaemonWithLaunch:(BOOL)arg1 capabilities:(unsigned int)arg2 blockUntilConnected:(BOOL)arg3;
- (void)disconnectFromDaemon;
- (void)forwardInvocation:(id)arg1;
- (id)methodSignatureForSelector:(SEL)arg1;
- (oneway void)release;
- (id)init;
- (void)dealloc;
- (unsigned int)retainCount;
- (id)autorelease;
- (void)setDelegate:(id)arg1;
- (id)delegate;
- (unsigned int)capabilities;
- (void)setCapabilities:(unsigned int)arg1;
- (id)listener;
- (BOOL)isConnected;
- (void)blockUntilConnected;
- (oneway void)setValue:(id)arg1 ofProperty:(id)arg2;
- (oneway void)setValue:(id)arg1 ofPersistentProperty:(id)arg2;
- (BOOL)connectToDaemon;
- (void)setPresenceValue:(id)arg1 forKey:(id)arg2 forAccount:(id)arg3;
- (void)setMyStatus:(unsigned int)arg1 message:(id)arg2;
- (void)_agentDidLaunchNotification:(id)arg1;
- (void)_handleDaemonException:(id)arg1;
- (void)_makeConnectionWithLaunch:(BOOL)arg1;
- (void)disconnectFromDaemonWithForce:(BOOL)arg1;
- (BOOL)_connectToDaemonWithLaunch:(BOOL)arg1 capabilities:(unsigned long long)arg2;
- (void)setMyPicture:(id)arg1 smallPictureData:(id)arg2;
- (void)setMyProfile:(id)arg1;
- (void)setMyStatus:(unsigned int)arg1 message:(id)arg2 forAccount:(id)arg3;
- (oneway void)_addressBookChanged:(id)arg1;
- (id)localPort;
- (oneway void)listener:(id)arg1 setListenerCapabilities:(unsigned int)arg2;
- (void)_localObjectDiedNotification:(id)arg1;
- (void)_remoteObjectDiedNotification:(id)arg1;
- (void)localObjectDiedNotification:(id)arg1;
- (void)remoteObjectDiedNotification:(id)arg1;
- (oneway void)listener:(id)arg1 setValue:(id)arg2 ofProperty:(id)arg3;
- (oneway void)listener:(id)arg1 setValue:(id)arg2 ofPersistentProperty:(id)arg3;
- (oneway void)addListener:(id)arg1 withListenerID:(id)arg2 capabilities:(unsigned int)arg3;
- (oneway void)listener:(id)arg1 setDaemonShouldTerminateWithoutActiveListeners:(BOOL)arg2;
- (oneway void)listener:(id)arg1 setDaemonShouldLogoutWithoutStatusListeners:(BOOL)arg2;
- (void)_setCapabilities:(unsigned int)arg1;
- (BOOL)autoReconnect;
- (id)_remoteObject;
- (void)sendABInformationToDaemon;
- (BOOL)connectToDaemonWithLaunch:(BOOL)arg1;
- (unsigned int)_capabilities;

@end
