/* Generated by RuntimeBrowser.
   Image: /System/Library/PrivateFrameworks/IMCore.framework/IMCore
 */

@class IMServicePeopleListGroup, NSArray, NSString, NSDictionary, NSMutableArray, IMOfflinePeopleListGroup;

@interface IMPeopleList : IMDirectlyObservableObject <IMDirectlyObservableObjectObserver> {
    Class _customPeopleListItemClass;
    NSDictionary *_groupProperties;
    NSMutableArray *_peopleListItems;
    NSMutableArray *_peopleListGroups;
    NSMutableArray *_smartGroups;
    NSString *_collapsedGroupsPrefKey;
    NSString *_searchString;
    NSMutableArray *_items;
    NSArray *_groupsOrdering;
    IMOfflinePeopleListGroup *_offlineGroup;
    IMServicePeopleListGroup *_bonjourGroup;
    NSMutableArray *_itemsToCleanup;
    int _coalesceCount;
    BOOL _pendingResort;
    BOOL _allowsIMHandleSubstitution;
    BOOL _hideOfflinePeople;
    BOOL _hideAwayPeople;
    BOOL _hideIdlePeople;
    BOOL _hideUnknownPeople;
    BOOL _hideNoStatusPeople;
    BOOL _usesOfflineGroup;
    BOOL _usesBonjourGroup;
    BOOL _arrangesByGroup;
    BOOL _allowsGroupOrdering;
    BOOL _allowsSearching;
    BOOL _inSearchMode;
}

@property BOOL allowsIMHandleSubstitution;
@property(retain) NSDictionary * groupProperties;
@property BOOL arrangesByGroup;
@property BOOL usesOfflineGroup;
@property BOOL showsOfflinePeople;
@property BOOL showsNoStatusPeople;
@property BOOL showsUnknownPeople;
@property BOOL showsAwayPeople;
@property BOOL showsIdlePeople;
@property(readonly) NSArray * items;
@property(readonly) NSArray * peopleListGroups;
@property(readonly) NSArray * peopleListItems;
@property(readonly) NSArray * allIMHandles;
@property(readonly) unsigned int numberOfIMHandles;
@property(readonly) NSString * groupForNewIMHandles;
@property(retain) NSString * collapsedGroupsPrefKey;
@property(retain) Class customPeopleListItemClass;
@property(readonly) Class peopleListItemClass;
@property BOOL allowsSearching;
@property(readonly) BOOL inSearchMode;
@property(retain) NSString * searchString;

+ (id)_notificationNames;
+ (id)_notificationSelectors;

- (id)items;
- (id)init;
- (void)dealloc;
- (id)searchString;
- (void)setSearchString:(id)arg1;
- (id)groupProperties;
- (void)endChanges;
- (void)resort;
- (BOOL)inSearchMode;
- (id)collapsedGroupsPrefKey;
- (id)groupForNewIMHandles;
- (id)peopleListItems;
- (BOOL)showsUnknownPeople;
- (BOOL)showsNoStatusPeople;
- (BOOL)arrangesByGroup;
- (void)_unobservePeopleListItem:(id)arg1;
- (void)_observePeopleListItem:(id)arg1;
- (BOOL)allowsSearching;
- (void)setAllowsSearching:(BOOL)arg1;
- (void)endSearchMode;
- (BOOL)_allowPeopleListItemInCurrentSearch:(id)arg1;
- (id)peopleListGroups;
- (struct { int x1[3]; int x2; BOOL x3; })_sortParameters;
- (BOOL)_isOfflineGroup:(id)arg1;
- (BOOL)_isBonjourGroup:(id)arg1;
- (BOOL)_peopleListItemShouldBeShown:(id)arg1 inGroup:(id)arg2;
- (BOOL)_peopleListItem:(id)arg1 shouldBeInGroup:(id)arg2;
- (void)_rebuildItems;
- (void)_postResortNotification;
- (void)_resortNow;
- (void)_resort;
- (void)_refreshContents;
- (void)refreshList;
- (id)representedPeopleInGroup:(id)arg1;
- (id)peopleInGroup:(id)arg1;
- (void)setAllowsIMHandleSubstitution:(BOOL)arg1;
- (BOOL)allowsIMHandleSubstitution;
- (void)_updateGroupPreferences;
- (unsigned int)_indexOfGroup:(id)arg1 startingAtIndex:(int)arg2;
- (struct _NSRange { unsigned int x1; unsigned int x2; })_rangeOfGroupAndItems:(id)arg1 startingAtIndex:(unsigned int)arg2;
- (id)groupWithName:(id)arg1;
- (BOOL)containsGroup:(id)arg1;
- (void)_addGroup:(id)arg1;
- (void)addGroup:(id)arg1;
- (void)_removeGroup:(id)arg1;
- (void)removeGroup:(id)arg1;
- (id)peopleListGroupSortOrder;
- (void)setGroups:(id)arg1;
- (void)setUsesOfflineGroup:(BOOL)arg1;
- (BOOL)usesOfflineGroup;
- (void)setUsesBonjourGroup:(BOOL)arg1;
- (void)setGroupProperties:(id)arg1;
- (void)setArrangesByGroup:(BOOL)arg1;
- (void)setCollapsedGroupsPrefKey:(id)arg1;
- (void)setShowsOfflinePeople:(BOOL)arg1;
- (BOOL)showsOfflinePeople;
- (void)setShowsNoStatusPeople:(BOOL)arg1;
- (void)setShowsUnknownPeople:(BOOL)arg1;
- (void)setShowsAwayPeople:(BOOL)arg1;
- (BOOL)showsAwayPeople;
- (void)setShowsIdlePeople:(BOOL)arg1;
- (BOOL)showsIdlePeople;
- (BOOL)_addIMHandle:(id)arg1 toCollection:(id)arg2 usingOrphanItems:(id)arg3;
- (id)_removeIMHandle:(id)arg1 fromPeopleListItem:(id)arg2;
- (void)_removeIMHandle:(id)arg1 fromPeopleListGroup:(id)arg2;
- (void)removeIMHandle:(id)arg1 fromGroups:(id)arg2;
- (void)removeIMHandle:(id)arg1 fromGroup:(id)arg2;
- (void)removeAllIMHandlesAndGroups:(BOOL)arg1;
- (void)removeAllIMHandles;
- (void)_repopulateIMHandle:(id)arg1 filterGroups:(BOOL)arg2;
- (void)repopulateIMHandle:(id)arg1;
- (void)setCustomPeopleListItemClass:(Class)arg1;
- (Class)customPeopleListItemClass;
- (Class)peopleListItemClass;
- (void)_peopleListItemSortOrderChangedNotification:(id)arg1;
- (void)_peopleListItemNeedsGroupChange:(id)arg1;
- (void)_peopleListItemNeedsSorting:(id)arg1;
- (void)objectDidPostDirectNotification:(id)arg1;
- (unsigned int)numberOfIMHandles;
- (BOOL)containsIMHandle:(id)arg1;
- (void)addIMHandle:(id)arg1;
- (void)addPeopleFromArray:(id)arg1 skipMe:(BOOL)arg2;
- (void)addPeopleFromArray:(id)arg1;
- (id)allIMHandles;
- (void)removeIMHandle:(id)arg1;
- (void)beginChanges;
- (BOOL)makingChanges;

@end
