/* Generated by RuntimeBrowser.
   Image: /System/Library/PrivateFrameworks/IMCore.framework/IMCore
 */

@class IMAccount, NSArray, NSString, NSData, NSDictionary, NSMutableDictionary;

@interface IMServiceImpl : IMService  {
    NSString *_name;
    NSString *_localizedName;
    NSString *_localizedShortName;
    NSMutableDictionary *_cardMap;
    NSDictionary *_personToIDMap;
    IMAccount *_bestAccount;
    NSDictionary *_serviceDefaults;
    NSDictionary *_serviceProps;
    NSDictionary *_defaultSettings;
    NSData *_imageData;
    id _icon;
    NSArray *_abProperties;
    NSArray *_emailDomains;
    NSArray *_defaultBuddyImageData;
    unsigned int _screenNameSensitivity;
    BOOL _handlesChatInvites;
    BOOL _supportsSMS;
    BOOL _supportsPhoneNumberMapping;
    BOOL _defaultBuddyImageDataChecked;
    BOOL _iconChecked;
}

@property(retain) NSDictionary * serviceProperties;
@property(retain,readonly) NSString * internalName;
@property(retain,readonly) NSDictionary * cardMap;
@property(retain,readonly) NSArray * accountIDs;
@property(readonly) BOOL supportsAdding;
@property(readonly) BOOL supportsRegistration;
@property(readonly) BOOL supportsAuthorization;
@property(readonly) BOOL supportsIDNormalization;
@property(readonly) BOOL isPersistent;
@property(readonly) BOOL isPlugInService;
@property(retain,readonly) NSString * addressBookProperty;
@property(readonly) BOOL allowsMultipleConnections;
@property(readonly) int buddyNotesMaxByteLength;
@property(retain,readonly) NSString * description;
@property(readonly) BOOL handlesChatInvites;
@property(retain,readonly) NSData * serviceImageData;
@property(readonly) Class accountClass;
@property(retain,readonly) NSString * shortName;
@property(retain,readonly) NSString * name;
@property(retain,readonly) NSArray * emailDomains;
@property(retain,readonly) NSArray * addressBookProperties;
@property(readonly) unsigned int IDSensitivity;
@property(retain) NSDictionary * defaultAccountSettings;
@property(retain) NSDictionary * serviceDefaults;

+ (id)serviceWithInternalName:(id)arg1;
+ (Class)serviceClass;
+ (void)setServiceClass:(Class)arg1;
+ (id)supportedCountryCodes;
+ (BOOL)systemSupportsSMSSending;

- (id)localizedName;
- (BOOL)isPersistent;
- (id)name;
- (BOOL)isEnabled;
- (void)dealloc;
- (id)description;
- (id)initWithName:(id)arg1;
- (void)disconnect;
- (id)internalName;
- (id)serviceProperties;
- (id)shortName;
- (BOOL)supportsAdding;
- (id)normalizedFormOfID:(id)arg1;
- (void)defaultsChanged:(id)arg1;
- (void)statusChangedForAccount:(id)arg1 from:(unsigned int)arg2 to:(unsigned int)arg3;
- (BOOL)handlesChatInvites;
- (BOOL)supportsRegistration;
- (BOOL)equalID:(id)arg1 andID:(id)arg2;
- (id)addressBookProperties;
- (id)addressBookProperty;
- (int)compareNames:(id)arg1;
- (BOOL)supportsAuthorization;
- (id)serviceDefaults;
- (id)defaultAccountSettings;
- (id)emailDomains;
- (BOOL)supportsIDNormalization;
- (void)_syncWithRemoteBuddies;
- (void)_calculateBestAccount;
- (void)accountInitialSyncPerformed:(id)arg1;
- (void)doneSetup;
- (void)_blockUntilInitialSyncPerformed;
- (id)infoForScreenName:(id)arg1;
- (id)infoForAllScreenNames;
- (id)infoForPreferredScreenNames;
- (id)myScreenNames;
- (id)_abPropertiesBySanitizingABProperties:(id)arg1;
- (void)setServiceProperties:(id)arg1;
- (id)subtypeInformationForAccount:(id)arg1;
- (void)_loadDefaultImageData;
- (id)defaultImageDataForID:(id)arg1;
- (id)serviceImageData;
- (BOOL)isPlugInService;
- (unsigned int)emailDomainOfID:(id)arg1;
- (BOOL)allowsMultipleConnections;
- (int)buddyNotesMaxByteLength;
- (id)accountIDs;
- (id)_IDsToMapForIMPerson:(id)arg1;
- (void)_addAddressBookCards:(id)arg1 toMap:(id)arg2;
- (void)_dumpCardMap;
- (id)newIDToCardMap;
- (void)updateIDToCardMapWithNotification:(id)arg1;
- (void)clearIDToCardMap;
- (id)cardMap;
- (id)imABPeopleWithScreenName:(id)arg1;
- (void)activeAccountsChanged:(id)arg1;
- (unsigned int)IDSensitivity;
- (void)setDefaultAccountSettings:(id)arg1;
- (void)setServiceDefaults:(id)arg1;
- (id)_personToIDMap;
- (id)screenNamesForIMPerson:(id)arg1;
- (BOOL)initialSyncPerformed;
- (id)localizedShortName;
- (id)canonicalFormOfID:(id)arg1;
- (id)peopleWithScreenName:(id)arg1;
- (id)screenNamesForPerson:(id)arg1;
- (unsigned int)status;
- (Class)accountClass;

@end
