/* Generated by RuntimeBrowser.
   Image: /System/Library/PrivateFrameworks/Message.framework/Message
 */

@class MessageLibrary, NSMutableSet, MessageCriterion;

@interface LibraryStore : MailMessageStore  {
    MessageLibrary *_library;
    MessageCriterion *_criterion;
    double _lastUpdated;
    unsigned int _openOptions;
    NSMutableSet *_memberMessageIDs;
    unsigned int _messageAvailabilityCount;
    BOOL _mailboxUnreadCountUpdatePending;
    unsigned int _serverMessageCount;
    unsigned int _serverUnreadCount;
}

+ (unsigned int)defaultLoadOptions;
+ (id)_storeCacheMapTable;
+ (id)storeWithCriterion:(id)arg1;
+ (id)sharedInstanceIfExists;
+ (BOOL)storeAtPathIsWritable:(id)arg1;
+ (id)storeWithMailbox:(id)arg1;
+ (BOOL)createEmptyStoreForPath:(id)arg1;
+ (void)initialize;
+ (id)sharedInstance;

- (id)bodyDataForMessage:(id)arg1 isComplete:(BOOL*)arg2 downloadIfNecessary:(BOOL)arg3;
- (void)newMessagesAvailable:(id)arg1;
- (id)setFlagsFromDictionary:(id)arg1 forMessages:(id)arg2;
- (id)initWithCriterion:(id)arg1 mailbox:(id)arg2 readOnly:(BOOL)arg3;
- (id)initWithCriterion:(id)arg1;
- (void)_updateMailboxUnreadCount;
- (void)addCountsForMessages:(id)arg1 shouldUpdateUnreadCount:(BOOL)arg2;
- (void)_newMessagesAvailable:(id)arg1;
- (void)_addInvocationToQueue:(id)arg1;
- (void)libraryFinishedSendingMessages;
- (void)openAsynchronouslyWithOptions:(unsigned int)arg1;
- (unsigned int)totalCount;
- (id)copyOfMessagesInRange:(struct _NSRange { unsigned int x1; unsigned int x2; })arg1 options:(unsigned int)arg2 generation:(unsigned int*)arg3;
- (id)copyOfMessageInfos;
- (struct __CFSet { }*)copyLibraryIDsWithoutConversationHashes;
- (unsigned int)locationOfMessage:(id)arg1;
- (id)copyOfMessagesInRange:(struct _NSRange { unsigned int x1; unsigned int x2; })arg1 options:(unsigned int)arg2;
- (id)copyMessagesMatchingCriterion:(id)arg1 options:(unsigned int)arg2;
- (id)serverSearchResults;
- (id)filterMessagesByMembership:(id)arg1;
- (void)handleMessagesAdded:(id)arg1;
- (void)messagesWereAdded:(id)arg1 forIncrementalLoading:(BOOL)arg2;
- (void)_handleFlagsChangedForMessages:(id)arg1 flags:(id)arg2 oldFlagsByMessage:(id)arg3;
- (void)handleMessageFlagsChanged:(id)arg1;
- (void)handleMessagesCompacted:(id)arg1;
- (id)messageForMessageID:(id)arg1 options:(unsigned int)arg2;
- (id)_fetchBodyDataForMessage:(id)arg1 andHeaderDataIfReadilyAvailable:(id*)arg2 downloadIfNecessary:(BOOL)arg3 partial:(BOOL*)arg4;
- (id)_fetchFullBodyDataForMessage:(id)arg1 andHeaderDataIfReadilyAvailable:(id*)arg2 downloadIfNecessary:(BOOL)arg3;
- (id)_fetchDataForMimePart:(id)arg1 range:(struct _NSRange { unsigned int x1; unsigned int x2; })arg2 isComplete:(BOOL*)arg3;
- (id)dataForMimePart:(id)arg1 inRange:(struct _NSRange { unsigned int x1; unsigned int x2; })arg2 isComplete:(BOOL*)arg3 downloadIfNecessary:(BOOL)arg4 didDownload:(BOOL*)arg5;
- (id)_copyDataFromMimePart:(id)arg1 threshold:(unsigned int)arg2 downloadIfNecessary:(BOOL)arg3;
- (id)fullBodyDataForMessage:(id)arg1 andHeaderDataIfReadilyAvailable:(id*)arg2 isComplete:(BOOL*)arg3 downloadIfNecessary:(BOOL)arg4 usePartDatas:(BOOL)arg5;
- (id)fullBodyDataForMessage:(id)arg1 andHeaderDataIfReadilyAvailable:(id*)arg2 isComplete:(BOOL*)arg3 downloadIfNecessary:(BOOL)arg4;
- (void)compactMessages:(id)arg1;
- (void)updateMetadata;
- (void)_flushAllMessageData;
- (void)forceResync;
- (void)_flushAllCachesLocking:(BOOL)arg1;
- (id)_cachedBodyForMessage:(id)arg1 valueIfNotPresent:(id)arg2;
- (id)_cachedHeadersForMessage:(id)arg1 valueIfNotPresent:(id)arg2;
- (id)_cachedBodyDataForMessage:(id)arg1 valueIfNotPresent:(id)arg2;
- (id)_cachedBodyDataContainerForMessage:(id)arg1 valueIfNotPresent:(id)arg2;
- (void)purgeMessages:(id)arg1;
- (void)purgeMessagesBeyondLimit:(unsigned int)arg1 keepingMessage:(id)arg2;
- (BOOL)hasMessageForAccount:(id)arg1;
- (void)messagesAdded:(id)arg1;
- (void)messageFlagsChanged:(id)arg1;
- (void)messagesCompacted:(id)arg1;
- (BOOL)hasCompleteDataForMimePart:(id)arg1;
- (id)dataPathForMessage:(id)arg1 part:(id)arg2;
- (id)mailbox;
- (id)messageWithLibraryID:(unsigned int)arg1;
- (id)criterion;
- (id)initWithMailbox:(id)arg1;
- (id)URLString;
- (id)copyOfAllMessagesWithOptions:(unsigned int)arg1;
- (void)doCompact;
- (id)initWithMailboxUid:(id)arg1 readOnly:(BOOL)arg2;
- (BOOL)shouldCancel;
- (id)_cachedHeaderDataForMessage:(id)arg1 valueIfNotPresent:(id)arg2;
- (void)openSynchronously;
- (void)updateUserInfoToLatestValues;
- (unsigned int)nonDeletedCountIncludingServerSearch:(BOOL)arg1 andThreadSearch:(BOOL)arg2;
- (unsigned int)unreadCount;
- (unsigned int)indexOfMessage:(id)arg1;
- (id)copyOfAllMessages;
- (id)mutableCopyOfAllMessages;
- (id)copyOfAllMessagesForBodyLoadingFromRowID:(unsigned int)arg1 limit:(unsigned int)arg2;
- (id)copyMessagesMatchingText:(id)arg1 options:(unsigned int)arg2;
- (BOOL)canCompact;
- (void)deleteMessagesOlderThanNumberOfDays:(int)arg1 compact:(BOOL)arg2;
- (void)deleteMessages:(id)arg1 moveToTrash:(BOOL)arg2;
- (BOOL)allowsAppend;
- (int)appendMessages:(id)arg1 unsuccessfulOnes:(id)arg2 newMessageIDs:(id)arg3 newMessages:(id)arg4 flagsToSet:(id)arg5;
- (id)setFlagsLocallyFromDictionary:(id)arg1 forMessages:(id)arg2;
- (void)setNumberOfAttachments:(unsigned int)arg1 isSigned:(BOOL)arg2 isEncrypted:(BOOL)arg3 forMessage:(id)arg4;
- (void)setData:(id)arg1 forMimePart:(id)arg2 isComplete:(BOOL)arg3;
- (void)_setNeedsAutosave;
- (id)_fetchHeaderDataForMessage:(id)arg1 downloadIfNecessary:(BOOL)arg2;
- (void)_rebuildTableOfContentsSynchronously;
- (void)writeUpdatedMessageDataToDisk;
- (void)dealloc;
- (void)setLibrary:(id)arg1;
- (id)library;

@end
