/* Generated by RuntimeBrowser.
   Image: /System/Library/PrivateFrameworks/PhotoLibrary.framework/PhotoLibrary
 */

@class AVCaptureStillImageOutput, AVCaptureMovieFileOutput, AVCaptureVideoPreviewLayer, SBSAccelerometer, AVCaptureSession, AVCaptureInput, AVCaptureDevice, AVCaptureDeviceInput, <PLCameraControllerDelegate>, NSString, AVCaptureOutput, NSTimer;

@interface PLCameraController : NSObject <SBSAccelerometerDelegate, AVCaptureFileOutputRecordingDelegate> {
    AVCaptureSession *_avCaptureSession;
    AVCaptureDevice *_avCaptureDeviceFront;
    AVCaptureDevice *_avCaptureDeviceBack;
    AVCaptureDevice *_avCaptureDeviceAudio;
    AVCaptureDeviceInput *_avCaptureInputFront;
    AVCaptureDeviceInput *_avCaptureInputBack;
    AVCaptureDeviceInput *_avCaptureInputAudio;
    AVCaptureStillImageOutput *_avCaptureOutputPhoto;
    AVCaptureMovieFileOutput *_avCaptureOutputVideo;
    struct dispatch_queue_s { } *_avCaptureSessionDispatchQueue;
    AVCaptureDevice *_currentDevice;
    AVCaptureInput *_currentInput;
    AVCaptureOutput *_currentOutput;
    AVCaptureVideoPreviewLayer *_previewLayer;
    BOOL _shouldBeStopped;
    int _cameraMode;
    int _cameraDevice;
    int _flashMode;
    int _captureOrientation;
    BOOL _imageWriterQueueIsAvailable;
    BOOL _hdrEnabled;
    BOOL _hdrCaptureIncludesEV0Image;
    int _expectedPhotoCaptures;
    int _photoCaptureCount;
    float _zoomFactor;
    unsigned int _previousSimpleRemotePriority;
    <PLCameraControllerDelegate> *_delegate;
    double _maximumCaptureDuration;
    int _captureQuality;
    NSString *_videoCapturePath;
    SBSAccelerometer *_accelerometer;
    struct CGImage { } *_lastVideoPreviewFrameImageRef;
    int _cameraOrientation;
    NSTimer *_idleTimerTimer;
    struct { 
        unsigned int supportsVideo : 1; 
        unsigned int supportsFocus : 1; 
        unsigned int supportsExposure : 1; 
        unsigned int supportsZoom : 1; 
        unsigned int supportsFaceDetection : 1; 
        unsigned int supportsHDR : 1; 
        unsigned int hasFlash : 1; 
        unsigned int hasFrontCamera : 1; 
        unsigned int deferStartVideoCapture : 1; 
        unsigned int inCall : 1; 
        unsigned int focusDisabled : 1; 
        unsigned int focusedAtPoint : 1; 
        unsigned int serverDied : 1; 
        unsigned int didSetLocationData : 1; 
        unsigned int isChangingMode : 1; 
        unsigned int flashWillFireAutomatically : 1; 
        unsigned int torchIsOn : 1; 
        unsigned int torchIsDisabled : 1; 
        unsigned int isCameraApp : 1; 
        unsigned int logFocusInfo : 1; 
        unsigned int logPreviewInfo : 1; 
        unsigned int logCaptureInfo : 1; 
        unsigned int logFlashInfo : 1; 
        unsigned int logDebugInfo : 1; 
        unsigned int convertSampleBufferToJPEG : 1; 
        unsigned int delegateDidSetupCaptureSession : 1; 
        unsigned int delegateWillStartSession : 1; 
        unsigned int delegateDidStartSession : 1; 
        unsigned int delegateWillStartPreview : 1; 
        unsigned int delegatePreviewDidStart : 1; 
        unsigned int delegateSessionDidStart : 1; 
        unsigned int delegateDidStopSession : 1; 
        unsigned int delegateWillStopSession : 1; 
        unsigned int delegateSessionDidStop : 1; 
        unsigned int delegateSessionWasInterrupted : 1; 
        unsigned int delegateSessionInterruptionEnded : 1; 
        unsigned int delegateServerDied : 1; 
        unsigned int delegateModeWillChange : 1; 
        unsigned int delegateModeDidChange : 1; 
        unsigned int delegateWillTakePhoto : 1; 
        unsigned int delegateDidTakePhoto : 1; 
        unsigned int delegateCapturedPhoto : 1; 
        unsigned int delegateDidChangeCaptureAbility : 1; 
        unsigned int delegateVideoCaptureDidStart : 1; 
        unsigned int delegateDidStopVideoCapture : 1; 
        unsigned int delegateVideoCaptureDidStop : 1; 
        unsigned int delegateFocusDidStart : 1; 
        unsigned int delegateFocusDidEnd : 1; 
        unsigned int delegateTorchAvailabilityChanged : 1; 
    } _cameraFlags;
}

@property int cameraMode;
@property int flashMode;
@property int cameraDevice;
@property BOOL convertSampleBufferToJPEG;
@property BOOL isCameraApp;
@property(readonly) int cameraOrientation;
@property BOOL HDRCaptureIncludesEV0Image;
@property BOOL HDREnabled;
@property int captureOrientation;
@property float zoomFactor;
@property AVCaptureVideoPreviewLayer * previewLayer;
@property(readonly) AVCaptureStillImageOutput * imageOutput;
@property AVCaptureOutput * currentOutput;
@property AVCaptureInput * currentInput;
@property AVCaptureDevice * currentDevice;
@property(readonly) AVCaptureSession * currentSession;

+ (id)sharedInstance;

- (void)observeValueForKeyPath:(id)arg1 ofObject:(id)arg2 change:(id)arg3 context:(void*)arg4;
- (void)startVideoCapture;
- (void)stopVideoCapture;
- (int)cameraDevice;
- (void)setCameraDevice:(int)arg1;
- (void)accelerometer:(id)arg1 didAccelerateWithTimeStamp:(double)arg2 x:(float)arg3 y:(float)arg4 z:(float)arg5 eventType:(int)arg6;
- (id)init;
- (id)currentDevice;
- (void)dealloc;
- (void)setDelegate:(id)arg1;
- (id)delegate;
- (float)minimumZoomFactor;
- (BOOL)isReady;
- (BOOL)isCapturingVideo;
- (BOOL)isHDREnabledForCurrentCapture;
- (int)cameraOrientation;
- (void)setIsCameraApp:(BOOL)arg1;
- (BOOL)inCall;
- (BOOL)isFocusing;
- (BOOL)flashWillFire;
- (int)captureOrientation;
- (void)setCameraMode:(int)arg1;
- (id)imageOutput;
- (BOOL)HDREnabled;
- (int)cameraMode;
- (void)_updateCallStatus;
- (void)_callStateDidChange:(id)arg1;
- (void)_inCallStatusChanged:(BOOL)arg1;
- (void)_imageWriterQueueBecameAvailable:(BOOL)arg1;
- (void)enqueueBlockInCaptureSessionQueue:(id)arg1;
- (void)enqueueBlockOnMainQueue:(id)arg1;
- (void)executeBlockOnMainQueue:(id)arg1;
- (BOOL)isChangingModes;
- (BOOL)supportsVideoCapture;
- (void)_setCameraMode:(int)arg1 cameraDevice:(int)arg2 force:(BOOL)arg3;
- (BOOL)hasFrontCamera;
- (void)setConvertSampleBufferToJPEG:(BOOL)arg1;
- (BOOL)convertSampleBufferToJPEG;
- (void)_setLocationEnabled:(BOOL)arg1;
- (BOOL)_lockCurrentDeviceForConfiguration;
- (void)_unlockCurrentDeviceForConfiguration;
- (float)maximumZoomFactor;
- (void)setZoomFactor:(float)arg1;
- (BOOL)supportsZoom;
- (void)_applicationSuspended;
- (void)_applicationResumed;
- (void)_applicationDidBecomeActive;
- (id)_currentVideoConnection;
- (void)setPreviewLayer:(id)arg1;
- (BOOL)_setupCamera;
- (void)_destroyCamera;
- (void)_tearDownCamera;
- (void)_deviceStarted:(id)arg1;
- (void)_sessionStarted:(id)arg1;
- (void)_sessionStopped:(id)arg1;
- (void)startPreview;
- (void)_previewStarted:(id)arg1;
- (void)stopPreview;
- (void)_serverDied:(id)arg1;
- (void)_delayIdleTimerByTimeInterval:(double)arg1;
- (void)_resetIdleTimer;
- (void)_wasInterrupted:(id)arg1;
- (void)_interruptionEnded:(id)arg1;
- (void)_sessionRuntimeErrored:(id)arg1;
- (void)_processCapturedPhotoWithDictionary:(id)arg1 error:(id)arg2;
- (void)_capturedPhotoWithDictionary:(id)arg1 error:(id)arg2;
- (void)_willTakePhoto;
- (void)_didTakePhoto;
- (BOOL)canCapturePhoto;
- (void)capturePhoto;
- (void)_removeVideoCaptureFileAndDirectoryAtPath:(id)arg1;
- (void)_movieFileRecordingCompleted:(id)arg1;
- (void)captureOutput:(id)arg1 didStartRecordingToOutputFileAtURL:(id)arg2 fromConnections:(id)arg3;
- (void)captureOutput:(id)arg1 didFinishRecordingToOutputFileAtURL:(id)arg2 fromConnections:(id)arg3 error:(id)arg4;
- (BOOL)canCaptureVideo;
- (void)_setOrientation;
- (id)_videoMetadataArray;
- (void)_setVideoCapturePath:(id)arg1;
- (double)minimumVideoCaptureDuration;
- (id)videoCapturePath;
- (void)setVideoCaptureQuality:(int)arg1;
- (void)setVideoCaptureMaximumDuration:(double)arg1;
- (BOOL)canFocusAtPoint;
- (void)focusAtAdjustedPoint:(struct CGPoint { float x1; float x2; })arg1;
- (int)currentFocusMode;
- (void)restartAutoFocus;
- (void)autofocus;
- (void)autofocusAfterCapture;
- (void)lockFocus;
- (void)setFocusDisabled:(BOOL)arg1;
- (void)_commonFocusFinished;
- (void)_focusOperationFinished;
- (void)_autofocusOperationFinished;
- (void)_focusCompleted;
- (void)_focusStarted;
- (void)_focusHasChanged:(id)arg1;
- (void)_exposureStarted;
- (BOOL)isExposing;
- (void)_exposureCompleted;
- (void)_flashStateChanged;
- (void)_torchLevelChanged;
- (int)flashMode;
- (void)_setFlashMode:(int)arg1 force:(BOOL)arg2;
- (BOOL)hasFlash;
- (void)setFlashMode:(int)arg1;
- (BOOL)isTorchOn;
- (void)_updateIsTorchEnabled;
- (BOOL)isTorchEnabled;
- (BOOL)supportsHDR;
- (void)postOrientationChangedNotification:(int)arg1 force:(BOOL)arg2;
- (void)accelerometer:(id)arg1 didChangeDeviceOrientation:(int)arg2;
- (void)_setCameraOrientation:(int)arg1;
- (void)_setOrientationEventsEnabled:(BOOL)arg1;
- (BOOL)HDRCaptureIncludesEV0Image;
- (void)setHDRCaptureIncludesEV0Image:(BOOL)arg1;
- (void)setHDREnabled:(BOOL)arg1;
- (void)setCaptureOrientation:(int)arg1;
- (float)zoomFactor;
- (id)previewLayer;
- (id)currentOutput;
- (void)setCurrentOutput:(id)arg1;
- (id)currentInput;
- (void)setCurrentInput:(id)arg1;
- (void)setCurrentDevice:(id)arg1;
- (id)currentSession;
- (BOOL)isCameraApp;

@end
