/* Generated by RuntimeBrowser.
   Image: /System/Library/PrivateFrameworks/PhotoLibrary.framework/PhotoLibrary
 */

@class UIView, NSDictionary, PLCameraZoomSlider, NSMutableArray, PLCameraController, NSString, PLCameraElapsedTimeView, UIAlertView, PLCameraPreviewView, PLCropOverlay, PLPhotoLibrary, NSData, PLPhotoTileViewController, PLSyncProgressView, PLCameraHDRButton, PLCameraProgressView, PLCameraFlashButton, UIToolbar, CADisplayLink, PLVideoView, PLPreviewOverlayView, PLReorientingButton, UIImage, AVCaptureVideoPreviewLayer, UIImageView;

@interface PLCameraView : UIView <PLCameraControllerDelegate, PLVideoViewDelegate, PLCameraFlashButtonDelegate, PLCameraHDRButtonDelegate> {
    UIToolbar *_cameraButtonBar;
    int _availablePictureCount;
    int _captureOrientation;
    int _photoSavingOptions;
    BOOL _manipulatingCrop;
    BOOL _retakePhotoAfterPreview;
    NSDictionary *_videoMetadata;
    PLCameraController *_cameraController;
    PLCameraElapsedTimeView *_timeView;
    PLCameraPreviewView *_previewView;
    PLPhotoLibrary *_library;
    UIView *_previewContainerView;
    PLPreviewOverlayView *_overlayView;
    AVCaptureVideoPreviewLayer *_previewLayer;
    struct CGSize { 
        float width; 
        float height; 
    } _previewContentSize;
    struct CGAffineTransform { 
        float a; 
        float b; 
        float c; 
        float d; 
        float tx; 
        float ty; 
    } _previewTransform;
    BOOL _previewOriginShouldBeZero;
    struct CGRect { 
        struct CGPoint { 
            float x; 
            float y; 
        } origin; 
        struct CGSize { 
            float width; 
            float height; 
        } size; 
    } _unzoomedPreviewFrame;
    int _previewViewAspectMode;
    PLCameraFlashButton *_flashButton;
    int _flashModeBeforeCapture;
    int _flashModeBeforeHDR;
    int _photoFlashMode;
    int _videoFlashMode;
    PLReorientingButton *_toggleCameraButton;
    UIView *_previewViewSnapshotView;
    UIView *_flipView;
    PLCameraZoomSlider *_zoomSlider;
    CADisplayLink *_zoomAnimationDisplayLink;
    PLCameraHDRButton *_hdrButton;
    PLCameraProgressView *_hdrProgressView;
    PLSyncProgressView *_rebuildProgressView;
    NSMutableArray *_viewsToBounce;
    NSMutableArray *_bouncingViews;
    NSMutableArray *_previewWellImages;
    float _bounceAspectRatio;
    struct CGRect { 
        struct CGPoint { 
            float x; 
            float y; 
        } origin; 
        struct CGSize { 
            float width; 
            float height; 
        } size; 
    } _bounceDestinationFrame;
    UIView *_irisView;
    UIImageView *_staticIrisView;
    UIImageView *_shadowView;
    UIView *_topStripeView;
    UIImage *_temporaryThumbnailImage;
    BOOL _irisIsClosed;
    BOOL _irisWillOpen;
    NSMutableArray *_openIrisDidFinishSelectors;
    NSMutableArray *_closeIrisDidFinishSelectors;
    int _modeToOpenIris;
    PLCropOverlay *_cropOverlay;
    PLPhotoTileViewController *_imageTile;
    PLVideoView *_videoView;
    NSDictionary *_imagePickerOptions;
    UIAlertView *_torchDisabledAlert;
    UIAlertView *_diskSpaceAlert;
    id _delegate;
    int _enabledGestures;
    unsigned int _showsCropOverlay : 1;
    unsigned int _allowsEditing : 1;
    unsigned int _changesStatusBar : 1;
    unsigned int _cropOverlayUsesTelephonyUI : 1;
    unsigned int _showsCropRegion : 1;
    unsigned int _needToShowDiskSpaceWarning : 1;
    unsigned int _controlsAreVisible : 1;
    unsigned int _shouldShowFocus : 1;
    unsigned int _skipCaptureReview : 1;
    unsigned int _allowsMultipleModes : 1;
    unsigned int _capturePhotoWhenFocusFinished : 1;
    unsigned int _dontAnimateVideoPreviewDown : 1;
    unsigned int _processVideoAfterBounceAnimation : 1;
    unsigned int _capturingPhoto : 1;
    unsigned int _switchingBetweenCameras : 1;
    unsigned int _fastIrisAnimation : 1;
    unsigned int _currentCaptureIsExtendedDuration : 1;
    unsigned int _flashModeDidChangeDuringCapture : 1;
    unsigned int _imageWriterQueueIsFull : 1;
    unsigned int _isCameraApp : 1;
    unsigned int _staticIrisIsClosing : 1;
    unsigned int _irisIsOpening : 1;
    unsigned int _isVisible : 1;
    unsigned int _keepAlive : 1;
    unsigned int _wasInterrupted : 1;
    NSString *_cropTitle;
    NSString *_cropButtonTitle;
    NSData *_lastCapturedImageData;
    unsigned int _imagePickerWantsImageData : 1;
    NSDictionary *_lastCapturedMetadata;
    int _rotationStyle;
    int _windowEdgeClippingMask;
    BOOL _isDisplayedInPopover;
}

@property int cameraDevice;
@property int cameraMode;
@property int flashMode;
@property int photoFlashMode;
@property(readonly) BOOL isCameraReady;
@property int photoFlashModeBeforeHDR;
@property int previewViewAspectMode;
@property(readonly) struct CGRect { struct CGPoint { float x; float y; } origin; struct CGSize { float width; float height; } size; } unzoomedPreviewFrame;
@property(readonly) int windowEdgeClippingMask;
@property(getter=isDisplayedInPopover) BOOL displayedInPopover;
@property int rotationStyle;

+ (void)_initializeSafeCategory;

- (void)setAllowsImageEditing:(BOOL)arg1;
- (BOOL)startVideoCapture;
- (void)stopVideoCapture;
- (int)cameraDevice;
- (void)setCameraDevice:(int)arg1;
- (void)setEnabledGestures:(int)arg1;
- (void)didMoveToSuperview;
- (void)animationDidStop:(id)arg1 finished:(BOOL)arg2;
- (id)_scriptingInfo;
- (void)layoutSubviews;
- (void)dealloc;
- (void)prepareForDefaultImageSnapshot;
- (void)alertView:(id)arg1 didDismissWithButtonIndex:(int)arg2;
- (id)initWithFrame:(struct CGRect { struct CGPoint { float x_1_1_1; float x_1_1_2; } x1; struct CGSize { float x_2_1_1; float x_2_1_2; } x2; })arg1;
- (void)didMoveToWindow;
- (void)setDelegate:(id)arg1;
- (int)rotationStyle;
- (int)photoFlashModeBeforeHDR;
- (int)photoFlashMode;
- (void)_updateButtonBarEnabledness;
- (void)_setBottomBarEnabled:(BOOL)arg1;
- (void)setManipulatingCrop:(BOOL)arg1;
- (void)setCameraButtonsEnabled:(BOOL)arg1;
- (void)_updateFlashModeIfNecessary;
- (struct CGSize { float x1; float x2; })_displaySizeForPreview;
- (void)_createPreviewViewAndContainerView;
- (void)_setupPreviewView;
- (void)_setupPreviewLayer;
- (void)verifyViewOrdering;
- (void)pausePreview;
- (void)resumePreview;
- (void)cameraControllerWillStartSession:(id)arg1;
- (void)_calculatePreviewContentSize;
- (void)cameraControllerPreviewDidStart:(id)arg1;
- (void)cameraControllerSessionDidStop:(id)arg1;
- (void)_albumDidChange:(id)arg1;
- (void)_checkDiskSpaceAfterCapture;
- (void)_applicationDidResignActive:(id)arg1;
- (void)_applicationDidBecomeActive:(id)arg1;
- (void)_showDiskSpaceWarning;
- (void)_resetDiskSpaceWarning;
- (BOOL)_canTakePhoto;
- (BOOL)_canEditVideo;
- (void)_previewVideoAtPath:(id)arg1;
- (id)_cameraAlbum;
- (void)setIsRebuildingLibrary:(BOOL)arg1;
- (void)_showTorchDisabledAlert:(id)arg1;
- (void)_setKeepAlive:(BOOL)arg1;
- (void)_openIrisAndAnimatePreviewImage:(id)arg1;
- (void)_preparePreviewWellImage:(id)arg1 isVideo:(BOOL)arg2;
- (void)_addViewToBounce:(id)arg1;
- (float)previewImageRotationAngle;
- (void)setupAnimatePreviewDown:(id)arg1 flipImage:(BOOL)arg2;
- (void)animateCameraPreviewDown;
- (void)_animateFinalBounce:(id)arg1;
- (void)_updatePreviewWellImage:(id)arg1;
- (void)_postCaptureCleanup;
- (void)_bounceAnimationFinished:(id)arg1 finished:(id)arg2 context:(id)arg3;
- (void)_setShadowViewVisible:(BOOL)arg1;
- (void)_setupPreviewHierarchy;
- (void)_registerForSystemSound;
- (int)photoSavingOptions;
- (void)_updateImageEditability;
- (void)setShowsCropOverlay:(BOOL)arg1;
- (void)setCameraButtonBar:(id)arg1;
- (id)_bottomBar;
- (struct CGRect { struct CGPoint { float x_1_1_1; float x_1_1_2; } x1; struct CGSize { float x_2_1_1; float x_2_1_2; } x2; })_bottomBarFrame;
- (id)_modeSwitch;
- (void)takePictureOpenIrisAnimationFinished;
- (void)takePictureCloseIrisAnimationFinished;
- (void)switchModesCloseIrisAnimationFinished;
- (int)_getCaptureOrientation;
- (void)_shutterButtonClicked;
- (void)timeLapseTimerFired;
- (BOOL)cameraShutterClicked:(id)arg1;
- (void)_performVideoCapture;
- (void)_videoSwitchValueDidChange:(id)arg1;
- (void)cameraControllerModeDidChange:(id)arg1;
- (void)_removeVideoCaptureControls;
- (void)_cleanupPostVideoCaptureState;
- (void)cameraControllerVideoCaptureDidStop:(id)arg1 withReason:(int)arg2 userInfo:(id)arg3;
- (void)_clearUnsavedVideoCaptureState;
- (void)_processCapturedVideo;
- (void)_simpleRemoteActionDidOccur:(id)arg1;
- (void)_updateIsNonDefaultFlashMode:(int)arg1;
- (void)flashButtonModeDidChange:(id)arg1;
- (void)flashButtonWillExpand:(id)arg1;
- (void)flashButtonDidCollapse:(id)arg1;
- (void)_reallyToggleCamera;
- (void)_toggleCameraButtonWasPressed:(id)arg1;
- (void)_updateOverlayControls;
- (void)_setOverlayControlsEnabled:(BOOL)arg1;
- (void)_setOverlayControlsVisible:(BOOL)arg1;
- (void)_updateModeSwitchVisibility;
- (BOOL)_zoomSliderIsAllowedVisible;
- (BOOL)zoomSliderShouldBeVisible;
- (void)_startZoomSliderTimer;
- (void)_cancelZoomSliderTimer;
- (void)showZoomSlider;
- (void)_setZoomFactor:(float)arg1;
- (void)_clearZoomAnimationDisplayLink;
- (void)_animateZoomSliderToValue:(float)arg1;
- (void)_decrementZoomSlider;
- (void)_incrementZoomSlider;
- (void)_addZoomAnimationDisplayLinkWithSelector:(SEL)arg1;
- (void)_zoomSliderValueDidBeginChanging:(id)arg1 forEvent:(id)arg2;
- (void)_zoomSliderValueIsChanging:(id)arg1 forEvent:(id)arg2;
- (void)_zoomSliderValueDidChange:(id)arg1 forEvent:(id)arg2;
- (void)_zoomSliderValueDidEndChanging:(id)arg1 forEvent:(id)arg2;
- (void)enableCamera;
- (void)disableCamera;
- (void)_removeVideoCaptureFileAtPath:(id)arg1;
- (void)_resetImageTile;
- (void)cropOverlay:(id)arg1 didFinishSaving:(id)arg2;
- (struct CGPoint { float x1; float x2; })convertToPointOfInterestFromViewCoordinates:(struct CGPoint { float x1; float x2; })arg1 pointIsInsideContent:(BOOL*)arg2;
- (void)focusAtPoint:(struct CGPoint { float x1; float x2; })arg1;
- (void)_setShouldShowFocus:(BOOL)arg1;
- (BOOL)_previewView:(id)arg1 shouldFocusAtPoint:(struct CGPoint { float x1; float x2; })arg2;
- (BOOL)_isPreviewViewAspectModeAllowed:(int)arg1;
- (int)previewViewAspectMode;
- (void)_setPreviewViewAspectMode:(int)arg1 force:(BOOL)arg2;
- (void)setPreviewViewAspectMode:(int)arg1;
- (void)togglePreviewViewAspectMode;
- (BOOL)_pointIsWithinOverlayView:(struct CGPoint { float x1; float x2; })arg1;
- (void)_handleOverlayViewSingleTap:(id)arg1;
- (void)_handleOverlayViewDoubleTap:(id)arg1;
- (void)primeStaticClosedIris;
- (void)showStaticClosedIris;
- (void)hideStaticClosedIris;
- (BOOL)irisIsClosed;
- (void)_closeIrisAnimationFinished;
- (struct CGPoint { float x1; float x2; })_irisCenter;
- (void)closeIrisWithDidFinishSelector:(SEL)arg1 withDuration:(float)arg2;
- (void)_openIrisAnimationFinished;
- (void)openIrisWithDidFinishSelector:(SEL)arg1;
- (void)openIrisWithDidFinishSelector:(SEL)arg1 withDuration:(float)arg2;
- (void)openIrisAnimationFinished;
- (void)closeIrisAnimationFinished;
- (void)_closeIrisAnimationForSuspensionFinished;
- (void)animateIrisForSuspension;
- (void)_cancelBounceAnimationsAndUpdatePreviewWell;
- (BOOL)_cameraButtonOrientationIsLandscape;
- (void)_beginFlipAnimation;
- (void)_flipAnimationDidStop;
- (void)_removeSnapshotView;
- (void)setPhotoFlashMode:(int)arg1;
- (void)HDRButtonModeDidChange:(id)arg1;
- (BOOL)_showHDR;
- (void)_setHDRButtonAlpha:(float)arg1 duration:(float)arg2;
- (void)_setHDRProgressHUDVisible:(BOOL)arg1;
- (void)_overlayDidFadeOut:(id)arg1 finished:(id)arg2 context:(void*)arg3;
- (void)_deviceOrientationChanged:(id)arg1;
- (void)_cameraOrientationChanged:(id)arg1;
- (BOOL)isCameraReady;
- (void)_applicationDidEnterBackground;
- (void)setPhotoFlashModeBeforeHDR:(int)arg1;
- (struct CGRect { struct CGPoint { float x_1_1_1; float x_1_1_2; } x1; struct CGSize { float x_2_1_1; float x_2_1_2; } x2; })unzoomedPreviewFrame;
- (int)windowEdgeClippingMask;
- (BOOL)isDisplayedInPopover;
- (id)_shutterButton;
- (void)setCropOverlayUsesTelephonyUI:(BOOL)arg1;
- (void)setChangesStatusBar:(BOOL)arg1;
- (void)setPhotoSavingOptions:(int)arg1;
- (void)setImagePickerOptions:(id)arg1;
- (void)setRotationStyle:(int)arg1;
- (void)setDisplayedInPopover:(BOOL)arg1;
- (void)viewWillBeDisplayed;
- (void)setCropTitle:(id)arg1 buttonTitle:(id)arg2;
- (void)setImagePickerWantsImageData:(BOOL)arg1;
- (void)setAllowsMultipleCameraModes:(BOOL)arg1;
- (void)setCameraMode:(int)arg1;
- (void)setControlsAreVisible:(BOOL)arg1;
- (id)overlayView;
- (void)setOverlayView:(id)arg1;
- (void)setPreviewViewTransform:(struct CGAffineTransform { float x1; float x2; float x3; float x4; float x5; float x6; })arg1;
- (void)pressShutterButton;
- (id)imageTile;
- (void)viewDidAppear;
- (void)videoViewDidEndPlayback:(id)arg1 didFinish:(BOOL)arg2;
- (BOOL)videoViewCanBeginPlayback:(id)arg1;
- (void)cropOverlayPlay:(id)arg1;
- (void)cropOverlayPause:(id)arg1;
- (float)videoViewScrubberYOrigin:(id)arg1 forOrientation:(int)arg2;
- (BOOL)photoTileViewControllerIsDisplayingLandscape:(id)arg1;
- (void)viewWillBeRemoved;
- (void)cameraController:(id)arg1 didChangeCaptureAbility:(BOOL)arg2;
- (void)cameraControllerModeWillChange:(id)arg1;
- (void)cameraControllerWillStartPreview:(id)arg1;
- (void)cameraControllerSessionDidStart:(id)arg1;
- (void)cameraControllerWillStopSession:(id)arg1;
- (void)cameraControllerSessionWasInterrupted:(id)arg1;
- (void)cameraControllerSessionInterruptionEnded:(id)arg1;
- (void)cameraControllerServerDied:(id)arg1;
- (void)cameraControllerWillTakePhoto:(id)arg1;
- (void)cameraControllerDidTakePhoto:(id)arg1;
- (void)cameraController:(id)arg1 capturedPhoto:(id)arg2 error:(id)arg3;
- (void)cameraControllerVideoCaptureDidStart:(id)arg1;
- (void)cameraControllerDidStopVideoCapture:(id)arg1;
- (void)cameraControllerFocusDidStart:(id)arg1;
- (void)cameraControllerFocusDidEnd:(id)arg1;
- (void)cameraControllerTorchAvailabilityChanged:(id)arg1;
- (int)cameraMode;
- (void)_inCallStatusChanged:(id)arg1;
- (void)startPreview;
- (void)stopPreview;
- (int)flashMode;
- (void)setFlashMode:(int)arg1;
- (id)previewLayer;
- (void)cropOverlayWasCancelled:(id)arg1;
- (void)cropOverlayWasOKed:(id)arg1;
- (BOOL)controlsAreVisible;
- (id)_irisView;
- (void)setShowsCropRegion:(BOOL)arg1;
- (void)videoViewIsReadyToBeginPlayback:(id)arg1;
- (BOOL)videoViewShouldDisplayScrubber:(id)arg1;
- (void)videoViewDidBeginPlayback:(id)arg1;
- (void)videoViewDidPausePlayback:(id)arg1;
- (id)buttonBar;
- (id)_cropOverlay;

@end
