/* Generated by RuntimeBrowser.
   Image: /System/Library/PrivateFrameworks/PhotoLibrary.framework/PhotoLibrary
 */

@class PLThumbnailManager, NSCalendar, NSIndexSet, PLPhotoStreamAlbum, PLWStackedImageCache, NSMutableArray, PLConnection, PLPhotoAlbum, PLCameraAlbum, NSDictionary, NSMutableDictionary;

@interface PLPhotoLibrary : MLPhotoLibrary  {
    BOOL _readOnly;
    BOOL _listeningForITunesSyncing;
    PLConnection *_connection;
    struct __CFDictionary { } *_allPhotos;
    double _lastRemoteDataModification;
    int _databaseMigrationKind;
    PLThumbnailManager *_thumbnailManager;
    NSDictionary *_existingThumbnailEntries;
    NSIndexSet *_existingThumbnailIndexes;
    PLCameraAlbum *_savedPhotosAlbum;
    PLPhotoAlbum *_allPhotosAlbum;
    PLPhotoAlbum *_iPadAllPhotosAlbum;
    PLPhotoAlbum *_allImportedPhotosAlbum;
    PLPhotoAlbum *_lastImportedPhotosAlbum;
    NSCalendar *_exifConversionCalendar;
    NSMutableDictionary *_photoStreamAlbumsByStreamID;
    NSMutableArray *_photoStreamAlbums;
    PLPhotoStreamAlbum *_allPhotoStreamPhotosAlbum;
    id _ptpDelegate;
    PLWStackedImageCache *_stackedImageCache;
}

+ (void)setImageWriterIsBusy:(BOOL)arg1;
+ (id)photoStreamsDataDirectory;
+ (id)photoDataDirectory;
+ (long)creationDate:(id*)arg1 latitude:(double*)arg2 longitude:(double*)arg3 fromVideo:(id)arg4;
+ (id)photoDataMiscDirectory;
+ (id)iTunesPhotosDirectory;
+ (id)dcimDirectoryPath;
+ (BOOL)processCanReadSandboxForPath:(id)arg1;
+ (BOOL)processCanWriteSandboxForPath:(id)arg1;
+ (BOOL)needsThumbnailMigration;
+ (BOOL)needsToRegenerateVideoThumbnailsForConnection:(id)arg1;
+ (id)takingVideoIndicatorFilePath;
+ (id)imageWriterIndicatorFilePath;
+ (id)sqliteErrorIndicatorFilePath;
+ (id)migrationIndicatorFilePath;
+ (id)allIndicatorFilePaths;
+ (void)_presentSqliteCorruptionErrorDialog;
+ (void)setMigratorIsBusy:(BOOL)arg1;
+ (void)setVideoCaptureIsBusy:(BOOL)arg1;
+ (id)anotherUid;
+ (void)setPhotoStreamEnabled:(BOOL)arg1;
+ (void)moveDatabasesAside;
+ (id)dcimDirectory;
+ (BOOL)cameraRollNeedsMigration;
+ (id)sharedPhotoLibrary;
+ (id)sharedPhotoLibraryIfExists;
+ (id)savedPhotosAlbum;
+ (BOOL)isReadOnly;

- (id)init;
- (void)dealloc;
- (void)applicationWillEnterForeground:(id)arg1;
- (id)dataForPhoto:(id)arg1 format:(int)arg2 width:(int*)arg3 height:(int*)arg4 bytesPerRow:(int*)arg5 dataWidth:(int*)arg6 dataHeight:(int*)arg7 imageDataOffset:(int*)arg8;
- (void)updateThumbnailsForPhoto:(id)arg1 previewImage:(id)arg2 thumbnailImage:(id)arg3;
- (void)preheatImageDataForImages:(id)arg1 withFormat:(int)arg2;
- (id)albumWithUuid:(id)arg1;
- (id)fileExtensionsForPhoto:(id)arg1;
- (id)assetURLForPhoto:(id)arg1;
- (id)newImageForDulcimerImage:(id)arg1 format:(int)arg2 outImageProperties:(const struct __CFDictionary {}**)arg3;
- (void)setSqliteErrorAndExitIfNecessary;
- (id)connection;
- (id)addDCIMEntryAtPath:(id)arg1 toEvent:(id)arg2 extensions:(id)arg3 progress:(struct { id x1; float x2; struct __CFArray {} *x3; float x4; BOOL x5; id x6; }*)arg4 notify:(BOOL)arg5 importSessionIdentifier:(int)arg6 isImported:(BOOL)arg7 gatherVideoInformation:(BOOL)arg8 previewImage:(id)arg9 thumbnailImage:(id)arg10 savedAssetType:(int)arg11;
- (void)_closeDatabaseConnection;
- (BOOL)libraryIsAvailable;
- (void)flushDCIMAlbums;
- (void)flushPhotoStreamAlbums;
- (void)listenForITunesSyncing;
- (void)iTunesSyncPhaseWillStart:(int)arg1;
- (id)newImageForDulcimerImage:(id)arg1 format:(int)arg2;
- (id)imageForFormat:(int)arg1 forImage:(id)arg2;
- (id)countOfAllPhotosAndVideos;
- (void)initializeGraphicsServices;
- (void)_notifyRebuildProgressOnMainThread:(id)arg1;
- (void)_notifyProgress:(float)arg1;
- (BOOL)needsMigration;
- (void)prepareToMigrateDcimToDatabase;
- (void)_deleteObsoleteMetadataFiles;
- (void)_removeOrphanedThumbnailEntries;
- (void)_migrationDidFinish;
- (void)finishVideoMigration;
- (void)_loadExistingThumbnailEntries;
- (void)_unloadExistingThumbnailEntries;
- (void)fullDcimMigration;
- (int)_sortingCategoryForAlbum:(id)arg1;
- (void)insertAlbum:(id)arg1 intoSortedAlbums:(id)arg2;
- (id)userAlbums;
- (id)imagePickerAlbums;
- (id)photoStreamAlbumsForPreferences;
- (id)wallpaperAlbums;
- (id)syncedAlbums;
- (void)removePhotosFromAllAlbums:(id)arg1;
- (void)_addPhoto:(id)arg1 toEvent:(id)arg2;
- (void)addPhoto:(id)arg1 toAlbumsAndEvent:(id)arg2 invalidateStackedImageForEvent:(BOOL)arg3;
- (id)allImportedPhotosAlbum;
- (id)lastImportedPhotosAlbum;
- (id)_iTunesPhotos;
- (id)allPhotosAlbumIfExists;
- (id)iPadAllPhotosAlbumIfExists;
- (id)posterImageForAlbum:(id)arg1;
- (void)_loadPhotoLibraryAfterMigration;
- (void)_notifyPhotoLibraryIsNoLongerAvailableOnMainThread;
- (void)photoLibraryCorruptNotification;
- (void)photoLibraryRebuildingNotification;
- (void)photoLibraryAvailableNotification;
- (void)pictureWasDeletedNotification;
- (void)pictureWasChanged;
- (void)pictureWasTakenOrChanged;
- (id)iTunesFaceImageForRecordID:(int)arg1 faceIndex:(int)arg2 size:(struct CGSize { float x1; float x2; })arg3 returnLocationInImage:(struct CGRect { struct CGPoint { float x_1_1_1; float x_1_1_2; } x1; struct CGSize { float x_2_1_1; float x_2_1_2; } x2; }*)arg4;
- (BOOL)_hasAtLeastOneItem:(BOOL)arg1;
- (BOOL)hasAtLeastOneItem;
- (BOOL)hasAtLeastOnePhotoWithGPS;
- (int)_orientationAfterRotatingOrientation:(int)arg1 clockwiseByDegrees:(int)arg2 transposeCoordinatesOut:(BOOL*)arg3;
- (int)_orientationOfFileAtPath:(id)arg1;
- (id)_setPhotoAtPath:(id)arg1 toOrientation:(int)arg2;
- (BOOL)rotatePLPhoto:(id)arg1 byDegrees:(int)arg2;
- (BOOL)rotateCameraPhoto:(id)arg1 byDegrees:(int)arg2;
- (id)dateForPhoto:(id)arg1;
- (void)_deleteFilesAndEmptyDirectoriesAtPaths:(id)arg1;
- (id)pathsToFilesTrackedByExtras:(id)arg1;
- (id)_occupiedThumbnailIndexes;
- (void)_compactThumbnailTablesIfNecessary;
- (BOOL)deleteImagesWithKeys:(id)arg1;
- (void)deleteImages:(id)arg1;
- (void)deleteAllImages;
- (id)photoWithPrimaryKey:(int)arg1;
- (BOOL)hasPhotoWithCaptureDate:(id)arg1 fileName:(id)arg2 fileSize:(int)arg3;
- (BOOL)hasPhotoWithFileCreationDate:(id)arg1 fileName:(id)arg2 fileSize:(int)arg3;
- (id)exifStringForDate:(id)arg1;
- (void)modifyDCIMEntryForVideo:(id)arg1 progress:(struct { id x1; float x2; struct __CFArray {} *x3; float x4; BOOL x5; id x6; }*)arg2 previewImage:(id)arg3 thumbnailImage:(id)arg4;
- (id)photoWithPath:(id)arg1;
- (void)migrateSavedPhotoCaptureTimes;
- (int)_nextAvailableThumbnailIndex;
- (void)_attachAuxDatabase;
- (void)_detachAuxDatabase;
- (void)loadDatabaseCreateForMigration:(BOOL)arg1;
- (id)_imagesForAlbum:(id)arg1 firstImageOnly:(BOOL)arg2;
- (int)_numberOfAssetsInDCIMDirectory;
- (int)_numberOfNonPhotoStreamAssetsInDatabase;
- (void)addToKnownPhotoStreamAlbums:(id)arg1;
- (void)removeFromKnownPhotoStreamAlbums:(id)arg1;
- (id)albumForStreamID:(id)arg1;
- (id)allPhotoStreamPhotosAlbumIfItExists;
- (void)saveToSavedPhotosAllPhotoInPhotoStreamAlbums:(id)arg1;
- (BOOL)hasDelegateAndValidDatabase;
- (void)_photoAlbumChanged:(id)arg1;
- (void)_notifyPTPAboutDeletedPhoto:(id)arg1;
- (void)_notifyPTPAboutAddedPhoto:(id)arg1;
- (void)_notifyPTPAboutPhotoLibraryAvailable:(BOOL)arg1;
- (void)setPtpDelegate:(id)arg1;
- (BOOL)ptpCanDeleteFiles;
- (id)ptpInformationForPhotoWithPrimaryKey:(int)arg1;
- (id)ptpInformationForPhotosWithPrimaryKeys:(id)arg1;
- (id)ptpInformationForFilesInDirectory:(id)arg1;
- (id)ptpThumbnailForPhotoWithKey:(id)arg1;
- (BOOL)ptpDeletePhotosWithKeys:(id)arg1;
- (BOOL)ptpDeletePhotoWithKey:(id)arg1 andExtension:(id)arg2;
- (id)assetURLForPhoto:(id)arg1 extension:(id)arg2;
- (id)photoStreamAlbums;
- (id)iPadAllPhotosAlbum;
- (id)allPhotoStreamPhotosAlbum;
- (BOOL)multiplePhotoStreamsAvailable;
- (void)migrateDcimToDatabase;
- (BOOL)hasAtLeastOnePhoto;
- (id)albums;
- (id)allPhotosAlbum;
- (id)nonPersistedEventWithTitle:(id)arg1;
- (void)flushAlbums;
- (void)iTunesSyncPhaseDidFinish:(int)arg1 reason:(int)arg2;
- (BOOL)isPhotoInSavedPhotosAlbum:(id)arg1;
- (id)eventAlbumContainingPhoto:(id)arg1;
- (id)albumsForContentMode:(int)arg1;
- (id)savedPhotosAlbum;
- (id)photoFromAssetURL:(id)arg1;
- (void)modifyDCIMEntryForPhoto:(id)arg1;
- (BOOL)rotatePhoto:(id)arg1 byDegrees:(int)arg2;
- (void)addPhotoToCameraRoll:(id)arg1;
- (void)_notifyChangedPhotos:(id)arg1;

@end
