/* Generated by RuntimeBrowser.
   Image: /System/Library/PrivateFrameworks/PhotoLibrary.framework/PhotoLibrary
 */

@class NSDictionary, AVRemaker, PLMoviePlayerController, PLVideoOutBackgroundView, PLVideoEditingOverlayView, NSString, PLVideoPosterFrameView, MLPhotoBakedThumbnails, PLAirTunesService, NSTimer, PLPhotoTileViewController, UIMovieScrubber, NSMutableDictionary, PLAirPlayBackgroundView, MLPhoto, UIButton, <PLVideoViewDelegate>, NSArray, UIImage, UIView, UIImageView;

@interface PLVideoView : UIView <UIMovieScrubberDelegate, UIMovieScrubberDataSource> {
    MLPhoto *_videoCameraImage;
    PLPhotoTileViewController *_imageTile;
    PLVideoPosterFrameView *_posterFrameView;
    UIButton *_videoOverlayPlayButton;
    UIView *_videoOverlayBackgroundView;
    PLVideoEditingOverlayView *_trimMessageView;
    UIImage *_posterFrameImage;
    float _scrubberWidth;
    unsigned int _scaleMode;
    UIImageView *_scrubberBackgroundView;
    UIMovieScrubber *_scrubber;
    UIView *_scrubberTitleView;
    NSTimer *_scrubberUpdateTimer;
    NSDictionary *_thumbnailOptionsDict;
    NSMutableDictionary *_cachedThumbnails;
    MLPhotoBakedThumbnails *_bakedLandscapeThumbnails;
    MLPhotoBakedThumbnails *_bakedPortraitThumbnails;
    AVRemaker *_remaker;
    int _timeOptions;
    NSString *_trimmedPath;
    NSString *_videoPathAfterTrim;
    NSTimer *_trimProgressTimer;
    MLPhoto *_trimmedVideoClip;
    struct { id x1; float x2; struct __CFArray {} *x3; float x4; BOOL x5; NSString *x6; } *_trimProgressStack;
    float _progress;
    int _interfaceOrientation;
    PLMoviePlayerController *_moviePlayer;
    int _orientationWhenLastDisplayed;
    <PLVideoViewDelegate> *_delegate;
    double _maximumTrimLength;
    double _lastScrubbedValue;
    double _lastActualValue;
    double _duration;
    double _cachedCurrentPlaybackTime;
    NSMutableDictionary *_thumbnailRequests;
    unsigned int _currentThumbnailRequestID;
    unsigned int _previewFrameRequestID;
    NSArray *_portraitSummaryThumbnailTimestamps;
    NSArray *_landscapeSummaryThumbnailTimestamps;
    PLAirTunesService *_selectedAirTunesService;
    PLAirPlayBackgroundView *_airPlayBackgroundView;
    PLVideoOutBackgroundView *_videoOutBackgroundView;
    unsigned int _showsPosterFrame : 1;
    unsigned int _showsPlayButton : 1;
    unsigned int _canEdit : 1;
    unsigned int _loadMediaImmediately : 1;
    unsigned int _scrubberIsSubview : 1;
    unsigned int _viewWillAppear : 1;
    unsigned int _didLayout : 1;
    unsigned int _wasPlayingBeforeScrub : 1;
    unsigned int _playFromBeginning : 1;
    unsigned int _reloadScrubberThumbnails : 1;
    unsigned int _playing : 1;
    unsigned int _playingToAirTunes : 1;
    unsigned int _editing : 1;
    unsigned int _disableEditAfterTrim : 1;
    unsigned int _scrubbing : 1;
    unsigned int _scrubbingToRight : 1;
    unsigned int _deleteOriginalFile : 1;
    unsigned int _passthroughTrimming : 1;
    unsigned int _preparingMoviePlayer : 1;
    unsigned int _didPrepareMoviePlayer : 1;
    unsigned int _moviePlayerIsReady : 1;
    unsigned int _firstFrameWasDisplayed : 1;
    unsigned int _showingOverlay : 1;
    unsigned int _showingScrubber : 1;
    unsigned int _showScrubberWhenMovieIsReady : 1;
    unsigned int _playbackDidBegin : 1;
    unsigned int _playbackWillBegin : 1;
    unsigned int _didDisappear : 1;
    unsigned int _loadScrubberThumbnails : 1;
    unsigned int _videoIsLandscape : 1;
    unsigned int _posterImageIsThumbnail : 1;
    unsigned int _canCreateMetadata : 1;
    unsigned int _createPreviewPosterFrame : 1;
    unsigned int _startedDeliveringNotificationsToMainThread : 1;
    unsigned int _isTrimming : 1;
    unsigned int _wasTrimmedInPlace : 1;
    unsigned int _remakingFailed : 1;
}

@property <PLVideoViewDelegate> * delegate;
@property PLPhotoTileViewController * imageTile;
@property(readonly) MLPhoto * videoCameraImage;
@property(retain) MLPhoto * trimmedVideoClip;
@property(readonly) UIImage * posterFrameImage;
@property(readonly) double duration;
@property(getter=isEditing) BOOL editing;
@property(readonly) double startTime;
@property(readonly) double endTime;
@property(readonly) NSString * videoPathAfterTrim;
@property(readonly) UIImageView * previewImageView;
@property(readonly) UIImage * currentFrameImage;
@property BOOL showsPosterFrame;
@property BOOL showsPlayOverlay;
@property BOOL loadMediaImmediately;
@property BOOL canEdit;
@property BOOL scrubberIsSubview;
@property double currentTime;
@property(readonly) UIView * posterFrameView;
@property float scrubberWidth;
@property(readonly) int interfaceOrientation;

+ (void)_initializeSafeCategory;

- (double)startTime;
- (void)_reset;
- (BOOL)isEditing;
- (void)movieScrubber:(id)arg1 valueDidChange:(double)arg2;
- (void)movieScrubber:(id)arg1 editingStartValueDidChange:(double)arg2;
- (void)movieScrubber:(id)arg1 editingEndValueDidChange:(double)arg2;
- (void)movieScrubberWillBeginRequestingThumbnails:(id)arg1;
- (void)movieScrubberDidFinishRequestingThumbnails:(id)arg1;
- (void)movieScrubberWillBeginEditing:(id)arg1;
- (void)movieScrubberDidCancelEditing:(id)arg1;
- (void)movieScrubberDidBeginEditing:(id)arg1;
- (void)movieScrubberEditingAnimationFinished:(id)arg1;
- (void)movieScrubber:(id)arg1 widthDelta:(float)arg2 originXDelta:(float)arg3;
- (double)movieScrubberDuration:(id)arg1;
- (void)movieScrubberDidBeginScrubbing:(id)arg1 withHandle:(int)arg2;
- (void)movieScrubberDidEndScrubbing:(id)arg1 withHandle:(int)arg2;
- (id)movieScrubber:(id)arg1 evenlySpacedTimestamps:(int)arg2 startingAt:(id)arg3 endingAt:(id)arg4;
- (id)movieScrubber:(id)arg1 timestampsStartingAt:(id)arg2 endingAt:(id)arg3 maxCount:(int)arg4;
- (void)movieScrubber:(id)arg1 requestThumbnailImageForTimestamp:(id)arg2;
- (float)movieScrubberThumbnailAspectRatio:(id)arg1;
- (double)duration;
- (void)setMaximumTrimLength:(double)arg1;
- (void)didMoveToSuperview;
- (id)hitTest:(struct CGPoint { float x1; float x2; })arg1 withEvent:(id)arg2;
- (void)viewWillAppear:(BOOL)arg1;
- (void)setEditing:(BOOL)arg1 animated:(BOOL)arg2;
- (void)willAnimateRotationToInterfaceOrientation:(int)arg1 duration:(double)arg2;
- (int)interfaceOrientation;
- (void)layoutSubviews;
- (void)setEditing:(BOOL)arg1;
- (void)touchesEnded:(id)arg1 withEvent:(id)arg2;
- (void)willMoveToSuperview:(id)arg1;
- (void)setFrame:(struct CGRect { struct CGPoint { float x_1_1_1; float x_1_1_2; } x1; struct CGSize { float x_2_1_1; float x_2_1_2; } x2; })arg1;
- (void)dealloc;
- (id)description;
- (void)setProgress:(id)arg1;
- (void)setDelegate:(id)arg1;
- (id)delegate;
- (void)setShowsPosterFrame:(BOOL)arg1;
- (id)imageTile;
- (void)viewDidAppear;
- (void)setLoadMediaImmediately:(BOOL)arg1;
- (void)stop;
- (void)pause;
- (double)currentTime;
- (BOOL)showsPosterFrame;
- (id)posterFrameImage;
- (void)_resetMoviePlayer;
- (float)_scrubberYOffsetForOrientation:(int)arg1;
- (float)scrubberWidth;
- (void)_createScrubber:(BOOL)arg1;
- (id)videoScrubberBackgroundView;
- (id)videoOverlayBackgroundView;
- (void)_showVideoOverlay;
- (void)_videoOverlayFadeOutDidFinish;
- (void)_hideVideoOverlay:(BOOL)arg1;
- (void)_hideTrimMessageView:(BOOL)arg1;
- (void)_updateScrubberVisibility:(BOOL)arg1;
- (void)_setScaleModeForSize:(struct CGSize { float x1; float x2; })arg1;
- (void)_setPosterFrameHidden:(BOOL)arg1;
- (void)setPosterFrameImage:(id)arg1 isThumbnail:(BOOL)arg2;
- (void)_dcimContentsDidChange:(id)arg1;
- (void)_itemPlaybackDidEnd:(id)arg1;
- (void)_videoFrameDisplayed:(id)arg1;
- (void)_rateDidChange:(id)arg1;
- (void)_setReloadScrubberThumbnails:(BOOL)arg1;
- (BOOL)moviePlayerExitRequest:(id)arg1 exitReason:(int)arg2;
- (void)moviePlayerPlaybackStateDidChange:(id)arg1;
- (void)_requestPreviewPosterFrameForVideoSize:(struct CGSize { float x1; float x2; })arg1;
- (void)_savePreviewPosterFrameImage:(struct CGImage { }*)arg1;
- (void)moviePlayerReadyToPlay:(id)arg1;
- (void)moviePlayerDelegateDidChange:(id)arg1;
- (BOOL)moviePlayerHeadsetPlayPausePressed:(id)arg1;
- (BOOL)moviePlayerHeadsetNextTrackPressed:(id)arg1;
- (BOOL)moviePlayerHeadsetPreviousTrackPressed:(id)arg1;
- (void)_saveCachedThumbnailsIfNecessary;
- (void)_thumbnailImageWasGenerated:(id)arg1;
- (void)_thumbnailImageGenerationFailed:(id)arg1;
- (id)_loadThumbnailsIntoDictionary:(id)arg1 isLandscape:(BOOL)arg2 aspectRatio:(float)arg3;
- (void)_removeScrubberUpdateTimer;
- (void)_resetScrubberUpdateTimer;
- (void)_didScrubToValue:(double)arg1 withHandle:(int)arg2;
- (void)_setPlaying:(BOOL)arg1;
- (void)_scrubberAnimationFinished;
- (void)_thumbnailsWereRegenerated:(id)arg1 error:(id)arg2 contextInfo:(void*)arg3;
- (void)importerFinishedProcessingTrimmedVideo:(id)arg1;
- (void)_removeTrimProgressTimer;
- (void)_resetTrimProgressTimer;
- (void)_informDelegateAboutProgressChange:(float)arg1;
- (void)_updateTrimProgress;
- (void)_trimProgressChanged:(id)arg1;
- (void)_startDeliveringNotificationsToMainThread;
- (void)_stopDeliveringNotifications;
- (void)_cancelRemaking:(id)arg1;
- (void)_remakerDidFinish:(id)arg1;
- (BOOL)isTrimming;
- (BOOL)wasTrimmedInPlace;
- (void)cancelTrim;
- (void)setTrimmedVideoClip:(id)arg1;
- (id)currentFrameImage;
- (void)setImageTile:(id)arg1;
- (void)toggleScaleMode:(float)arg1;
- (void)handleDoubleTap;
- (void)_delayedHidePosterFrame;
- (void)_didBeginPlayback;
- (void)playButtonClicked:(id)arg1;
- (void)playToAirTunes;
- (BOOL)playingToAirTunes;
- (void)play;
- (void)_viewDidAppear:(BOOL)arg1;
- (void)viewDidDisappear;
- (BOOL)showsPlayOverlay;
- (BOOL)canEdit;
- (BOOL)_canEditDuration:(double)arg1;
- (void)setScrubberIsSubview:(BOOL)arg1;
- (BOOL)scrubberIsSubview;
- (BOOL)loadMediaImmediately;
- (void)_scrubToTime:(double)arg1;
- (BOOL)shouldShowCopyCalloutAtPoint:(struct CGPoint { float x1; float x2; })arg1;
- (void)_screenDidConnect:(id)arg1;
- (void)_screenDidDisconnect:(id)arg1;
- (void)_handleScreenConnectionChange:(BOOL)arg1;
- (id)_parentViewForExternalOutputBackground;
- (void)_addAirPlayBackgroundView;
- (void)_removeAirPlayBackgroundView;
- (void)_airTunesServiceChanged;
- (void)_prepareMoviePlayer;
- (void)_playbackFinished;
- (void)_updateScrubberValue;
- (id)posterFrameView;
- (void)setScrubberWidth:(float)arg1;
- (BOOL)_canCreateMetadata;
- (void)_reloadScrubberThumbnails;
- (id)_moviePlayer;
- (id)initWithFrame:(struct CGRect { struct CGPoint { float x_1_1_1; float x_1_1_2; } x1; struct CGSize { float x_2_1_1; float x_2_1_2; } x2; })arg1 videoCameraImage:(id)arg2 orientation:(int)arg3;
- (void)setShowsPlayOverlay:(BOOL)arg1;
- (double)endTime;
- (void)hideTrimMessage;
- (void)showTrimMessage:(id)arg1 withBottomY:(float)arg2;
- (id)previewImageView;
- (void)setVideoOverlayBackgroundView:(id)arg1;
- (void)setCanEdit:(BOOL)arg1;
- (BOOL)isPlaying;
- (BOOL)deleteOriginalFileAfterTrim;
- (id)videoScrubber;
- (void)showScrubberBackgroundViewWithDuration:(float)arg1;
- (void)setCurrentTime:(double)arg1;
- (void)hideScrubberBackgroundViewWithDuration:(float)arg1;
- (id)videoCameraImage;
- (void)adjustUIForVideoOut:(BOOL)arg1;
- (id)newPreviewImageData:(id*)arg1 fullScreenImage:(id*)arg2;
- (void)trimUsingMode:(int)arg1 saveACopy:(BOOL)arg2;
- (id)videoPathAfterTrim;
- (id)trimmedVideoClip;
- (BOOL)playingToVideoOut;
- (void)_accessibilityClearChildren;
- (id)accessibilityContainerElements;
- (id)accessibilityLabel;
- (BOOL)isAccessibilityElement;

@end
