/* Generated by RuntimeBrowser.
   Image: /System/Library/PrivateFrameworks/ProtocolBuffer.framework/ProtocolBuffer
 */

@class NSArray, NSMutableData, <PBRequesterDelegate>, NSMutableArray, NSURLConnection, PBDataReader, NSURL, NSDictionary, NSString;

@interface PBRequester : NSObject  {
    NSURL *_URL;
    <PBRequesterDelegate> *_delegate;
    NSURLConnection *_connection;
    NSMutableData *_data;
    PBDataReader *_dataReader;
    unsigned int _lastGoodDataOffset;
    unsigned int _uploadPayloadSize;
    int _responseStatusCode;
    NSMutableArray *_requests;
    NSMutableArray *_responses;
    NSMutableArray *_internalRequests;
    NSMutableArray *_internalResponses;
    NSDictionary *_httpResponseHeaders;
    NSDictionary *_httpRequestHeaders;
    double _timeoutSeconds;
    struct __CFRunLoopTimer { } *_timeoutTimer;
    NSString *_logRequestToFile;
    NSString *_logResponseToFile;
    NSString *_logEncodedRequestToFile;
    NSString *_logEncodedResponseToFile;
    NSArray *_clientCertificates;
    BOOL _shouldHandleCookies;
    struct { 
        unsigned int ignoresResponse : 1; 
        unsigned int loading : 1; 
        unsigned int silentLoading : 1; 
        unsigned int needsCancel : 1; 
        unsigned int responseStatusSet : 1; 
        unsigned int parsedResponseHeader : 1; 
        unsigned int delegateDidReceiveResponse : 1; 
        unsigned int delegateDidFinish : 1; 
        unsigned int delegateDidCancel : 1; 
        unsigned int delegateDidFailWithError : 1; 
        unsigned int paused : 1; 
        unsigned int resuming : 1; 
    } _flags;
}

@property BOOL ignoresResponse;
@property(getter=isLoading) BOOL loading;
@property BOOL silentLoading;
@property(readonly) NSArray * requests;
@property BOOL needsCancel;
@property BOOL shouldHandleCookies;
@property(retain) NSArray * clientCertificates;
@property(readonly) unsigned int uploadPayloadSize;
@property(retain) NSString * logResponseToFile;
@property(retain) NSString * logRequestToFile;
@property double timeoutSeconds;
@property(retain) NSDictionary * httpRequestHeaders;
@property(retain) NSDictionary * httpResponseHeaders;
@property(retain) NSURLConnection * connection;
@property id delegate;
@property(retain) NSURL * URL;

+ (BOOL)usesEncodedMessages;

- (void)setHttpRequestHeaders:(id)arg1;
- (id)httpRequestHeaders;
- (id)httpResponseHeaders;
- (void)_failWithError:(id)arg1;
- (void)setConnection:(id)arg1;
- (void)setURL:(id)arg1;
- (void)connection:(id)arg1 didReceiveData:(id)arg2;
- (void)connectionDidFinishLoading:(id)arg1;
- (void)connection:(id)arg1 didFailWithError:(id)arg2;
- (void)connection:(id)arg1 didReceiveResponse:(id)arg2;
- (BOOL)isLoading;
- (id)URL;
- (void)start;
- (id)requests;
- (void)cancel;
- (void)dealloc;
- (void)setDelegate:(id)arg1;
- (id)delegate;
- (void)addInternalRequest:(id)arg1;
- (void)cancelWithErrorCode:(int)arg1;
- (void)handleResponse:(id)arg1 forInternalRequest:(id)arg2;
- (id)requestPreamble;
- (void)writeRequest:(id)arg1 into:(id)arg2;
- (BOOL)readResponsePreamble:(id)arg1;
- (id)tryReadResponseData:(id)arg1 forRequest:(id)arg2 forResponseClass:(Class)arg3;
- (id)responseForRequest:(id)arg1;
- (id)initWithURL:(id)arg1 andDelegate:(id)arg2;
- (void)setTimeoutSeconds:(double)arg1;
- (void)setNeedsCancel;
- (BOOL)needsCancel;
- (void)setNeedsCancel:(BOOL)arg1;
- (void)setIgnoresResponse:(BOOL)arg1;
- (void)setSilentLoading:(BOOL)arg1;
- (void)addRequest:(id)arg1;
- (unsigned int)uploadPayloadSize;
- (BOOL)ignoresResponse;
- (BOOL)silentLoading;
- (id)internalRequests;
- (id)responseForInternalRequest:(id)arg1;
- (id)_languageLocale;
- (id)_applicationID;
- (id)_osVersion;
- (void)_sendPayload:(id)arg1;
- (void)_failWithErrorDomain:(id)arg1 errorCode:(int)arg2 userInfo:(id)arg3;
- (void)_cancelWithErrorDomain:(id)arg1 errorCode:(int)arg2 userInfo:(id)arg3;
- (BOOL)_tryParseData;
- (void)_startTimeoutTimer;
- (void)_removeTimeoutTimer;
- (void)_resetTimeoutTimer;
- (void)_timeoutTimerFired;
- (void)encodeRequestData:(id)arg1 startRequestCallback:(id)arg2;
- (id)decodeResponseData:(id)arg1;
- (void)setLogEncodedRequestToFile:(id)arg1;
- (id)logEncodedRequestToFile;
- (void)setLogEncodedResponseToFile:(id)arg1;
- (id)logEncodedResponseToFile;
- (BOOL)shouldHandleCookies;
- (void)setShouldHandleCookies:(BOOL)arg1;
- (id)logResponseToFile;
- (void)setLogResponseToFile:(id)arg1;
- (id)logRequestToFile;
- (void)setLogRequestToFile:(id)arg1;
- (double)timeoutSeconds;
- (void)setHttpResponseHeaders:(id)arg1;
- (id)clientCertificates;
- (void)setClientCertificates:(id)arg1;
- (void)_cleanup;
- (id)connection;
- (void)pause;
- (void)resume;
- (BOOL)isPaused;
- (void)setLoading:(BOOL)arg1;

@end
