/* Generated by RuntimeBrowser.
   Image: /System/Library/PrivateFrameworks/SportsTrainer.framework/SportsTrainer
 */

@class STRunCaloriesLabel, STAnimatableButton, UIButton, STRunProgressView, STRunPaceLabel, UIView, STRunDistanceLabel, STRunTimeLabel, STShadowLabel, SWRunWorkoutProxy, <STRunViewDelegate>, NSString, UIImageView, NSTimer;

@interface STRunView : UIView  {
    <STRunViewDelegate> *_delegate;
    SWRunWorkoutProxy *_workoutProxy;
    NSTimer *_subsecondTimer;
    NSTimer *_workoutInfoTimer;
    double _elapsedWorkoutTime;
    double _estimatedElapsedWorkoutTime;
    double _lastWorkoutNotificationTime;
    UIView *_rotationContainer;
    int _orientation;
    int _interface;
    UIButton *_leftButton;
    UIButton *_rightButton;
    STAnimatableButton *_endWorkoutButton;
    UIButton *_previousTrackButton;
    UIButton *_nextTrackButton;
    UIImageView *_transportControlsDivider;
    STRunTimeLabel *_runTimeLabel;
    STRunDistanceLabel *_runDistanceLabel;
    STRunPaceLabel *_runPaceLabel;
    STRunCaloriesLabel *_runCaloriesLabel;
    STShadowLabel *_nowPlayingSongLabel;
    STRunProgressView *_runProgressView;
    float _progressToGoal;
    UIImageView *_powerSongGlowView;
    NSTimer *_considerSeekTimer;
    int _currentSeekDirection;
    NSString *_throttledWorkoutState;
    struct { 
        unsigned int timerPaused : 1; 
        unsigned int shouldStartTimer : 1; 
        unsigned int isLockScreen : 1; 
        unsigned int animateForResumeEventsOnly : 1; 
        unsigned int canHighlightPowerSong : 1; 
        unsigned int validPaceReceived : 1; 
        unsigned int noMusic : 1; 
        unsigned int seekHandled : 1; 
        unsigned int seekAllowed : 1; 
        unsigned int needsNowPlayingLayout : 1; 
        unsigned int forceTimeExtrapolation : 1; 
        unsigned int goalCompleted : 1; 
        unsigned int useMetricDistance : 1; 
        unsigned int forceMetricForDistanceOnly : 1; 
        unsigned int throttleNextPauseResume : 1; 
        unsigned int shouldControlMusic : 1; 
        unsigned int unused : 16; 
    } _runFlagsBitfield;
}

@property BOOL isLockScreen;
@property BOOL animateForResumeEventsOnly;
@property <STRunViewDelegate> * delegate;
@property int orientation;
@property int interface;


- (id)initWithFrame:(struct CGRect { struct CGPoint { float x_1_1_1; float x_1_1_2; } x1; struct CGSize { float x_2_1_1; float x_2_1_2; } x2; })arg1 workoutProxy:(id)arg2;
- (void)_layoutBottomButtons;
- (void)_layoutMainButtonsForGoalType:(id)arg1;
- (void)_layoutLabelsForWorkoutType:(int)arg1 presetGoal:(id)arg2;
- (void)_layoutPrimaryLabelForWorkoutType:(int)arg1;
- (void)_layoutSecondaryLabelsForWorkoutType:(int)arg1;
- (void)_layoutTransportControlsDivider;
- (void)_layoutNowPlayingLabelForWorkoutType:(int)arg1;
- (void)_layoutRunTimeInPosition:(int)arg1 isLandscape:(BOOL)arg2 isLockedMusicInterface:(BOOL)arg3 hasProgressView:(BOOL)arg4;
- (void)_layoutRunDistanceInPosition:(int)arg1 isLandscape:(BOOL)arg2 isLockedMusicInterface:(BOOL)arg3 hasProgressView:(BOOL)arg4;
- (void)_layoutPaceInPosition:(int)arg1 isLandscape:(BOOL)arg2 isLockedMusicInterface:(BOOL)arg3 hasProgressView:(BOOL)arg4;
- (void)_layoutCaloriesInPosition:(int)arg1 isLandscape:(BOOL)arg2 isLockedMusicInterface:(BOOL)arg3 hasProgressView:(BOOL)arg4;
- (void)_layoutLabel:(id)arg1 inPosition:(int)arg2 isLandscape:(BOOL)arg3 isLockedMusicInterface:(BOOL)arg4 hasProgressView:(BOOL)arg5;
- (BOOL)isLockScreen;
- (void)setIsLockScreen:(BOOL)arg1;
- (BOOL)animateForResumeEventsOnly;
- (void)setAnimateForResumeEventsOnly:(BOOL)arg1;
- (void)setInterface:(int)arg1;
- (void)resumeEventsOnly;
- (void)_finishResumeEventsOnly;
- (void)resumeWorkout;
- (void)selectPowerSong;
- (void)_updateProgressViewWithDictionary:(id)arg1;
- (void)_changeMusic;
- (void)_pauseWorkoutForResume:(BOOL)arg1;
- (void)_resumeWorkoutForResume:(BOOL)arg1;
- (void)_unthrottlePauseResume;
- (void)_previousTrack;
- (void)_nextTrack;
- (void)_cancelConsiderSeeking:(id)arg1;
- (void)_beginConsiderSeeking:(id)arg1;
- (void)_endSeeking:(id)arg1;
- (void)_considerSeekTimerFired:(id)arg1;
- (BOOL)_beginSeekInDirection:(int)arg1;
- (BOOL)_endSeekInDirection:(int)arg1;
- (void)_subsecondTimerTick:(id)arg1;
- (void)_workoutInfoTimerTick:(id)arg1;
- (void)_updateSubviewsForWorkoutData:(id)arg1;
- (void)_configureButtonsForWorkout;
- (id)_mainButtonStringForGoalType:(id)arg1;
- (void)_startUpdateTimers;
- (void)_stopUpdateTimers;
- (id)_greenButtonImage;
- (id)_greenButtonDownImage;
- (id)_orangeButtonImage;
- (id)_orangeButtonDownImage;
- (id)_redButtonImage;
- (id)_redButtonDownImage;
- (id)_startWorkoutButtonImage;
- (id)_startWorkoutButtonDownImage;
- (id)_startWorkoutLandscapeButtonImage;
- (id)_startWorkoutLandscapeButtonDownImage;
- (id)_endWorkoutButtonImage;
- (id)_endWorkoutButtonDownImage;
- (id)_endWorkoutLandscapeButtonImage;
- (id)_endWorkoutLandscapeButtonDownImage;
- (id)_powersongButtonImage;
- (id)_powersongButtonDownImage;
- (id)_powersongLandscapeButtonImage;
- (id)_powersongLandscapeButtonDownImage;
- (void)_empedSearchStateChanged:(id)arg1;
- (void)_workoutStateDidChange:(id)arg1;
- (void)_startWorkoutEventFromRemote:(id)arg1;
- (void)_playPowerSongEventFromRemote:(id)arg1;
- (int)interface;
- (int)_workoutTypeForGoalType:(id)arg1;
- (void)_applicationResumed:(id)arg1;
- (void)setOrientation:(int)arg1;
- (void)suspend;
- (void)layoutSubviews;
- (int)orientation;
- (void)dealloc;
- (id)initWithFrame:(struct CGRect { struct CGPoint { float x_1_1_1; float x_1_1_2; } x1; struct CGSize { float x_2_1_1; float x_2_1_2; } x2; })arg1;
- (void)didMoveToWindow;
- (void)setDelegate:(id)arg1;
- (id)delegate;
- (void)_resume;
- (void)_start;
- (void)resume;
- (void)_applicationWillResignActive:(id)arg1;
- (void)_applicationWillSuspend:(id)arg1;
- (void)_nowPlayingChanged:(id)arg1;
- (void)_pause;
- (void)_stop;
- (void)_cancel;

@end
