/* Generated by RuntimeBrowser.
   Image: /System/Library/PrivateFrameworks/SportsWorkout.framework/SportsWorkout
 */

@class NSTimer, NSString, MPMediaQuery, NSMutableArray, MPMediaItem;

@interface SWMusicRemoteController : NSObject  {
    int _musicSelection;
    int _currentVolumeDirection;
    NSTimer *_volumeAdjustTimer;
    NSString *_latestSelectedPlaylistName;
    NSMutableArray *_playlists;
    NSMutableArray *_workoutMixes;
    MPMediaQuery *_interruptedQueueAsQuery;
    MPMediaItem *_interruptedItem;
    double _interruptedPlaybackTime;
    int _interruptedRepeatMode;
    MPMediaItem *_powersongItem;
}

@property int musicSelection;
@property(readonly) BOOL shouldControlMusic;
@property(readonly) BOOL powersongIsNowPlayingItem;
@property(copy) NSString * latestSelectedPlaylistName;

+ (id)sharedMusicController;
+ (void)clearCachedDatabaseData;

- (id)init;
- (void)dealloc;
- (id)_init;
- (void)pause;
- (void)play;
- (void)setMusicSelection:(int)arg1;
- (BOOL)isNowPlaying;
- (void)beginAdjustingVolume:(int)arg1;
- (void)endAdjustingVolume:(int)arg1;
- (void)_releaseRemoteCachedData;
- (id)workoutMixes;
- (id)playlists;
- (void)startWorkoutMixWithPersistentUID:(unsigned long long)arg1;
- (void)startPlaylistWithPersistentUID:(unsigned long long)arg1;
- (void)startWorkoutMixAtIndex:(unsigned int)arg1;
- (void)startPlaylistAtIndex:(unsigned int)arg1;
- (void)startShuffleSongs;
- (unsigned long long)persistentUIDForPlaylistIndex:(unsigned int)arg1;
- (unsigned long long)persistentUIDForWorkoutMixIndex:(unsigned int)arg1;
- (void)_startPlaylistWithPersistentUID:(unsigned long long)arg1;
- (void)_startPlaylistAtIndex:(unsigned int)arg1 isWorkoutMix:(BOOL)arg2;
- (unsigned long long)_persistentUIDForPlaylistIndex:(unsigned int)arg1 isWorkoutMix:(BOOL)arg2;
- (void)_adjustVolumeUpTimer:(id)arg1;
- (void)_adjustVolumeDownTimer:(id)arg1;
- (void)_adjustVolumeUp;
- (void)_adjustVolumeDown;
- (void)_resumeInterruptedQueue;
- (void)_nowPlayingItemChanged:(id)arg1;
- (void)_mediaLibraryChanged:(id)arg1;
- (id)latestSelectedPlaylistName;
- (void)setLatestSelectedPlaylistName:(id)arg1;
- (void)selectNextSong;
- (id)currentSongName;
- (int)musicSelection;
- (void)goToNowPlaying;
- (void)selectPreviousSong;
- (BOOL)shouldControlMusic;
- (BOOL)powersongIsNowPlayingItem;
- (void)interruptPlaybackForTrackUID:(id)arg1;
- (void)endSeeking;
- (void)beginSeekingBackward;
- (void)beginSeekingForward;

@end
