/* Generated by RuntimeBrowser.
   Image: /System/Library/PrivateFrameworks/SportsWorkout.framework/SportsWorkout
 */

@class SWUserInteractionSnapshotObserver, SWRunWorkout, CLLocation, SWRunWorkoutPreset, SWRemote, SWDataControllerSnapshotObserver, SWFastestDistanceWindowObserver, SWRunSensor, SWIntervalSnapshotObserver, NSDictionary, SWDataController, CLLocationManager, NSString, NSMutableArray, NSTimer;

@interface SWRunWorkoutController : NSObject <CLLocationManagerDelegate> {
    SWRunSensor *_sensor;
    SWRemote *_remote;
    SWRunWorkout *_workout;
    NSString *_workoutState;
    BOOL _hasEverStarted;
    BOOL _hasFiredBeginningWorkoutPrompt;
    BOOL _sensorBatteryIsLowNotificationSent;
    SWRunWorkoutPreset *_preset;
    BOOL _isWalk;
    NSMutableArray *_workoutObservers;
    CLLocationManager *_locationManager;
    NSTimer *_workoutObserverTimer;
    unsigned int _previousObservedElapsedTimeInSeconds;
    float _previousObservedPaceInSecondsPerMile;
    float _previousObservedDistanceInMiles;
    float _previousObservedCalories;
    CLLocation *_previousObservedLocation;
    SWIntervalSnapshotObserver *_mileSnapshotObserver;
    SWIntervalSnapshotObserver *_kmSnapshotObserver;
    SWIntervalSnapshotObserver *_tenSecondSnapshotObserver;
    SWFastestDistanceWindowObserver *_fastestMileObserver;
    SWFastestDistanceWindowObserver *_fastestKilometerObserver;
    SWDataControllerSnapshotObserver *_dataControllerSnapshotObserver;
    SWUserInteractionSnapshotObserver *_userInteractionSnapshotObserver;
    SWDataController *_dataController;
}

@property(readonly) NSString * powerSongName;
@property(readonly) BOOL hasPowerSong;
@property(readonly) float maxCalibrationDistanceMiles;
@property(readonly) float minCalibrationDistanceMiles;
@property(readonly) BOOL canBeUsedForWalkCalibration;
@property(readonly) BOOL canBeUsedForRunCalibration;
@property(readonly) BOOL isCalibratedForRun;
@property(readonly) BOOL isCalibratedForWalk;
@property BOOL isCalibration;
@property(retain) SWRunWorkoutPreset * preset;
@property(readonly) SWDataController * dataController;
@property(readonly) NSDictionary * workoutData;
@property(readonly) BOOL hasEverStarted;
@property(readonly) NSString * workoutState;
@property(readonly) SWRemote * remote;
@property(readonly) SWRunSensor * sensor;

+ (id)defaultController;
+ (float)secondsPerKmToSecondsPerMile:(float)arg1;
+ (BOOL)isWorkoutInProgressOnSystem;
+ (BOOL)__takeWorkoutInProgressFileLock;
+ (void)__releaseWorkoutInProgressFileLock;
+ (void)resetDefaultController;
+ (void)enableSDA;
+ (void)disableSDA;
+ (id)__systemVersion;
+ (id)__uniqueIdentifier;
+ (BOOL)shouldUseKilometersForPaceWithWorkoutSummary:(id)arg1;
+ (BOOL)shouldUseKilometersForDistanceWithWorkoutSummary:(id)arg1;
+ (id)distanceDisplayUnitsForPreferences;
+ (float)milesToKm:(float)arg1;
+ (float)kmToMiles:(float)arg1;
+ (float)secondsPerMileToSecondsPerKm:(float)arg1;
+ (float)lbsToKgs:(float)arg1;
+ (float)kgsToLbs:(float)arg1;
+ (id)goalTypeForString:(id)arg1;
+ (id)distanceUnitForString:(id)arg1;

- (void)dealloc;
- (BOOL)hasEverStarted;
- (void)playPowerSong;
- (BOOL)hasPowerSong;
- (void)pauseWorkout;
- (id)sensor;
- (id)workoutData;
- (BOOL)isCalibratedForWalk;
- (BOOL)canBeUsedForWalkCalibration;
- (float)minCalibrationDistanceMiles;
- (id)powerSongName;
- (id)initWithSensor:(id)arg1 remote:(id)arg2;
- (void)refreshSettings;
- (void)unlinkRemote;
- (void)_remoteCommandIssued:(id)arg1;
- (void)_setWorkoutState:(id)arg1;
- (void)_linkStateChangedNotification:(id)arg1;
- (void)_beginSearchingForSensorAfterLink;
- (void)_searchStateChangedNotification:(id)arg1;
- (void)prepareToActivateWorkout;
- (void)activateWorkout;
- (void)endWorkout;
- (void)_postNotificationName:(id)arg1;
- (void)_postNotificationName:(id)arg1 userInfo:(id)arg2;
- (void)togglePauseResumeWorkoutFromHeadset;
- (void)setPreset:(id)arg1;
- (id)preset;
- (void)playOnDemandPrompt;
- (void)stopVoicePrompts;
- (BOOL)isCalibratedForRun;
- (float)maxCalibrationDistanceMiles;
- (BOOL)saveCalibrationData;
- (BOOL)saveCalibrationDataWithAdjustedDistanceInMiles:(float)arg1;
- (void)registerWorkoutObserver:(id)arg1;
- (void)unregisterWorkoutObserver:(id)arg1;
- (BOOL)_shouldRecordLocation;
- (void)_startWorkoutObserverTimer;
- (void)_cancelWorkoutObserverTimer;
- (void)_updateWorkoutObserversForTimer:(id)arg1;
- (void)_updateWorkoutObserversForOldState:(id)arg1 newState:(id)arg2;
- (void)_updateWorkoutObserversForUserEvent:(id)arg1;
- (id)_powerSongPersistentUIDString;
- (id)dataController;
- (id)workoutState;
- (id)remote;
- (BOOL)canBeUsedForRunCalibration;
- (BOOL)isCalibration;
- (void)setIsCalibration:(BOOL)arg1;
- (void)resetCalibration;

@end
