/* Generated by RuntimeBrowser.
   Image: /System/Library/PrivateFrameworks/YouTube.framework/YouTube
 */

@class NSURL, NSArray, NSString, NSCalendarDate;

@interface YTVideo : NSObject  {
    NSString *_id;
    NSString *_title;
    NSString *_author;
    NSCalendarDate *_dateUpdated;
    NSCalendarDate *_dateAdded;
    NSArray *_videoReferences;
    NSString *_notificationName;
    NSString *_videoDescription;
    NSString *_category;
    NSArray *_tags;
    unsigned int _numberOfViews;
    unsigned int _numLikes;
    unsigned int _numDislikes;
    int _batchStatus;
    NSURL *_infoURL;
    NSURL *_thumbnailURL;
    NSURL *_commentsURL;
    NSURL *_editURL;
    NSURL *_ratingsURL;
    NSString *_shortID;
    NSString *_unplayable;
    BOOL _isProcessing;
}

+ (void)enableNotifications;
+ (void)disableNotifications;
+ (id)videoIsProcessingError;
+ (void)reset3GPlaybackStallCount;
+ (void)playbackDidStall;
+ (id)videoNotFoundError;
+ (id)unsupportedVideoError;
+ (BOOL)resolveClassMethod:(SEL)arg1;
+ (BOOL)__original_resolveClassMethod:(SEL)arg1;
+ (void)_initializeSafeCategory;

- (BOOL)isProcessing;
- (id)ID;
- (id)editURL;
- (id)category;
- (unsigned int)hash;
- (BOOL)isEqual:(id)arg1;
- (id)title;
- (void)dealloc;
- (id)description;
- (double)age;
- (id)author;
- (BOOL)isPlayable;
- (unsigned int)numLikes;
- (unsigned int)numDislikes;
- (id)archiveDictionary;
- (int)batchStatus;
- (id)initFromArchiveDictionary:(id)arg1;
- (void)_postVideoDidChange;
- (void)_thumbnailDidLoad;
- (id)initWithID:(id)arg1 title:(id)arg2 dateUpdated:(id)arg3 dateAdded:(id)arg4 videoReferences:(id)arg5 infoURL:(id)arg6 videoDescription:(id)arg7 category:(id)arg8 tags:(id)arg9 author:(id)arg10 thumbnailURL:(id)arg11 numLikes:(unsigned int)arg12 numDislikes:(unsigned int)arg13 numberOfViews:(unsigned int)arg14 batchStatus:(int)arg15 commentsURL:(id)arg16 editURL:(id)arg17 ratingsURL:(id)arg18 shortID:(id)arg19 unplayable:(id)arg20 isProcessing:(BOOL)arg21;
- (id)dateUpdated;
- (id)dateAddedString;
- (id)ratingsURL;
- (id)tagsString;
- (BOOL)positiveRating;
- (id)ratingPercentageString;
- (struct CGImage { }*)thumbnailLoadIfAbsent:(BOOL)arg1;
- (struct CGImage { }*)roundedThumbnailLoadIfAbsent:(BOOL)arg1;
- (struct CGImage { }*)largeThumbnailLoadIfAbsent:(BOOL)arg1;
- (struct CGImage { }*)pluginThumbnailLoadIfAbsent:(BOOL)arg1;
- (id)videoReferenceForProfile:(int)arg1;
- (BOOL)allowsHighQuality3GPlayback;
- (id)bestVideoReference;
- (id)anyVideoReference;
- (id)unplayable;
- (id)shortID;
- (id)commentsURL;
- (unsigned int)numberOfViews;
- (id)thumbnailURL;
- (id)tags;
- (id)videoDescription;
- (id)dateAdded;
- (BOOL)isBookmarked;
- (id)infoURL;
- (id)forwardingTargetForSelector:(SEL)arg1;
- (id)__original_forwardingTargetForSelector:(SEL)arg1;
- (id)accessibilityExtendedText;
- (id)accessibilityLabel;

@end
