/* Generated by RuntimeBrowser.
   Image: /System/Library/PrivateFrameworks/iAdCore.framework/iAdCore
 */

@class ADLayerHostWindow, ADSRVBannerView, ADServerAccessCoordinator, ADDistributedMessagingCenter, ADStoryboardController, NSTimer, NSMutableArray, <AdSheetSessionDelegate>, NSString, ADStoryboardTransitionWindow, CPDistributedMessagingCenter;

@interface ADSRVBannerController : NSObject <ADStoryboardTransitionWindowDelegate, AdSheetBannerViewDelegate, ADStoryboardControllerDelegate, ADCacheSubscriber, ADMessageProxyItem> {
    NSString *_bundleIdentifier;
    NSString *_sessionIdentifier;
    BOOL _isPrivilegedClient;
    NSString *_serverURL;
    NSString *_authenticationUserName;
    ADServerAccessCoordinator *_serverAccessCoordinator;
    BOOL _serverReachable;
    CPDistributedMessagingCenter *_localCenter;
    ADDistributedMessagingCenter *_remoteCenter;
    ADLayerHostWindow *_bannerViewWindow;
    ADSRVBannerView *_bannerView;
    ADStoryboardTransitionWindow *_storyboardWindow;
    ADStoryboardController *_storyboard;
    <AdSheetSessionDelegate> *_delegate;
    int _clientOrientation;
    BOOL _isWaitingToRequestDataLoad;
    BOOL _isOpen;
    NSTimer *_unloadStoryboardWatchdog;
    struct CGRect { 
        struct CGPoint { 
            float x; 
            float y; 
        } origin; 
        struct CGSize { 
            float width; 
            float height; 
        } size; 
    } _bannerFrame;
    struct CGPoint { 
        float x; 
        float y; 
    } _clickLocation;
    struct __SCNetworkReachability { } *_reachability;
    NSMutableArray *_adEventQueue;
    struct dispatch_source_s { } *_adEventDispatchTimer;
    struct dispatch_queue_s { } *_ipcReplyQueue;
    double _lastReachabilityUpdateTime;
    BOOL _userIsInStoryboard;
    double _createdAt;
}

@property(readonly) BOOL isBusy;
@property double createdAt;
@property BOOL userIsInStoryboard;
@property double lastReachabilityUpdateTime;
@property struct dispatch_queue_s { }* ipcReplyQueue;
@property struct dispatch_source_s { }* adEventDispatchTimer;
@property(retain) NSMutableArray * adEventQueue;
@property(readonly) struct __SCNetworkReachability { }* reachability;
@property struct CGPoint { float x; float y; } clickLocation;
@property struct CGRect { struct CGPoint { float x; float y; } origin; struct CGSize { float width; float height; } size; } bannerFrame;
@property(retain) NSTimer * unloadStoryboardWatchdog;
@property(readonly) BOOL isOpen;
@property(readonly) BOOL isWaitingToRequestDataLoad;
@property int clientOrientation;
@property <AdSheetSessionDelegate> * delegate;
@property(retain) ADStoryboardController * storyboard;
@property(retain) ADStoryboardTransitionWindow * storyboardWindow;
@property(retain) ADSRVBannerView * bannerView;
@property(retain) ADLayerHostWindow * bannerViewWindow;
@property(retain) ADDistributedMessagingCenter * remoteCenter;
@property(retain) CPDistributedMessagingCenter * localCenter;
@property(getter=isServerReachable) BOOL serverReachable;
@property(retain) ADServerAccessCoordinator * serverAccessCoordinator;
@property(retain) NSString * authenticationUserName;
@property(retain) NSString * serverURL;
@property(readonly) BOOL isPrivilegedClient;
@property(retain) NSString * sessionIdentifier;
@property(retain) NSString * bundleIdentifier;

+ (id)serverMessagingCenterNameForClientName:(id)arg1;

- (void)setClickLocation:(struct CGPoint { float x1; float x2; })arg1;
- (id)storyboardWindow;
- (id)proxyItemIdentifier;
- (void)statusBarHiddenDidChangeNotification:(id)arg1;
- (void)statusBarOrientationDidChangeNotification:(id)arg1;
- (void)_setZoom:(BOOL)arg1 animated:(BOOL)arg2;
- (void)setUnloadStoryboardWatchdog:(id)arg1;
- (void)setServerReachable:(BOOL)arg1;
- (void)startReachability;
- (void)stopReachability;
- (BOOL)loadStoryboardController;
- (void)loadStoryboardWindow;
- (void)sendBannerUrlActionMessage:(BOOL)arg1;
- (void)applicationMenuButtonUp:(id)arg1;
- (void)dismissStoryboardWithDelay:(BOOL)arg1;
- (void)unloadStoryboardWindow;
- (void)transitionToAdWillBegin;
- (void)transitionToAdDidFinish;
- (void)transitionFromAdDidFinish;
- (void)storyboardShouldDismiss:(id)arg1;
- (void)_logSysEvent:(int)arg1 forAd:(id)arg2 sequence:(unsigned int)arg3 overclick:(unsigned int)arg4 clickLocation:(id)arg5;
- (void)_flushAdEventQueue;
- (void)storyboardVideoPlayerWentFullScreen:(id)arg1;
- (void)bannerViewDidCancelDataLoad:(id)arg1;
- (void)bannerViewActionDidAbandon:(id)arg1;
- (void)bannerView:(id)arg1 shouldLogClickForAd:(id)arg2 impressionSequence:(unsigned int)arg3 overclickCount:(unsigned int)arg4;
- (void)interstitialViewExpiredAndWasUnloaded:(id)arg1;
- (void)updateSpecificationMessage:(id)arg1 userInfo:(id)arg2 auditToken:(struct { unsigned int x1[8]; }*)arg3;
- (void)bannerRefuseActionMessage:(id)arg1 userInfo:(id)arg2 auditToken:(struct { unsigned int x1[8]; }*)arg3;
- (void)bannerOrientationDidChangeMessage:(id)arg1 userInfo:(id)arg2 auditToken:(struct { unsigned int x1[8]; }*)arg3;
- (void)storyboardOpenURLReply:(id)arg1 userInfo:(id)arg2 auditToken:(struct { unsigned int x1[8]; }*)arg3;
- (void)clientApplicationWillEnterForeground;
- (double)createdAt;
- (BOOL)userIsInStoryboard;
- (void)setUserIsInStoryboard:(BOOL)arg1;
- (double)lastReachabilityUpdateTime;
- (void)setLastReachabilityUpdateTime:(double)arg1;
- (void)setIpcReplyQueue:(struct dispatch_queue_s { }*)arg1;
- (struct dispatch_source_s { }*)adEventDispatchTimer;
- (void)setAdEventDispatchTimer:(struct dispatch_source_s { }*)arg1;
- (id)adEventQueue;
- (void)setAdEventQueue:(id)arg1;
- (struct __SCNetworkReachability { }*)reachability;
- (struct CGRect { struct CGPoint { float x_1_1_1; float x_1_1_2; } x1; struct CGSize { float x_2_1_1; float x_2_1_2; } x2; })bannerFrame;
- (id)unloadStoryboardWatchdog;
- (BOOL)isWaitingToRequestDataLoad;
- (int)clientOrientation;
- (void)setClientOrientation:(int)arg1;
- (void)setStoryboardWindow:(id)arg1;
- (void)setBannerView:(id)arg1;
- (id)bannerViewWindow;
- (void)setBannerViewWindow:(id)arg1;
- (id)remoteCenter;
- (BOOL)isServerReachable;
- (id)sessionIdentifier;
- (void)setSessionIdentifier:(id)arg1;
- (struct CGPoint { float x1; float x2; })clickLocation;
- (void)clientApplicationDidEnterBackground;
- (void)updateZoomedAnimated:(BOOL)arg1;
- (BOOL)isValidAuditToken:(struct { unsigned int x1[8]; }*)arg1;
- (void)setCreatedAt:(double)arg1;
- (id)localCenter;
- (void)setLocalCenter:(id)arg1;
- (void)bannerKeysDidChangeMessage:(id)arg1 userInfo:(id)arg2 auditToken:(struct { unsigned int x1[8]; }*)arg3;
- (void)controllerKeysDidChangeMessage:(id)arg1 userInfo:(id)arg2 auditToken:(struct { unsigned int x1[8]; }*)arg3;
- (void)closeMessage:(id)arg1 userInfo:(id)arg2 auditToken:(struct { unsigned int x1[8]; }*)arg3;
- (void)bannerFrameDidChangeMessage:(id)arg1 userInfo:(id)arg2 auditToken:(struct { unsigned int x1[8]; }*)arg3;
- (void)bannerVisibilityHeartbeat:(id)arg1 userInfo:(id)arg2 auditToken:(struct { unsigned int x1[8]; }*)arg3;
- (void)removedFromSuperviewMessage:(id)arg1 userInfo:(id)arg2 auditToken:(struct { unsigned int x1[8]; }*)arg3;
- (void)loadLocalAdMessage:(id)arg1 userInfo:(id)arg2 auditToken:(struct { unsigned int x1[8]; }*)arg3;
- (void)bannerBeginActionMessage:(id)arg1 userInfo:(id)arg2 auditToken:(struct { unsigned int x1[8]; }*)arg3;
- (void)bannerCancelBannerViewActionMessage:(id)arg1 userInfo:(id)arg2 auditToken:(struct { unsigned int x1[8]; }*)arg3;
- (void)bannerLogExternalActionMessage:(id)arg1 userInfo:(id)arg2 auditToken:(struct { unsigned int x1[8]; }*)arg3;
- (void)loadDebuggerMessage:(id)arg1 userInfo:(id)arg2 auditToken:(struct { unsigned int x1[8]; }*)arg3;
- (void)interstitialTouchDismissMessage:(id)arg1 userInfo:(id)arg2 auditToken:(struct { unsigned int x1[8]; }*)arg3;
- (void)interstitialPresentedInViewMessage:(id)arg1 userInfo:(id)arg2 auditToken:(struct { unsigned int x1[8]; }*)arg3;
- (void)setRemoteCenter:(id)arg1;
- (struct dispatch_queue_s { }*)ipcReplyQueue;
- (void)authoredTransitionInComplete;
- (struct CGRect { struct CGPoint { float x_1_1_1; float x_1_1_2; } x1; struct CGSize { float x_2_1_1; float x_2_1_2; } x2; })hostBannerRect;
- (void)interstitialView:(id)arg1 shouldLogSystemEvent:(int)arg2 forAd:(id)arg3 impressionSequence:(unsigned int)arg4 overclickCount:(unsigned int)arg5;
- (int)bannerViewRequestsHostInterfaceOrientation:(id)arg1;
- (void)bannerViewDidRequestDataLoad:(id)arg1;
- (void)bannerView:(id)arg1 shouldLogImpressionForAd:(id)arg2 impressionSequence:(unsigned int)arg3;
- (void)bannerViewDidLoadAd:(id)arg1;
- (void)bannerView:(id)arg1 didFailToReceiveAdWithError:(id)arg2;
- (void)serverAccessCoordinatorAllowsRequestsNotification:(id)arg1;
- (void)cacheLoadedBannerData:(id)arg1;
- (void)setBannerFrame:(struct CGRect { struct CGPoint { float x_1_1_1; float x_1_1_2; } x1; struct CGSize { float x_2_1_1; float x_2_1_2; } x2; })arg1;
- (void)cacheFailedToLoadBanner:(id)arg1 withError:(id)arg2;
- (id)serverAccessCoordinator;
- (void)setAuthenticationUserName:(id)arg1;
- (void)setServerURL:(id)arg1;
- (id)serverURL;
- (void)setServerAccessCoordinator:(id)arg1;
- (int)hostInterfaceOrientation;
- (void)transitionFromAdWillBegin;
- (id)bannerView;
- (id)storyboard;
- (void)setStoryboard:(id)arg1;
- (void)readyForAuthoredTransitionIn;
- (void)storyboardDidChangeSupportedOrientations:(id)arg1;
- (void)storyboard:(id)arg1 didReportSystemEventWithType:(int)arg2;
- (void)storyboard:(id)arg1 didFailLoadWithError:(id)arg2;
- (void)storyboardVideoPlayerExitedFullScreen:(id)arg1;
- (void)storyboard:(id)arg1 didReportContentEventWithMessage:(id)arg2;
- (void)storyboardContentSignalsReady:(id)arg1;
- (void)storyboardDidFinishFirstSignificantDraw:(id)arg1;
- (void)storyboardContentRequestsGeolocation:(id)arg1 approval:(id)arg2;
- (id)storyboardHumanReadableContentName:(id)arg1;
- (id)authenticationUserName;
- (BOOL)isPrivilegedClient;
- (void)clientApplicationDidBecomeActive;
- (void)clientApplicationDidResignActive;
- (BOOL)openURL:(id)arg1;
- (void)sendMessageName:(id)arg1 userInfo:(id)arg2;
- (id)uniqueIdentifier;
- (void)close;
- (id)bundleIdentifier;
- (id)init;
- (void)dealloc;
- (void)setDelegate:(id)arg1;
- (id)delegate;
- (BOOL)isOpen;
- (BOOL)isBusy;
- (void)open;
- (void)setBundleIdentifier:(id)arg1;

@end
